package enums;

/**
 * 有效状态（是否可用）
 * CD101100
 *
 * @author tangxiangan
 */
public enum ValidStatusEnum {

    /**
     * 无效
     */
    INVALID("0"),
    /**
     * 有效
     */
    VALID("1");

    private final String value;

    ValidStatusEnum(String value) {
        this.value = value;
    }

    public String value() {
        return value;
    }
}
