package pojo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * @author sfq
 * @description
 */
@Data
public class Device {

    /**
     * app版本号
     */
    @JsonProperty("app_version")
    private String appVersion;

    /**
     * 语言
     */
    private String language;

    /**
     * 手机型号
     */
    private String model;

    /**
     * 系统
     */
    private String os;

    /**
     * 注册id
     */
    @JsonProperty("register_id")
    private String registerId;

    /**
     * 时区
     */
    @JsonProperty("time_zone")
    private String timeZone;

    /**
     * uuid
     */
    private String uuid;

}
