package pojo;

import lombok.Data;

/**
 * @author SongFuQiang
 * @description
 */
@Data
public class Location {

    /**
     * 城市
     */
    private String city;

    /**
     * 国家
     */
    private String country;

    /**
     * 区
     */
    private String district;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 省份
     */
    private String state;

    /**
     * 街道
     */
    private String street;

    /**
     * 邮编
     */
    private String zip;

}
