package cn.kdan.pdf.backend.core.enums;

public enum AlipayTradeStatus {

    /**
     * 交易关闭
     */
    TRADE_CLOSED("TRADE_CLOSED"),
    /**
     * 交易完结
     */
    TRADE_FINISHED("TRADE_FINISHED"),
    /**
     * 交易成功
     */
    TRADE_SUCCESS("TRADE_SUCCESS"),
    /**
     * 交易创建
     */
    WAIT_BUYER_PAY("WAIT_BUYER_PAY");


    private final String value;

    AlipayTradeStatus(String value) {
        this.value = value;
    }

    public String getStatus() {
        return value;
    }

}
