package cn.kdan.pdf.backend.core.enums;

/**
 * @author tangxiangan
 */

public enum CaptchaActionEnum {
    //注册用户
    USER_REGISTER("0", "注册用户", "PDF Reader - 验证您的电子邮件！"),
    //忘记密码
    FORGET_PASSWORD("1", "忘记密码", "17PDF Reader(Staging)账号密码重置");

    private final String value;
    private final String action;

    private final String subject;

    public String subject() {
        return subject;
    }

    CaptchaActionEnum(String value, String action, String subject) {
        this.value = value;
        this.action = action;
        this.subject = subject;
    }

    public static CaptchaActionEnum getEnumByValue(String value) {
        for (CaptchaActionEnum modeEnum : CaptchaActionEnum.values()) {
            if (modeEnum.value().equals(value)) {
                return modeEnum;
            }
        }
        return null;
    }

    public String value() {
        return value;
    }

    public String action() {
        return action;
    }

}
