package cn.kdan.pdf.backend.core.enums;

/**
 * 文件类行枚举
 * @author sfq
 */
public enum FileTypeEnum {

    /**
     * pdf文件类型
     */
    PDF("pdf"),
    /**
     * png文件类型
     */
    PNG("png"),
    /**
     * jpg文件类型
     */
    JPG("jpg"),
    /**
     * txt文件类型
     */
    TXT("txt"),
    /**
     * docx文件类型
     */
    DOCX("docx"),
    /**
     * pptx文件类型
     */
    PPTX("pptx"),
    /**
     * xlsx文件类型
     */
    XLSX("xlsx"),
    /**
     * doc文件类型
     */
    DOC("doc");


    private final String value;

    FileTypeEnum(String value) {
        this.value = value;
    }

    public String value() {
        return value;
    }


}
