package cn.kdan.pdf.backend.core.enums;

/**
 * 有效状态（是否可用）
 * CD101100
 *
 * @author tangxiangan
 */
public enum SourceTypeEnum {

    /**
     * WEB
     */
    WEB("0"),
    /**
     * 安卓
     */
    ANDROID("1");


    private final String value;

    SourceTypeEnum(String value) {
        this.value = value;
    }

    public String value() {
        return value;
    }
}
