package cn.kdan.pdf.backend.core.enums;

/**
 * 有效状态（是否可用）
 * CD101100
 *
 * @author tangxiangan
 */
public enum SubscriptionStatusEnum {

    /**
     * 未支付
     */
    UNPAYED(0),
    /**
     * 已支付
     */
    PAYED(1),
    /**
     * 已生效
     */
    ACTIVED(2),
    /**
     * 已过期
     */
    EXPIRED(3);


    private final Integer value;

    SubscriptionStatusEnum(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }
}
