package cn.kdan.pdf.backend.core.enums;

/**
 * 验证类型
 *
 * @author tangxiangan
 */
public enum VerifyTypeEnum {
    //邮箱
    EMAIL(0),
    //手机
    PHONE(1);

    private Integer code;

    VerifyTypeEnum(Integer code) {
        this.code = code;
    }


    public static VerifyTypeEnum getEnumByCode(int code) {
        for (VerifyTypeEnum type : VerifyTypeEnum.values()) {
            if (type.code() == code) {
                return type;
            }
        }
        return null;
    }

    public Integer code() {
        return code;
    }
}
