package cn.kdan.pdf.backend.core.mapper.ext;

import cn.kdan.pdf.backend.core.mapper.MembersMapper;
import cn.kdan.pdf.backend.core.model.Members;
import cn.kdan.pdf.backend.core.model.member.MemberInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author tangxiangan
 */
public interface ExtMembersMapper extends MembersMapper {

    MemberInfo selectMemberInfoAvatar(@Param("id") String id);

    /**
     * 根据手机号或者邮箱获取用户
     *
     * @param account account
     * @return Members
     */
    List<Members> getMemberByAccount(@Param("account") String account);
}
