package cn.kdan.pdf.backend.core.model;

import java.io.Serializable;
import java.util.Date;

public class ConvertTypes implements Serializable {
    private Integer id;

    private String inputType;

    private String outputType;

    private Integer price;

    private Date createdAt;

    private Date updatedAt;

    private Date deletedAt;

    private Integer worker;

    private Integer serialNumber;

    private Integer consumerType;

    private String ocr;

    private Integer spPrice;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public ConvertTypes withId(Integer id) {
        this.setId(id);
        return this;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getInputType() {
        return inputType;
    }

    public ConvertTypes withInputType(String inputType) {
        this.setInputType(inputType);
        return this;
    }

    public void setInputType(String inputType) {
        this.inputType = inputType;
    }

    public String getOutputType() {
        return outputType;
    }

    public ConvertTypes withOutputType(String outputType) {
        this.setOutputType(outputType);
        return this;
    }

    public void setOutputType(String outputType) {
        this.outputType = outputType;
    }

    public Integer getPrice() {
        return price;
    }

    public ConvertTypes withPrice(Integer price) {
        this.setPrice(price);
        return this;
    }

    public void setPrice(Integer price) {
        this.price = price;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public ConvertTypes withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public ConvertTypes withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public ConvertTypes withDeletedAt(Date deletedAt) {
        this.setDeletedAt(deletedAt);
        return this;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Integer getWorker() {
        return worker;
    }

    public ConvertTypes withWorker(Integer worker) {
        this.setWorker(worker);
        return this;
    }

    public void setWorker(Integer worker) {
        this.worker = worker;
    }

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public ConvertTypes withSerialNumber(Integer serialNumber) {
        this.setSerialNumber(serialNumber);
        return this;
    }

    public void setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Integer getConsumerType() {
        return consumerType;
    }

    public ConvertTypes withConsumerType(Integer consumerType) {
        this.setConsumerType(consumerType);
        return this;
    }

    public void setConsumerType(Integer consumerType) {
        this.consumerType = consumerType;
    }

    public String getOcr() {
        return ocr;
    }

    public ConvertTypes withOcr(String ocr) {
        this.setOcr(ocr);
        return this;
    }

    public void setOcr(String ocr) {
        this.ocr = ocr;
    }

    public Integer getSpPrice() {
        return spPrice;
    }

    public ConvertTypes withSpPrice(Integer spPrice) {
        this.setSpPrice(spPrice);
        return this;
    }

    public void setSpPrice(Integer spPrice) {
        this.spPrice = spPrice;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        ConvertTypes other = (ConvertTypes) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getInputType() == null ? other.getInputType() == null : this.getInputType().equals(other.getInputType()))
                && (this.getOutputType() == null ? other.getOutputType() == null : this.getOutputType().equals(other.getOutputType()))
                && (this.getPrice() == null ? other.getPrice() == null : this.getPrice().equals(other.getPrice()))
                && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
                && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
                && (this.getDeletedAt() == null ? other.getDeletedAt() == null : this.getDeletedAt().equals(other.getDeletedAt()))
                && (this.getWorker() == null ? other.getWorker() == null : this.getWorker().equals(other.getWorker()))
                && (this.getSerialNumber() == null ? other.getSerialNumber() == null : this.getSerialNumber().equals(other.getSerialNumber()))
                && (this.getConsumerType() == null ? other.getConsumerType() == null : this.getConsumerType().equals(other.getConsumerType()))
                && (this.getOcr() == null ? other.getOcr() == null : this.getOcr().equals(other.getOcr()))
                && (this.getSpPrice() == null ? other.getSpPrice() == null : this.getSpPrice().equals(other.getSpPrice()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getInputType() == null) ? 0 : getInputType().hashCode());
        result = prime * result + ((getOutputType() == null) ? 0 : getOutputType().hashCode());
        result = prime * result + ((getPrice() == null) ? 0 : getPrice().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getDeletedAt() == null) ? 0 : getDeletedAt().hashCode());
        result = prime * result + ((getWorker() == null) ? 0 : getWorker().hashCode());
        result = prime * result + ((getSerialNumber() == null) ? 0 : getSerialNumber().hashCode());
        result = prime * result + ((getConsumerType() == null) ? 0 : getConsumerType().hashCode());
        result = prime * result + ((getOcr() == null) ? 0 : getOcr().hashCode());
        result = prime * result + ((getSpPrice() == null) ? 0 : getSpPrice().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", inputType=").append(inputType);
        sb.append(", outputType=").append(outputType);
        sb.append(", price=").append(price);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", deletedAt=").append(deletedAt);
        sb.append(", worker=").append(worker);
        sb.append(", serialNumber=").append(serialNumber);
        sb.append(", consumerType=").append(consumerType);
        sb.append(", ocr=").append(ocr);
        sb.append(", spPrice=").append(spPrice);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}