package cn.kdan.pdf.backend.core.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class Members implements Serializable {
    private String id;

    private String name;

    private String phone;

    private String email;

    private Integer gender;

    private String region;

    private String signature;

    private Date createdAt;

    private Date updatedAt;

    private String passwordDigest;

    private String timeZone;

    private Integer viewedTimes;

    private Integer status;

    private String activationToken;

    private Date activatedAt;

    private String resetToken;

    private Date resetTokenGeneratedAt;

    private String phoneZone;

    private String account;

    private String location;

    private String publicPhone;

    private String publicEmail;

    private String settings;

    private Integer points;

    private Date lastSignAt;

    private Integer totalPoints;

    private Integer totalSpace;

    private BigDecimal usedSpace;

    private BigDecimal leftSpace;

    private Integer appsCode;

    private Integer subscriberType;

    private String referralCode;

    private Integer referralCount;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public Members withId(String id) {
        this.setId(id);
        return this;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public Members withName(String name) {
        this.setName(name);
        return this;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public Members withPhone(String phone) {
        this.setPhone(phone);
        return this;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getEmail() {
        return email;
    }

    public Members withEmail(String email) {
        this.setEmail(email);
        return this;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Integer getGender() {
        return gender;
    }

    public Members withGender(Integer gender) {
        this.setGender(gender);
        return this;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getRegion() {
        return region;
    }

    public Members withRegion(String region) {
        this.setRegion(region);
        return this;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getSignature() {
        return signature;
    }

    public Members withSignature(String signature) {
        this.setSignature(signature);
        return this;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public Members withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public Members withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getPasswordDigest() {
        return passwordDigest;
    }

    public Members withPasswordDigest(String passwordDigest) {
        this.setPasswordDigest(passwordDigest);
        return this;
    }

    public void setPasswordDigest(String passwordDigest) {
        this.passwordDigest = passwordDigest;
    }

    public String getTimeZone() {
        return timeZone;
    }

    public Members withTimeZone(String timeZone) {
        this.setTimeZone(timeZone);
        return this;
    }

    public void setTimeZone(String timeZone) {
        this.timeZone = timeZone;
    }

    public Integer getViewedTimes() {
        return viewedTimes;
    }

    public Members withViewedTimes(Integer viewedTimes) {
        this.setViewedTimes(viewedTimes);
        return this;
    }

    public void setViewedTimes(Integer viewedTimes) {
        this.viewedTimes = viewedTimes;
    }

    public Integer getStatus() {
        return status;
    }

    public Members withStatus(Integer status) {
        this.setStatus(status);
        return this;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getActivationToken() {
        return activationToken;
    }

    public Members withActivationToken(String activationToken) {
        this.setActivationToken(activationToken);
        return this;
    }

    public void setActivationToken(String activationToken) {
        this.activationToken = activationToken;
    }

    public Date getActivatedAt() {
        return activatedAt;
    }

    public Members withActivatedAt(Date activatedAt) {
        this.setActivatedAt(activatedAt);
        return this;
    }

    public void setActivatedAt(Date activatedAt) {
        this.activatedAt = activatedAt;
    }

    public String getResetToken() {
        return resetToken;
    }

    public Members withResetToken(String resetToken) {
        this.setResetToken(resetToken);
        return this;
    }

    public void setResetToken(String resetToken) {
        this.resetToken = resetToken;
    }

    public Date getResetTokenGeneratedAt() {
        return resetTokenGeneratedAt;
    }

    public Members withResetTokenGeneratedAt(Date resetTokenGeneratedAt) {
        this.setResetTokenGeneratedAt(resetTokenGeneratedAt);
        return this;
    }

    public void setResetTokenGeneratedAt(Date resetTokenGeneratedAt) {
        this.resetTokenGeneratedAt = resetTokenGeneratedAt;
    }

    public String getPhoneZone() {
        return phoneZone;
    }

    public Members withPhoneZone(String phoneZone) {
        this.setPhoneZone(phoneZone);
        return this;
    }

    public void setPhoneZone(String phoneZone) {
        this.phoneZone = phoneZone;
    }

    public String getAccount() {
        return account;
    }

    public Members withAccount(String account) {
        this.setAccount(account);
        return this;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getLocation() {
        return location;
    }

    public Members withLocation(String location) {
        this.setLocation(location);
        return this;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getPublicPhone() {
        return publicPhone;
    }

    public Members withPublicPhone(String publicPhone) {
        this.setPublicPhone(publicPhone);
        return this;
    }

    public void setPublicPhone(String publicPhone) {
        this.publicPhone = publicPhone;
    }

    public String getPublicEmail() {
        return publicEmail;
    }

    public Members withPublicEmail(String publicEmail) {
        this.setPublicEmail(publicEmail);
        return this;
    }

    public void setPublicEmail(String publicEmail) {
        this.publicEmail = publicEmail;
    }

    public String getSettings() {
        return settings;
    }

    public Members withSettings(String settings) {
        this.setSettings(settings);
        return this;
    }

    public void setSettings(String settings) {
        this.settings = settings;
    }

    public Integer getPoints() {
        return points;
    }

    public Members withPoints(Integer points) {
        this.setPoints(points);
        return this;
    }

    public void setPoints(Integer points) {
        this.points = points;
    }

    public Date getLastSignAt() {
        return lastSignAt;
    }

    public Members withLastSignAt(Date lastSignAt) {
        this.setLastSignAt(lastSignAt);
        return this;
    }

    public void setLastSignAt(Date lastSignAt) {
        this.lastSignAt = lastSignAt;
    }

    public Integer getTotalPoints() {
        return totalPoints;
    }

    public Members withTotalPoints(Integer totalPoints) {
        this.setTotalPoints(totalPoints);
        return this;
    }

    public void setTotalPoints(Integer totalPoints) {
        this.totalPoints = totalPoints;
    }

    public Integer getTotalSpace() {
        return totalSpace;
    }

    public Members withTotalSpace(Integer totalSpace) {
        this.setTotalSpace(totalSpace);
        return this;
    }

    public void setTotalSpace(Integer totalSpace) {
        this.totalSpace = totalSpace;
    }

    public BigDecimal getUsedSpace() {
        return usedSpace;
    }

    public Members withUsedSpace(BigDecimal usedSpace) {
        this.setUsedSpace(usedSpace);
        return this;
    }

    public void setUsedSpace(BigDecimal usedSpace) {
        this.usedSpace = usedSpace;
    }

    public BigDecimal getLeftSpace() {
        return leftSpace;
    }

    public Members withLeftSpace(BigDecimal leftSpace) {
        this.setLeftSpace(leftSpace);
        return this;
    }

    public void setLeftSpace(BigDecimal leftSpace) {
        this.leftSpace = leftSpace;
    }

    public Integer getAppsCode() {
        return appsCode;
    }

    public Members withAppsCode(Integer appsCode) {
        this.setAppsCode(appsCode);
        return this;
    }

    public void setAppsCode(Integer appsCode) {
        this.appsCode = appsCode;
    }

    public Integer getSubscriberType() {
        return subscriberType;
    }

    public Members withSubscriberType(Integer subscriberType) {
        this.setSubscriberType(subscriberType);
        return this;
    }

    public void setSubscriberType(Integer subscriberType) {
        this.subscriberType = subscriberType;
    }

    public String getReferralCode() {
        return referralCode;
    }

    public Members withReferralCode(String referralCode) {
        this.setReferralCode(referralCode);
        return this;
    }

    public void setReferralCode(String referralCode) {
        this.referralCode = referralCode;
    }

    public Integer getReferralCount() {
        return referralCount;
    }

    public Members withReferralCount(Integer referralCount) {
        this.setReferralCount(referralCount);
        return this;
    }

    public void setReferralCount(Integer referralCount) {
        this.referralCount = referralCount;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        Members other = (Members) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
                && (this.getPhone() == null ? other.getPhone() == null : this.getPhone().equals(other.getPhone()))
                && (this.getEmail() == null ? other.getEmail() == null : this.getEmail().equals(other.getEmail()))
                && (this.getGender() == null ? other.getGender() == null : this.getGender().equals(other.getGender()))
                && (this.getRegion() == null ? other.getRegion() == null : this.getRegion().equals(other.getRegion()))
                && (this.getSignature() == null ? other.getSignature() == null : this.getSignature().equals(other.getSignature()))
                && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
                && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
                && (this.getPasswordDigest() == null ? other.getPasswordDigest() == null : this.getPasswordDigest().equals(other.getPasswordDigest()))
                && (this.getTimeZone() == null ? other.getTimeZone() == null : this.getTimeZone().equals(other.getTimeZone()))
                && (this.getViewedTimes() == null ? other.getViewedTimes() == null : this.getViewedTimes().equals(other.getViewedTimes()))
                && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
                && (this.getActivationToken() == null ? other.getActivationToken() == null : this.getActivationToken().equals(other.getActivationToken()))
                && (this.getActivatedAt() == null ? other.getActivatedAt() == null : this.getActivatedAt().equals(other.getActivatedAt()))
                && (this.getResetToken() == null ? other.getResetToken() == null : this.getResetToken().equals(other.getResetToken()))
                && (this.getResetTokenGeneratedAt() == null ? other.getResetTokenGeneratedAt() == null : this.getResetTokenGeneratedAt().equals(other.getResetTokenGeneratedAt()))
                && (this.getPhoneZone() == null ? other.getPhoneZone() == null : this.getPhoneZone().equals(other.getPhoneZone()))
                && (this.getAccount() == null ? other.getAccount() == null : this.getAccount().equals(other.getAccount()))
                && (this.getLocation() == null ? other.getLocation() == null : this.getLocation().equals(other.getLocation()))
                && (this.getPublicPhone() == null ? other.getPublicPhone() == null : this.getPublicPhone().equals(other.getPublicPhone()))
                && (this.getPublicEmail() == null ? other.getPublicEmail() == null : this.getPublicEmail().equals(other.getPublicEmail()))
                && (this.getSettings() == null ? other.getSettings() == null : this.getSettings().equals(other.getSettings()))
                && (this.getPoints() == null ? other.getPoints() == null : this.getPoints().equals(other.getPoints()))
                && (this.getLastSignAt() == null ? other.getLastSignAt() == null : this.getLastSignAt().equals(other.getLastSignAt()))
                && (this.getTotalPoints() == null ? other.getTotalPoints() == null : this.getTotalPoints().equals(other.getTotalPoints()))
                && (this.getTotalSpace() == null ? other.getTotalSpace() == null : this.getTotalSpace().equals(other.getTotalSpace()))
                && (this.getUsedSpace() == null ? other.getUsedSpace() == null : this.getUsedSpace().equals(other.getUsedSpace()))
                && (this.getLeftSpace() == null ? other.getLeftSpace() == null : this.getLeftSpace().equals(other.getLeftSpace()))
                && (this.getAppsCode() == null ? other.getAppsCode() == null : this.getAppsCode().equals(other.getAppsCode()))
                && (this.getSubscriberType() == null ? other.getSubscriberType() == null : this.getSubscriberType().equals(other.getSubscriberType()))
                && (this.getReferralCode() == null ? other.getReferralCode() == null : this.getReferralCode().equals(other.getReferralCode()))
                && (this.getReferralCount() == null ? other.getReferralCount() == null : this.getReferralCount().equals(other.getReferralCount()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getPhone() == null) ? 0 : getPhone().hashCode());
        result = prime * result + ((getEmail() == null) ? 0 : getEmail().hashCode());
        result = prime * result + ((getGender() == null) ? 0 : getGender().hashCode());
        result = prime * result + ((getRegion() == null) ? 0 : getRegion().hashCode());
        result = prime * result + ((getSignature() == null) ? 0 : getSignature().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getPasswordDigest() == null) ? 0 : getPasswordDigest().hashCode());
        result = prime * result + ((getTimeZone() == null) ? 0 : getTimeZone().hashCode());
        result = prime * result + ((getViewedTimes() == null) ? 0 : getViewedTimes().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getActivationToken() == null) ? 0 : getActivationToken().hashCode());
        result = prime * result + ((getActivatedAt() == null) ? 0 : getActivatedAt().hashCode());
        result = prime * result + ((getResetToken() == null) ? 0 : getResetToken().hashCode());
        result = prime * result + ((getResetTokenGeneratedAt() == null) ? 0 : getResetTokenGeneratedAt().hashCode());
        result = prime * result + ((getPhoneZone() == null) ? 0 : getPhoneZone().hashCode());
        result = prime * result + ((getAccount() == null) ? 0 : getAccount().hashCode());
        result = prime * result + ((getLocation() == null) ? 0 : getLocation().hashCode());
        result = prime * result + ((getPublicPhone() == null) ? 0 : getPublicPhone().hashCode());
        result = prime * result + ((getPublicEmail() == null) ? 0 : getPublicEmail().hashCode());
        result = prime * result + ((getSettings() == null) ? 0 : getSettings().hashCode());
        result = prime * result + ((getPoints() == null) ? 0 : getPoints().hashCode());
        result = prime * result + ((getLastSignAt() == null) ? 0 : getLastSignAt().hashCode());
        result = prime * result + ((getTotalPoints() == null) ? 0 : getTotalPoints().hashCode());
        result = prime * result + ((getTotalSpace() == null) ? 0 : getTotalSpace().hashCode());
        result = prime * result + ((getUsedSpace() == null) ? 0 : getUsedSpace().hashCode());
        result = prime * result + ((getLeftSpace() == null) ? 0 : getLeftSpace().hashCode());
        result = prime * result + ((getAppsCode() == null) ? 0 : getAppsCode().hashCode());
        result = prime * result + ((getSubscriberType() == null) ? 0 : getSubscriberType().hashCode());
        result = prime * result + ((getReferralCode() == null) ? 0 : getReferralCode().hashCode());
        result = prime * result + ((getReferralCount() == null) ? 0 : getReferralCount().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", phone=").append(phone);
        sb.append(", email=").append(email);
        sb.append(", gender=").append(gender);
        sb.append(", region=").append(region);
        sb.append(", signature=").append(signature);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", passwordDigest=").append(passwordDigest);
        sb.append(", timeZone=").append(timeZone);
        sb.append(", viewedTimes=").append(viewedTimes);
        sb.append(", status=").append(status);
        sb.append(", activationToken=").append(activationToken);
        sb.append(", activatedAt=").append(activatedAt);
        sb.append(", resetToken=").append(resetToken);
        sb.append(", resetTokenGeneratedAt=").append(resetTokenGeneratedAt);
        sb.append(", phoneZone=").append(phoneZone);
        sb.append(", account=").append(account);
        sb.append(", location=").append(location);
        sb.append(", publicPhone=").append(publicPhone);
        sb.append(", publicEmail=").append(publicEmail);
        sb.append(", settings=").append(settings);
        sb.append(", points=").append(points);
        sb.append(", lastSignAt=").append(lastSignAt);
        sb.append(", totalPoints=").append(totalPoints);
        sb.append(", totalSpace=").append(totalSpace);
        sb.append(", usedSpace=").append(usedSpace);
        sb.append(", leftSpace=").append(leftSpace);
        sb.append(", appsCode=").append(appsCode);
        sb.append(", subscriberType=").append(subscriberType);
        sb.append(", referralCode=").append(referralCode);
        sb.append(", referralCount=").append(referralCount);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}