package cn.kdan.pdf.backend.core.model;

import java.io.Serializable;
import java.util.Date;

public class Orders implements Serializable {
    private String id;

    private String memberId;

    private String subscriptionId;

    private Integer payment;

    private String pagePayUrl;

    private String qrcodeUrl;

    private Integer status;

    private String result;

    private Date createdAt;

    private Date updatedAt;

    private String tradeNo;

    private String androidSign;

    private Float price;

    private String androidSign2;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public Orders withId(String id) {
        this.setId(id);
        return this;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMemberId() {
        return memberId;
    }

    public Orders withMemberId(String memberId) {
        this.setMemberId(memberId);
        return this;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getSubscriptionId() {
        return subscriptionId;
    }

    public Orders withSubscriptionId(String subscriptionId) {
        this.setSubscriptionId(subscriptionId);
        return this;
    }

    public void setSubscriptionId(String subscriptionId) {
        this.subscriptionId = subscriptionId;
    }

    public Integer getPayment() {
        return payment;
    }

    public Orders withPayment(Integer payment) {
        this.setPayment(payment);
        return this;
    }

    public void setPayment(Integer payment) {
        this.payment = payment;
    }

    public String getPagePayUrl() {
        return pagePayUrl;
    }

    public Orders withPagePayUrl(String pagePayUrl) {
        this.setPagePayUrl(pagePayUrl);
        return this;
    }

    public void setPagePayUrl(String pagePayUrl) {
        this.pagePayUrl = pagePayUrl;
    }

    public String getQrcodeUrl() {
        return qrcodeUrl;
    }

    public Orders withQrcodeUrl(String qrcodeUrl) {
        this.setQrcodeUrl(qrcodeUrl);
        return this;
    }

    public void setQrcodeUrl(String qrcodeUrl) {
        this.qrcodeUrl = qrcodeUrl;
    }

    public Integer getStatus() {
        return status;
    }

    public Orders withStatus(Integer status) {
        this.setStatus(status);
        return this;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getResult() {
        return result;
    }

    public Orders withResult(String result) {
        this.setResult(result);
        return this;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public Orders withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public Orders withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public Orders withTradeNo(String tradeNo) {
        this.setTradeNo(tradeNo);
        return this;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public String getAndroidSign() {
        return androidSign;
    }

    public Orders withAndroidSign(String androidSign) {
        this.setAndroidSign(androidSign);
        return this;
    }

    public void setAndroidSign(String androidSign) {
        this.androidSign = androidSign;
    }

    public Float getPrice() {
        return price;
    }

    public Orders withPrice(Float price) {
        this.setPrice(price);
        return this;
    }

    public void setPrice(Float price) {
        this.price = price;
    }

    public String getAndroidSign2() {
        return androidSign2;
    }

    public Orders withAndroidSign2(String androidSign2) {
        this.setAndroidSign2(androidSign2);
        return this;
    }

    public void setAndroidSign2(String androidSign2) {
        this.androidSign2 = androidSign2;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        Orders other = (Orders) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getMemberId() == null ? other.getMemberId() == null : this.getMemberId().equals(other.getMemberId()))
                && (this.getSubscriptionId() == null ? other.getSubscriptionId() == null : this.getSubscriptionId().equals(other.getSubscriptionId()))
                && (this.getPayment() == null ? other.getPayment() == null : this.getPayment().equals(other.getPayment()))
                && (this.getPagePayUrl() == null ? other.getPagePayUrl() == null : this.getPagePayUrl().equals(other.getPagePayUrl()))
                && (this.getQrcodeUrl() == null ? other.getQrcodeUrl() == null : this.getQrcodeUrl().equals(other.getQrcodeUrl()))
                && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
                && (this.getResult() == null ? other.getResult() == null : this.getResult().equals(other.getResult()))
                && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
                && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
                && (this.getTradeNo() == null ? other.getTradeNo() == null : this.getTradeNo().equals(other.getTradeNo()))
                && (this.getAndroidSign() == null ? other.getAndroidSign() == null : this.getAndroidSign().equals(other.getAndroidSign()))
                && (this.getPrice() == null ? other.getPrice() == null : this.getPrice().equals(other.getPrice()))
                && (this.getAndroidSign2() == null ? other.getAndroidSign2() == null : this.getAndroidSign2().equals(other.getAndroidSign2()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMemberId() == null) ? 0 : getMemberId().hashCode());
        result = prime * result + ((getSubscriptionId() == null) ? 0 : getSubscriptionId().hashCode());
        result = prime * result + ((getPayment() == null) ? 0 : getPayment().hashCode());
        result = prime * result + ((getPagePayUrl() == null) ? 0 : getPagePayUrl().hashCode());
        result = prime * result + ((getQrcodeUrl() == null) ? 0 : getQrcodeUrl().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getResult() == null) ? 0 : getResult().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getTradeNo() == null) ? 0 : getTradeNo().hashCode());
        result = prime * result + ((getAndroidSign() == null) ? 0 : getAndroidSign().hashCode());
        result = prime * result + ((getPrice() == null) ? 0 : getPrice().hashCode());
        result = prime * result + ((getAndroidSign2() == null) ? 0 : getAndroidSign2().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", memberId=").append(memberId);
        sb.append(", subscriptionId=").append(subscriptionId);
        sb.append(", payment=").append(payment);
        sb.append(", pagePayUrl=").append(pagePayUrl);
        sb.append(", qrcodeUrl=").append(qrcodeUrl);
        sb.append(", status=").append(status);
        sb.append(", result=").append(result);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", tradeNo=").append(tradeNo);
        sb.append(", androidSign=").append(androidSign);
        sb.append(", price=").append(price);
        sb.append(", androidSign2=").append(androidSign2);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}