package cn.kdan.pdf.backend.core.model;

import java.io.Serializable;
import java.util.Date;

public class Pricings implements Serializable {
    private Integer id;

    private Integer mode;

    private Integer amount;

    private String period;

    private Float marketPrice;

    private String description;

    private Date createdAt;

    private Date updatedAt;

    private String productCode;

    private Float appDiscounts;

    private Float webDiscounts;

    private String title;

    private Integer saleType;

    private String pricingDiscountId;

    private String slogan;

    private String sloganEn;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public Pricings withId(Integer id) {
        this.setId(id);
        return this;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getMode() {
        return mode;
    }

    public Pricings withMode(Integer mode) {
        this.setMode(mode);
        return this;
    }

    public void setMode(Integer mode) {
        this.mode = mode;
    }

    public Integer getAmount() {
        return amount;
    }

    public Pricings withAmount(Integer amount) {
        this.setAmount(amount);
        return this;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public String getPeriod() {
        return period;
    }

    public Pricings withPeriod(String period) {
        this.setPeriod(period);
        return this;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public Float getMarketPrice() {
        return marketPrice;
    }

    public Pricings withMarketPrice(Float marketPrice) {
        this.setMarketPrice(marketPrice);
        return this;
    }

    public void setMarketPrice(Float marketPrice) {
        this.marketPrice = marketPrice;
    }

    public String getDescription() {
        return description;
    }

    public Pricings withDescription(String description) {
        this.setDescription(description);
        return this;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public Pricings withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public Pricings withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getProductCode() {
        return productCode;
    }

    public Pricings withProductCode(String productCode) {
        this.setProductCode(productCode);
        return this;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public Float getAppDiscounts() {
        return appDiscounts;
    }

    public Pricings withAppDiscounts(Float appDiscounts) {
        this.setAppDiscounts(appDiscounts);
        return this;
    }

    public void setAppDiscounts(Float appDiscounts) {
        this.appDiscounts = appDiscounts;
    }

    public Float getWebDiscounts() {
        return webDiscounts;
    }

    public Pricings withWebDiscounts(Float webDiscounts) {
        this.setWebDiscounts(webDiscounts);
        return this;
    }

    public void setWebDiscounts(Float webDiscounts) {
        this.webDiscounts = webDiscounts;
    }

    public String getTitle() {
        return title;
    }

    public Pricings withTitle(String title) {
        this.setTitle(title);
        return this;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getSaleType() {
        return saleType;
    }

    public Pricings withSaleType(Integer saleType) {
        this.setSaleType(saleType);
        return this;
    }

    public void setSaleType(Integer saleType) {
        this.saleType = saleType;
    }

    public String getPricingDiscountId() {
        return pricingDiscountId;
    }

    public Pricings withPricingDiscountId(String pricingDiscountId) {
        this.setPricingDiscountId(pricingDiscountId);
        return this;
    }

    public void setPricingDiscountId(String pricingDiscountId) {
        this.pricingDiscountId = pricingDiscountId;
    }

    public String getSlogan() {
        return slogan;
    }

    public Pricings withSlogan(String slogan) {
        this.setSlogan(slogan);
        return this;
    }

    public void setSlogan(String slogan) {
        this.slogan = slogan;
    }

    public String getSloganEn() {
        return sloganEn;
    }

    public Pricings withSloganEn(String sloganEn) {
        this.setSloganEn(sloganEn);
        return this;
    }

    public void setSloganEn(String sloganEn) {
        this.sloganEn = sloganEn;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        Pricings other = (Pricings) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getMode() == null ? other.getMode() == null : this.getMode().equals(other.getMode()))
                && (this.getAmount() == null ? other.getAmount() == null : this.getAmount().equals(other.getAmount()))
                && (this.getPeriod() == null ? other.getPeriod() == null : this.getPeriod().equals(other.getPeriod()))
                && (this.getMarketPrice() == null ? other.getMarketPrice() == null : this.getMarketPrice().equals(other.getMarketPrice()))
                && (this.getDescription() == null ? other.getDescription() == null : this.getDescription().equals(other.getDescription()))
                && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
                && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
                && (this.getProductCode() == null ? other.getProductCode() == null : this.getProductCode().equals(other.getProductCode()))
                && (this.getAppDiscounts() == null ? other.getAppDiscounts() == null : this.getAppDiscounts().equals(other.getAppDiscounts()))
                && (this.getWebDiscounts() == null ? other.getWebDiscounts() == null : this.getWebDiscounts().equals(other.getWebDiscounts()))
                && (this.getTitle() == null ? other.getTitle() == null : this.getTitle().equals(other.getTitle()))
                && (this.getSaleType() == null ? other.getSaleType() == null : this.getSaleType().equals(other.getSaleType()))
                && (this.getPricingDiscountId() == null ? other.getPricingDiscountId() == null : this.getPricingDiscountId().equals(other.getPricingDiscountId()))
                && (this.getSlogan() == null ? other.getSlogan() == null : this.getSlogan().equals(other.getSlogan()))
                && (this.getSloganEn() == null ? other.getSloganEn() == null : this.getSloganEn().equals(other.getSloganEn()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMode() == null) ? 0 : getMode().hashCode());
        result = prime * result + ((getAmount() == null) ? 0 : getAmount().hashCode());
        result = prime * result + ((getPeriod() == null) ? 0 : getPeriod().hashCode());
        result = prime * result + ((getMarketPrice() == null) ? 0 : getMarketPrice().hashCode());
        result = prime * result + ((getDescription() == null) ? 0 : getDescription().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getProductCode() == null) ? 0 : getProductCode().hashCode());
        result = prime * result + ((getAppDiscounts() == null) ? 0 : getAppDiscounts().hashCode());
        result = prime * result + ((getWebDiscounts() == null) ? 0 : getWebDiscounts().hashCode());
        result = prime * result + ((getTitle() == null) ? 0 : getTitle().hashCode());
        result = prime * result + ((getSaleType() == null) ? 0 : getSaleType().hashCode());
        result = prime * result + ((getPricingDiscountId() == null) ? 0 : getPricingDiscountId().hashCode());
        result = prime * result + ((getSlogan() == null) ? 0 : getSlogan().hashCode());
        result = prime * result + ((getSloganEn() == null) ? 0 : getSloganEn().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", mode=").append(mode);
        sb.append(", amount=").append(amount);
        sb.append(", period=").append(period);
        sb.append(", marketPrice=").append(marketPrice);
        sb.append(", description=").append(description);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", productCode=").append(productCode);
        sb.append(", appDiscounts=").append(appDiscounts);
        sb.append(", webDiscounts=").append(webDiscounts);
        sb.append(", title=").append(title);
        sb.append(", saleType=").append(saleType);
        sb.append(", pricingDiscountId=").append(pricingDiscountId);
        sb.append(", slogan=").append(slogan);
        sb.append(", sloganEn=").append(sloganEn);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}