package cn.kdan.pdf.backend.core.model;

import java.io.Serializable;
import java.util.Date;

public class SetPricings implements Serializable {
    private Integer id;

    private Integer mode;

    private Integer spaceAmount;

    private Integer pointsAmount;

    private Integer maxTraffic;

    private Integer maxFilesize;

    private String period;

    private Float marketPrice;

    private Date createdAt;

    private Date updatedAt;

    private String productCode;

    private Float appDiscounts;

    private Float webDiscounts;

    private String title;

    private Integer saleType;

    private String pricingDiscountId;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public SetPricings withId(Integer id) {
        this.setId(id);
        return this;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getMode() {
        return mode;
    }

    public SetPricings withMode(Integer mode) {
        this.setMode(mode);
        return this;
    }

    public void setMode(Integer mode) {
        this.mode = mode;
    }

    public Integer getSpaceAmount() {
        return spaceAmount;
    }

    public SetPricings withSpaceAmount(Integer spaceAmount) {
        this.setSpaceAmount(spaceAmount);
        return this;
    }

    public void setSpaceAmount(Integer spaceAmount) {
        this.spaceAmount = spaceAmount;
    }

    public Integer getPointsAmount() {
        return pointsAmount;
    }

    public SetPricings withPointsAmount(Integer pointsAmount) {
        this.setPointsAmount(pointsAmount);
        return this;
    }

    public void setPointsAmount(Integer pointsAmount) {
        this.pointsAmount = pointsAmount;
    }

    public Integer getMaxTraffic() {
        return maxTraffic;
    }

    public SetPricings withMaxTraffic(Integer maxTraffic) {
        this.setMaxTraffic(maxTraffic);
        return this;
    }

    public void setMaxTraffic(Integer maxTraffic) {
        this.maxTraffic = maxTraffic;
    }

    public Integer getMaxFilesize() {
        return maxFilesize;
    }

    public SetPricings withMaxFilesize(Integer maxFilesize) {
        this.setMaxFilesize(maxFilesize);
        return this;
    }

    public void setMaxFilesize(Integer maxFilesize) {
        this.maxFilesize = maxFilesize;
    }

    public String getPeriod() {
        return period;
    }

    public SetPricings withPeriod(String period) {
        this.setPeriod(period);
        return this;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public Float getMarketPrice() {
        return marketPrice;
    }

    public SetPricings withMarketPrice(Float marketPrice) {
        this.setMarketPrice(marketPrice);
        return this;
    }

    public void setMarketPrice(Float marketPrice) {
        this.marketPrice = marketPrice;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public SetPricings withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public SetPricings withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getProductCode() {
        return productCode;
    }

    public SetPricings withProductCode(String productCode) {
        this.setProductCode(productCode);
        return this;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public Float getAppDiscounts() {
        return appDiscounts;
    }

    public SetPricings withAppDiscounts(Float appDiscounts) {
        this.setAppDiscounts(appDiscounts);
        return this;
    }

    public void setAppDiscounts(Float appDiscounts) {
        this.appDiscounts = appDiscounts;
    }

    public Float getWebDiscounts() {
        return webDiscounts;
    }

    public SetPricings withWebDiscounts(Float webDiscounts) {
        this.setWebDiscounts(webDiscounts);
        return this;
    }

    public void setWebDiscounts(Float webDiscounts) {
        this.webDiscounts = webDiscounts;
    }

    public String getTitle() {
        return title;
    }

    public SetPricings withTitle(String title) {
        this.setTitle(title);
        return this;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getSaleType() {
        return saleType;
    }

    public SetPricings withSaleType(Integer saleType) {
        this.setSaleType(saleType);
        return this;
    }

    public void setSaleType(Integer saleType) {
        this.saleType = saleType;
    }

    public String getPricingDiscountId() {
        return pricingDiscountId;
    }

    public SetPricings withPricingDiscountId(String pricingDiscountId) {
        this.setPricingDiscountId(pricingDiscountId);
        return this;
    }

    public void setPricingDiscountId(String pricingDiscountId) {
        this.pricingDiscountId = pricingDiscountId;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        SetPricings other = (SetPricings) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getMode() == null ? other.getMode() == null : this.getMode().equals(other.getMode()))
                && (this.getSpaceAmount() == null ? other.getSpaceAmount() == null : this.getSpaceAmount().equals(other.getSpaceAmount()))
                && (this.getPointsAmount() == null ? other.getPointsAmount() == null : this.getPointsAmount().equals(other.getPointsAmount()))
                && (this.getMaxTraffic() == null ? other.getMaxTraffic() == null : this.getMaxTraffic().equals(other.getMaxTraffic()))
                && (this.getMaxFilesize() == null ? other.getMaxFilesize() == null : this.getMaxFilesize().equals(other.getMaxFilesize()))
                && (this.getPeriod() == null ? other.getPeriod() == null : this.getPeriod().equals(other.getPeriod()))
                && (this.getMarketPrice() == null ? other.getMarketPrice() == null : this.getMarketPrice().equals(other.getMarketPrice()))
                && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
                && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
                && (this.getProductCode() == null ? other.getProductCode() == null : this.getProductCode().equals(other.getProductCode()))
                && (this.getAppDiscounts() == null ? other.getAppDiscounts() == null : this.getAppDiscounts().equals(other.getAppDiscounts()))
                && (this.getWebDiscounts() == null ? other.getWebDiscounts() == null : this.getWebDiscounts().equals(other.getWebDiscounts()))
                && (this.getTitle() == null ? other.getTitle() == null : this.getTitle().equals(other.getTitle()))
                && (this.getSaleType() == null ? other.getSaleType() == null : this.getSaleType().equals(other.getSaleType()))
                && (this.getPricingDiscountId() == null ? other.getPricingDiscountId() == null : this.getPricingDiscountId().equals(other.getPricingDiscountId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMode() == null) ? 0 : getMode().hashCode());
        result = prime * result + ((getSpaceAmount() == null) ? 0 : getSpaceAmount().hashCode());
        result = prime * result + ((getPointsAmount() == null) ? 0 : getPointsAmount().hashCode());
        result = prime * result + ((getMaxTraffic() == null) ? 0 : getMaxTraffic().hashCode());
        result = prime * result + ((getMaxFilesize() == null) ? 0 : getMaxFilesize().hashCode());
        result = prime * result + ((getPeriod() == null) ? 0 : getPeriod().hashCode());
        result = prime * result + ((getMarketPrice() == null) ? 0 : getMarketPrice().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getProductCode() == null) ? 0 : getProductCode().hashCode());
        result = prime * result + ((getAppDiscounts() == null) ? 0 : getAppDiscounts().hashCode());
        result = prime * result + ((getWebDiscounts() == null) ? 0 : getWebDiscounts().hashCode());
        result = prime * result + ((getTitle() == null) ? 0 : getTitle().hashCode());
        result = prime * result + ((getSaleType() == null) ? 0 : getSaleType().hashCode());
        result = prime * result + ((getPricingDiscountId() == null) ? 0 : getPricingDiscountId().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", mode=").append(mode);
        sb.append(", spaceAmount=").append(spaceAmount);
        sb.append(", pointsAmount=").append(pointsAmount);
        sb.append(", maxTraffic=").append(maxTraffic);
        sb.append(", maxFilesize=").append(maxFilesize);
        sb.append(", period=").append(period);
        sb.append(", marketPrice=").append(marketPrice);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", productCode=").append(productCode);
        sb.append(", appDiscounts=").append(appDiscounts);
        sb.append(", webDiscounts=").append(webDiscounts);
        sb.append(", title=").append(title);
        sb.append(", saleType=").append(saleType);
        sb.append(", pricingDiscountId=").append(pricingDiscountId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}