package cn.kdan.pdf.backend.core.model;

import java.io.Serializable;
import java.util.Date;

public class Subscriptions implements Serializable {
    private String id;

    private String memberId;

    private String targetType;

    private Integer targetId;

    private Float price;

    private Integer status;

    private Date startDate;

    private Date endDate;

    private Date createdAt;

    private Date updatedAt;

    private Date deletedAt;

    private Integer totalPoints;

    private String totalPeriod;

    private String pricingDiscountId;

    private Integer payment;

    private String memberReferralId;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public Subscriptions withId(String id) {
        this.setId(id);
        return this;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMemberId() {
        return memberId;
    }

    public Subscriptions withMemberId(String memberId) {
        this.setMemberId(memberId);
        return this;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getTargetType() {
        return targetType;
    }

    public Subscriptions withTargetType(String targetType) {
        this.setTargetType(targetType);
        return this;
    }

    public void setTargetType(String targetType) {
        this.targetType = targetType;
    }

    public Integer getTargetId() {
        return targetId;
    }

    public Subscriptions withTargetId(Integer targetId) {
        this.setTargetId(targetId);
        return this;
    }

    public void setTargetId(Integer targetId) {
        this.targetId = targetId;
    }

    public Float getPrice() {
        return price;
    }

    public Subscriptions withPrice(Float price) {
        this.setPrice(price);
        return this;
    }

    public void setPrice(Float price) {
        this.price = price;
    }

    public Integer getStatus() {
        return status;
    }

    public Subscriptions withStatus(Integer status) {
        this.setStatus(status);
        return this;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getStartDate() {
        return startDate;
    }

    public Subscriptions withStartDate(Date startDate) {
        this.setStartDate(startDate);
        return this;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public Subscriptions withEndDate(Date endDate) {
        this.setEndDate(endDate);
        return this;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public Subscriptions withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public Subscriptions withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public Subscriptions withDeletedAt(Date deletedAt) {
        this.setDeletedAt(deletedAt);
        return this;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Integer getTotalPoints() {
        return totalPoints;
    }

    public Subscriptions withTotalPoints(Integer totalPoints) {
        this.setTotalPoints(totalPoints);
        return this;
    }

    public void setTotalPoints(Integer totalPoints) {
        this.totalPoints = totalPoints;
    }

    public String getTotalPeriod() {
        return totalPeriod;
    }

    public Subscriptions withTotalPeriod(String totalPeriod) {
        this.setTotalPeriod(totalPeriod);
        return this;
    }

    public void setTotalPeriod(String totalPeriod) {
        this.totalPeriod = totalPeriod;
    }

    public String getPricingDiscountId() {
        return pricingDiscountId;
    }

    public Subscriptions withPricingDiscountId(String pricingDiscountId) {
        this.setPricingDiscountId(pricingDiscountId);
        return this;
    }

    public void setPricingDiscountId(String pricingDiscountId) {
        this.pricingDiscountId = pricingDiscountId;
    }

    public Integer getPayment() {
        return payment;
    }

    public Subscriptions withPayment(Integer payment) {
        this.setPayment(payment);
        return this;
    }

    public void setPayment(Integer payment) {
        this.payment = payment;
    }

    public String getMemberReferralId() {
        return memberReferralId;
    }

    public Subscriptions withMemberReferralId(String memberReferralId) {
        this.setMemberReferralId(memberReferralId);
        return this;
    }

    public void setMemberReferralId(String memberReferralId) {
        this.memberReferralId = memberReferralId;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        Subscriptions other = (Subscriptions) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getMemberId() == null ? other.getMemberId() == null : this.getMemberId().equals(other.getMemberId()))
                && (this.getTargetType() == null ? other.getTargetType() == null : this.getTargetType().equals(other.getTargetType()))
                && (this.getTargetId() == null ? other.getTargetId() == null : this.getTargetId().equals(other.getTargetId()))
                && (this.getPrice() == null ? other.getPrice() == null : this.getPrice().equals(other.getPrice()))
                && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
                && (this.getStartDate() == null ? other.getStartDate() == null : this.getStartDate().equals(other.getStartDate()))
                && (this.getEndDate() == null ? other.getEndDate() == null : this.getEndDate().equals(other.getEndDate()))
                && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
                && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
                && (this.getDeletedAt() == null ? other.getDeletedAt() == null : this.getDeletedAt().equals(other.getDeletedAt()))
                && (this.getTotalPoints() == null ? other.getTotalPoints() == null : this.getTotalPoints().equals(other.getTotalPoints()))
                && (this.getTotalPeriod() == null ? other.getTotalPeriod() == null : this.getTotalPeriod().equals(other.getTotalPeriod()))
                && (this.getPricingDiscountId() == null ? other.getPricingDiscountId() == null : this.getPricingDiscountId().equals(other.getPricingDiscountId()))
                && (this.getPayment() == null ? other.getPayment() == null : this.getPayment().equals(other.getPayment()))
                && (this.getMemberReferralId() == null ? other.getMemberReferralId() == null : this.getMemberReferralId().equals(other.getMemberReferralId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMemberId() == null) ? 0 : getMemberId().hashCode());
        result = prime * result + ((getTargetType() == null) ? 0 : getTargetType().hashCode());
        result = prime * result + ((getTargetId() == null) ? 0 : getTargetId().hashCode());
        result = prime * result + ((getPrice() == null) ? 0 : getPrice().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getStartDate() == null) ? 0 : getStartDate().hashCode());
        result = prime * result + ((getEndDate() == null) ? 0 : getEndDate().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getDeletedAt() == null) ? 0 : getDeletedAt().hashCode());
        result = prime * result + ((getTotalPoints() == null) ? 0 : getTotalPoints().hashCode());
        result = prime * result + ((getTotalPeriod() == null) ? 0 : getTotalPeriod().hashCode());
        result = prime * result + ((getPricingDiscountId() == null) ? 0 : getPricingDiscountId().hashCode());
        result = prime * result + ((getPayment() == null) ? 0 : getPayment().hashCode());
        result = prime * result + ((getMemberReferralId() == null) ? 0 : getMemberReferralId().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", memberId=").append(memberId);
        sb.append(", targetType=").append(targetType);
        sb.append(", targetId=").append(targetId);
        sb.append(", price=").append(price);
        sb.append(", status=").append(status);
        sb.append(", startDate=").append(startDate);
        sb.append(", endDate=").append(endDate);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", deletedAt=").append(deletedAt);
        sb.append(", totalPoints=").append(totalPoints);
        sb.append(", totalPeriod=").append(totalPeriod);
        sb.append(", pricingDiscountId=").append(pricingDiscountId);
        sb.append(", payment=").append(payment);
        sb.append(", memberReferralId=").append(memberReferralId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}