package cn.kdan.pdf.backend.core.pojo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FileVo {

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 失败原因
     */
    private String failReason;
    /**
     * 文件名
     */
    private String fileName;
    /**
     * 折后价格
     */
    private Integer newPrice;
    /**
     * ocr码
     */
    private String ocrCode;
    /**
     * 源文件名
     */
    private String originalFilename;
    /**
     * 路径
     */
    private String path;
    /**
     * 价格
     */
    private Integer price;
    /**
     * 是否可重试
     */
    private Boolean retryEnabled;
    /**
     * 单独的转档文件id
     */
    private String singleMid;
    /**
     * 文件大小
     */
    private BigDecimal size;
    /**
     * 源文件类型
     */
    private String sourceType;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 目标文件类型
     */
    private String targetType;
    /**
     * 转换时间
     */
    private Integer timeTakenForConvert;

}
