package cn.kdan.pdf.backend.core.pojo;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author tangxiangan
 */
@Setter
@Getter
@Data
public class MissionFileVO {

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 失败原因
     */
    private String failReason;
    /**
     * 文件名
     */
    private String fileName;
    /**
     * 折后价格
     */
    private Integer newPrice;
    /**
     * ocr码
     */
    private String ocrCode;
    /**
     * 源文件名
     */
    private String originalFilename;
    /**
     * 路径
     */
    private String path;
    /**
     * 价格
     */
    private Integer price;
    /**
     * 是否可重试
     */
    private Boolean retryEnabled;
    /**
     * 单独的转档文件id
     */
    private String singleMid;
    /**
     * 文件大小
     */
    private BigDecimal size;
    /**
     * 转档后文件大小
     */
    private Integer convertSize;
    /**
     * 源文件类型
     */
    private String sourceType;
    /**
     * 状态
     */
    private Integer status;

    private String statusName;

    /**
     * 目标文件类型
     */
    private String targetType;
    /**
     * 转换时间
     */
    private Integer timeTakenForConvert;

    private String id;

    private String missionId;

    private String memberId;

    private String clientId;

    private Integer convertTypeId;

    private String processId;

    private Integer fileType;

    private Integer orderId;

    private String callbackUrl;

    private Date createdAt;

    private Date updatedAt;

    private Date deletedAt;

    private Date convertAt;

    private Date convertEndAt;

    private Integer worker;

    private Date uploadedAt;

    private String traceResult;

    private String outputBucket;

    private String outFilename;

    private String inputType;

    private String outputType;

    private String saasTaskId;


}
