package cn.kdan.pdf.backend.core.pojo.oauth2;

import org.springframework.security.crypto.password.PasswordEncoder;
import utils.AesUtils;

public class AesPasswordEncoder implements PasswordEncoder {

    @Override
    public boolean matches(CharSequence rawPassword, String encodedPassword) {
        //加密之后对比密码
        return encodedPassword.equals(AesUtils.encrypt((String) rawPassword));
    }

    @Override
    public String encode(CharSequence rawPassword) {
        return AesUtils.encrypt((String) rawPassword);
    }
}
