package cn.kdan.pdf.backend.core.pojo.oauth2;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * oauth2令牌信息
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TokenPOJO {

    /**
     * 刷新用令牌
     */
    private String refreshToken;

    /**
     * 访问用令牌
     */
    private String accessToken;

    /**
     * 令牌类型
     */
    private String tokenType;

    /**
     * 过期时间
     */
    private Integer expiresIn;
}
