package cn.kdan.pdf.backend.core.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author ZhouQiang 2022/7/13
 */
@ConfigurationProperties(prefix = "17pdf.oss")
@Configuration
@Data
public class OssProperties {

    private String bucketName;

    private String endpoint;

    private String accessKeyId;

    private String accessKeySecret;

    private String filePrefix;

    private String viewUrl;
}
