package cn.kdan.pdf.backend.core.service.impl;

import cn.kdan.pdf.backend.core.mapper.OutputFilesMapper;
import cn.kdan.pdf.backend.core.model.OutputFiles;
import cn.kdan.pdf.backend.core.service.OutputFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author sfq
 * @description
 */
@Service
public class OutputFileServiceImpl implements OutputFileService {

    @Autowired
    private OutputFilesMapper outputFilesMapper;

    @Override
    public void insert(OutputFiles outputFile) {
        outputFile.setCreatedAt(new Date());
        outputFile.setUpdatedAt(new Date());
        outputFilesMapper.insert(outputFile);
    }
}
