package cn.kdan.pdf.backend.core.utils.wxpay;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

/**
 * @author tangxiangan
 */
@Getter
@Setter
@Data
public class WXPayOrderNotifyResult {

    @JsonProperty("promotion_detail")
    private String promotionDetail;
    @JsonProperty("device_info")
    private String deviceInfo;
    @JsonProperty("openid")
    private String openid;
    @JsonProperty("is_subscribe")
    private String isSubscribe;
    @JsonProperty("sub_openid")
    private String subOpenid;
    @JsonProperty("sub_is_subscribe")
    private String subIsSubscribe;
    @JsonProperty("trade_type")
    private String tradeType;
    @JsonProperty("bank_type")
    private String bankType;
    @JsonProperty("total_fee")
    private Integer totalFee;
    @JsonProperty("settlement_total_fee")
    private Integer settlementTotalFee;
    @JsonProperty("fee_type")
    private String feeType;
    @JsonProperty("cash_fee")
    private Integer cashFee;
    @JsonProperty("cash_fee_type")
    private String cashFeeType;
    @JsonProperty("coupon_fee")
    private Integer couponFee;
    @JsonProperty("coupon_count")
    private Integer couponCount;
    @JsonProperty("transaction_id")
    private String transactionId;
    @JsonProperty("out_trade_no")
    private String outTradeNo;
    @JsonProperty("attach")
    private String attach;
    @JsonProperty("time_end")
    private String timeEnd;
    @JsonProperty("version")
    private String version;
    @JsonProperty("rate_value")
    private String rateValue;
    @JsonProperty("sign_type")
    private String signType;
    @JsonProperty("return_code")
    private String returnCode;
    @JsonProperty("result_code")
    private String resultCode;
}
