package annotations;


import config.RedisConfig;
import config.SpringContextUtilsConfig;
import config.SwaggerConfig;
import org.springframework.context.annotation.Import;
import utils.EmailUtils;
import utils.SMSUtils;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author tangxiangan
 */
@Target(value = ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Import({ RedisConfig.class,SwaggerConfig.class, SpringContextUtilsConfig.class, SMSUtils.class, EmailUtils.class})
public @interface EnableCommonTools {

}
