package config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import pojo.AccessControlAllowOriginBean;

@Configuration
public class AllowOriginConfig {

    @Value("${access-control-allow-origin:*}")
    private String accessControlAllowOrigin;

    @Bean
    public AccessControlAllowOriginBean accessControllerAllowOriginBean() {
        AccessControlAllowOriginBean bean = new AccessControlAllowOriginBean();
        bean.setAllowOrigin(accessControlAllowOrigin);
        return bean;
    }
}
