package enums;

public class CommonEnum {

    /** 是否枚举 */
    public static enum YesOrNoEnum{
        YES(1), // 是
        NO(0); // 否

        private Integer value;

        YesOrNoEnum(Integer value) {
            this.value = value;
        }

        public Integer value() {
            return value;
        }
    }

    public static enum SubscriptionTypeEnum{
        PRICING("Pricing"), // 券服务
        SET_PRICING("SetPricing"); // 会员服务

        private String value;

        SubscriptionTypeEnum(String value) {
            this.value = value;
        }

        public String value() {
            return value;
        }
    }

    public static enum DataTypeEnum{
        MEMBERS("members"), // 用户
        PRICINGS("pricings"), // 券服务
        SET_PRICINGS("setPricings"); // 会员服务

        private String value;

        DataTypeEnum(String value) {
            this.value = value;
        }

        public String value() {
            return value;
        }
    }

}
