package pojo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * @author SongFuQiang
 * @description
 */
@Data
public class AppRequestParam<T> {

    /**
     * 客户端id
     */
    @JsonProperty("client_id")
    private String clientId;

    /**
     * 客户端密码
     */
    @JsonProperty("client_secret")
    private String clientSecret;

    /**
     * 业务参数
     */
    private T data;

}
