package pojo;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author tangxiangan
 */
public class QueryParams {

    @ApiModelProperty(name = "page", value = "页码", example = "1")
    private Integer page;

    @ApiModelProperty(name = "rows", value = "行数", example = "10")
    private Integer rows;

    @ApiModelProperty(name = "sidx", value = "排序字段", example = "name")
    private String sidx;

    @ApiModelProperty(name = "sord", value = "排序规则", example = "asc")
    private String sord;

    @ApiModelProperty(name = "orderByClause", value = "排序条件", example = "id asc, name asc")
    private String orderByClause;

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getRows() {
        return rows;
    }

    public void setRows(Integer rows) {
        this.rows = rows;
    }

    public String getSidx() {
        return sidx;
    }

    public void setSidx(String sidx) {
        this.sidx = sidx;
    }

    public String getSord() {
        return sord;
    }

    public void setSord(String sord) {
        this.sord = sord;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }
}
