package cn.kdan.pdf.backend.core.enums;

/**
 * 有效状态（是否可用）
 * CD101100
 *
 * @author tangxiangan
 */
public enum ClientEnum {

    /**
     * web端
     */
    WEB("web"),
    /**
     * 安卓端
     */
    APP("android");

    private final String value;

    ClientEnum(String value) {
        this.value = value;
    }

    public String value() {
        return value;
    }
}
