package cn.kdan.pdf.backend.core.enums;

/**
 * @author tangxiangan
 */

public enum ImageCodeTypeEnum {

    //登录
    LOGIN("login"),
    //忘记密码
    FORGET_PASSWORD("forget_password");

    private String value;

    ImageCodeTypeEnum(String value) {
        this.value = value;
    }

    public String value() {
        return value;
    }

    public static ImageCodeTypeEnum getEnumByValue(String value) {
        for (ImageCodeTypeEnum modeEnum : ImageCodeTypeEnum.values()) {
            if (modeEnum.value().equals(value)) {
                return modeEnum;
            }
        }
        return ImageCodeTypeEnum.LOGIN;
    }
}
