package cn.kdan.pdf.backend.core.enums;

/**
 * 有效状态（是否可用）
 * CD101100
 *
 * @author tangxiangan
 */
public enum SaleStatusEnum {

    /**
     * 在售
     */
    FOR_SALE("0"),
    /**
     * 下架
     */
    NO_SALE("1");

    private final String value;

    SaleStatusEnum(String value) {
        this.value = value;
    }

    public String value() {
        return value;
    }
}
