package cn.kdan.pdf.backend.core.enums;

/**
 * 订阅状态
 *
 * @author tangxiangan
 */
public enum SubscriberTypeEnum {

    /**
     * 非会员
     */
    no(0),
    /**
     * 会员
     */
    yes(1);


    private final Integer value;

    SubscriberTypeEnum(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }
}
