package cn.kdan.pdf.backend.core.mapper.ext;

import cn.kdan.pdf.backend.core.model.Subscriptions;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExtSetPricingsMapper {

    /**
     * 查询mode为0的会员服务
     * @param memberId 用户id
     * @return 订阅服务集合
     */
    List<Subscriptions> selectMode0(@Param("memberId") String memberId);

    /**
     * 根据mode和用户id查询券服务
     * @param memberId 用户id
     * @param mode 模式
     * @return 订阅服务集合
     */
    List<Subscriptions> selectByModeAndMemberId(@Param("memberId") String memberId, @Param("mode")String mode);

}
