package cn.kdan.pdf.backend.core.model;

import java.io.Serializable;
import java.util.Date;

public class Advertisements implements Serializable {
    private String id;

    private String slug;

    private String title;

    private String description;

    private String image;

    private String dimension;

    private Date createdAt;

    private Date updatedAt;

    private String linkText;

    private String linkUrl;

    private Integer totalHits;

    private Integer language;

    private Date startDate;

    private Date endDate;

    private String displayType;

    private Float startHour;

    private Float endHour;

    private String extraInfo;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public Advertisements withId(String id) {
        this.setId(id);
        return this;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSlug() {
        return slug;
    }

    public Advertisements withSlug(String slug) {
        this.setSlug(slug);
        return this;
    }

    public void setSlug(String slug) {
        this.slug = slug;
    }

    public String getTitle() {
        return title;
    }

    public Advertisements withTitle(String title) {
        this.setTitle(title);
        return this;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public Advertisements withDescription(String description) {
        this.setDescription(description);
        return this;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getImage() {
        return image;
    }

    public Advertisements withImage(String image) {
        this.setImage(image);
        return this;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getDimension() {
        return dimension;
    }

    public Advertisements withDimension(String dimension) {
        this.setDimension(dimension);
        return this;
    }

    public void setDimension(String dimension) {
        this.dimension = dimension;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public Advertisements withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public Advertisements withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getLinkText() {
        return linkText;
    }

    public Advertisements withLinkText(String linkText) {
        this.setLinkText(linkText);
        return this;
    }

    public void setLinkText(String linkText) {
        this.linkText = linkText;
    }

    public String getLinkUrl() {
        return linkUrl;
    }

    public Advertisements withLinkUrl(String linkUrl) {
        this.setLinkUrl(linkUrl);
        return this;
    }

    public void setLinkUrl(String linkUrl) {
        this.linkUrl = linkUrl;
    }

    public Integer getTotalHits() {
        return totalHits;
    }

    public Advertisements withTotalHits(Integer totalHits) {
        this.setTotalHits(totalHits);
        return this;
    }

    public void setTotalHits(Integer totalHits) {
        this.totalHits = totalHits;
    }

    public Integer getLanguage() {
        return language;
    }

    public Advertisements withLanguage(Integer language) {
        this.setLanguage(language);
        return this;
    }

    public void setLanguage(Integer language) {
        this.language = language;
    }

    public Date getStartDate() {
        return startDate;
    }

    public Advertisements withStartDate(Date startDate) {
        this.setStartDate(startDate);
        return this;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public Advertisements withEndDate(Date endDate) {
        this.setEndDate(endDate);
        return this;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getDisplayType() {
        return displayType;
    }

    public Advertisements withDisplayType(String displayType) {
        this.setDisplayType(displayType);
        return this;
    }

    public void setDisplayType(String displayType) {
        this.displayType = displayType;
    }

    public Float getStartHour() {
        return startHour;
    }

    public Advertisements withStartHour(Float startHour) {
        this.setStartHour(startHour);
        return this;
    }

    public void setStartHour(Float startHour) {
        this.startHour = startHour;
    }

    public Float getEndHour() {
        return endHour;
    }

    public Advertisements withEndHour(Float endHour) {
        this.setEndHour(endHour);
        return this;
    }

    public void setEndHour(Float endHour) {
        this.endHour = endHour;
    }

    public String getExtraInfo() {
        return extraInfo;
    }

    public Advertisements withExtraInfo(String extraInfo) {
        this.setExtraInfo(extraInfo);
        return this;
    }

    public void setExtraInfo(String extraInfo) {
        this.extraInfo = extraInfo;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        Advertisements other = (Advertisements) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getSlug() == null ? other.getSlug() == null : this.getSlug().equals(other.getSlug()))
            && (this.getTitle() == null ? other.getTitle() == null : this.getTitle().equals(other.getTitle()))
            && (this.getDescription() == null ? other.getDescription() == null : this.getDescription().equals(other.getDescription()))
            && (this.getImage() == null ? other.getImage() == null : this.getImage().equals(other.getImage()))
            && (this.getDimension() == null ? other.getDimension() == null : this.getDimension().equals(other.getDimension()))
            && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
            && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
            && (this.getLinkText() == null ? other.getLinkText() == null : this.getLinkText().equals(other.getLinkText()))
            && (this.getLinkUrl() == null ? other.getLinkUrl() == null : this.getLinkUrl().equals(other.getLinkUrl()))
            && (this.getTotalHits() == null ? other.getTotalHits() == null : this.getTotalHits().equals(other.getTotalHits()))
            && (this.getLanguage() == null ? other.getLanguage() == null : this.getLanguage().equals(other.getLanguage()))
            && (this.getStartDate() == null ? other.getStartDate() == null : this.getStartDate().equals(other.getStartDate()))
            && (this.getEndDate() == null ? other.getEndDate() == null : this.getEndDate().equals(other.getEndDate()))
            && (this.getDisplayType() == null ? other.getDisplayType() == null : this.getDisplayType().equals(other.getDisplayType()))
            && (this.getStartHour() == null ? other.getStartHour() == null : this.getStartHour().equals(other.getStartHour()))
            && (this.getEndHour() == null ? other.getEndHour() == null : this.getEndHour().equals(other.getEndHour()))
            && (this.getExtraInfo() == null ? other.getExtraInfo() == null : this.getExtraInfo().equals(other.getExtraInfo()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getSlug() == null) ? 0 : getSlug().hashCode());
        result = prime * result + ((getTitle() == null) ? 0 : getTitle().hashCode());
        result = prime * result + ((getDescription() == null) ? 0 : getDescription().hashCode());
        result = prime * result + ((getImage() == null) ? 0 : getImage().hashCode());
        result = prime * result + ((getDimension() == null) ? 0 : getDimension().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getLinkText() == null) ? 0 : getLinkText().hashCode());
        result = prime * result + ((getLinkUrl() == null) ? 0 : getLinkUrl().hashCode());
        result = prime * result + ((getTotalHits() == null) ? 0 : getTotalHits().hashCode());
        result = prime * result + ((getLanguage() == null) ? 0 : getLanguage().hashCode());
        result = prime * result + ((getStartDate() == null) ? 0 : getStartDate().hashCode());
        result = prime * result + ((getEndDate() == null) ? 0 : getEndDate().hashCode());
        result = prime * result + ((getDisplayType() == null) ? 0 : getDisplayType().hashCode());
        result = prime * result + ((getStartHour() == null) ? 0 : getStartHour().hashCode());
        result = prime * result + ((getEndHour() == null) ? 0 : getEndHour().hashCode());
        result = prime * result + ((getExtraInfo() == null) ? 0 : getExtraInfo().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", slug=").append(slug);
        sb.append(", title=").append(title);
        sb.append(", description=").append(description);
        sb.append(", image=").append(image);
        sb.append(", dimension=").append(dimension);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", linkText=").append(linkText);
        sb.append(", linkUrl=").append(linkUrl);
        sb.append(", totalHits=").append(totalHits);
        sb.append(", language=").append(language);
        sb.append(", startDate=").append(startDate);
        sb.append(", endDate=").append(endDate);
        sb.append(", displayType=").append(displayType);
        sb.append(", startHour=").append(startHour);
        sb.append(", endHour=").append(endHour);
        sb.append(", extraInfo=").append(extraInfo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}