package cn.kdan.pdf.backend.core.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ConvertTypesExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public ConvertTypesExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andInputTypeIsNull() {
            addCriterion("input_type is null");
            return (Criteria) this;
        }

        public Criteria andInputTypeIsNotNull() {
            addCriterion("input_type is not null");
            return (Criteria) this;
        }

        public Criteria andInputTypeEqualTo(String value) {
            addCriterion("input_type =", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeNotEqualTo(String value) {
            addCriterion("input_type <>", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeGreaterThan(String value) {
            addCriterion("input_type >", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeGreaterThanOrEqualTo(String value) {
            addCriterion("input_type >=", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeLessThan(String value) {
            addCriterion("input_type <", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeLessThanOrEqualTo(String value) {
            addCriterion("input_type <=", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeLike(String value) {
            addCriterion("input_type like", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeNotLike(String value) {
            addCriterion("input_type not like", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeIn(List<String> values) {
            addCriterion("input_type in", values, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeNotIn(List<String> values) {
            addCriterion("input_type not in", values, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeBetween(String value1, String value2) {
            addCriterion("input_type between", value1, value2, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeNotBetween(String value1, String value2) {
            addCriterion("input_type not between", value1, value2, "inputType");
            return (Criteria) this;
        }

        public Criteria andOutputTypeIsNull() {
            addCriterion("output_type is null");
            return (Criteria) this;
        }

        public Criteria andOutputTypeIsNotNull() {
            addCriterion("output_type is not null");
            return (Criteria) this;
        }

        public Criteria andOutputTypeEqualTo(String value) {
            addCriterion("output_type =", value, "outputType");
            return (Criteria) this;
        }

        public Criteria andOutputTypeNotEqualTo(String value) {
            addCriterion("output_type <>", value, "outputType");
            return (Criteria) this;
        }

        public Criteria andOutputTypeGreaterThan(String value) {
            addCriterion("output_type >", value, "outputType");
            return (Criteria) this;
        }

        public Criteria andOutputTypeGreaterThanOrEqualTo(String value) {
            addCriterion("output_type >=", value, "outputType");
            return (Criteria) this;
        }

        public Criteria andOutputTypeLessThan(String value) {
            addCriterion("output_type <", value, "outputType");
            return (Criteria) this;
        }

        public Criteria andOutputTypeLessThanOrEqualTo(String value) {
            addCriterion("output_type <=", value, "outputType");
            return (Criteria) this;
        }

        public Criteria andOutputTypeLike(String value) {
            addCriterion("output_type like", value, "outputType");
            return (Criteria) this;
        }

        public Criteria andOutputTypeNotLike(String value) {
            addCriterion("output_type not like", value, "outputType");
            return (Criteria) this;
        }

        public Criteria andOutputTypeIn(List<String> values) {
            addCriterion("output_type in", values, "outputType");
            return (Criteria) this;
        }

        public Criteria andOutputTypeNotIn(List<String> values) {
            addCriterion("output_type not in", values, "outputType");
            return (Criteria) this;
        }

        public Criteria andOutputTypeBetween(String value1, String value2) {
            addCriterion("output_type between", value1, value2, "outputType");
            return (Criteria) this;
        }

        public Criteria andOutputTypeNotBetween(String value1, String value2) {
            addCriterion("output_type not between", value1, value2, "outputType");
            return (Criteria) this;
        }

        public Criteria andPriceIsNull() {
            addCriterion("price is null");
            return (Criteria) this;
        }

        public Criteria andPriceIsNotNull() {
            addCriterion("price is not null");
            return (Criteria) this;
        }

        public Criteria andPriceEqualTo(Integer value) {
            addCriterion("price =", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceNotEqualTo(Integer value) {
            addCriterion("price <>", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceGreaterThan(Integer value) {
            addCriterion("price >", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceGreaterThanOrEqualTo(Integer value) {
            addCriterion("price >=", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceLessThan(Integer value) {
            addCriterion("price <", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceLessThanOrEqualTo(Integer value) {
            addCriterion("price <=", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceIn(List<Integer> values) {
            addCriterion("price in", values, "price");
            return (Criteria) this;
        }

        public Criteria andPriceNotIn(List<Integer> values) {
            addCriterion("price not in", values, "price");
            return (Criteria) this;
        }

        public Criteria andPriceBetween(Integer value1, Integer value2) {
            addCriterion("price between", value1, value2, "price");
            return (Criteria) this;
        }

        public Criteria andPriceNotBetween(Integer value1, Integer value2) {
            addCriterion("price not between", value1, value2, "price");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNull() {
            addCriterion("updated_at is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNotNull() {
            addCriterion("updated_at is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtEqualTo(Date value) {
            addCriterion("updated_at =", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotEqualTo(Date value) {
            addCriterion("updated_at <>", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThan(Date value) {
            addCriterion("updated_at >", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("updated_at >=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThan(Date value) {
            addCriterion("updated_at <", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThanOrEqualTo(Date value) {
            addCriterion("updated_at <=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIn(List<Date> values) {
            addCriterion("updated_at in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotIn(List<Date> values) {
            addCriterion("updated_at not in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtBetween(Date value1, Date value2) {
            addCriterion("updated_at between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotBetween(Date value1, Date value2) {
            addCriterion("updated_at not between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNull() {
            addCriterion("deleted_at is null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNotNull() {
            addCriterion("deleted_at is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtEqualTo(Date value) {
            addCriterion("deleted_at =", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotEqualTo(Date value) {
            addCriterion("deleted_at <>", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThan(Date value) {
            addCriterion("deleted_at >", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("deleted_at >=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThan(Date value) {
            addCriterion("deleted_at <", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThanOrEqualTo(Date value) {
            addCriterion("deleted_at <=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIn(List<Date> values) {
            addCriterion("deleted_at in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotIn(List<Date> values) {
            addCriterion("deleted_at not in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtBetween(Date value1, Date value2) {
            addCriterion("deleted_at between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotBetween(Date value1, Date value2) {
            addCriterion("deleted_at not between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andWorkerIsNull() {
            addCriterion("worker is null");
            return (Criteria) this;
        }

        public Criteria andWorkerIsNotNull() {
            addCriterion("worker is not null");
            return (Criteria) this;
        }

        public Criteria andWorkerEqualTo(Integer value) {
            addCriterion("worker =", value, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerNotEqualTo(Integer value) {
            addCriterion("worker <>", value, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerGreaterThan(Integer value) {
            addCriterion("worker >", value, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerGreaterThanOrEqualTo(Integer value) {
            addCriterion("worker >=", value, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerLessThan(Integer value) {
            addCriterion("worker <", value, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerLessThanOrEqualTo(Integer value) {
            addCriterion("worker <=", value, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerIn(List<Integer> values) {
            addCriterion("worker in", values, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerNotIn(List<Integer> values) {
            addCriterion("worker not in", values, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerBetween(Integer value1, Integer value2) {
            addCriterion("worker between", value1, value2, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerNotBetween(Integer value1, Integer value2) {
            addCriterion("worker not between", value1, value2, "worker");
            return (Criteria) this;
        }

        public Criteria andSerialNumberIsNull() {
            addCriterion("serial_number is null");
            return (Criteria) this;
        }

        public Criteria andSerialNumberIsNotNull() {
            addCriterion("serial_number is not null");
            return (Criteria) this;
        }

        public Criteria andSerialNumberEqualTo(Integer value) {
            addCriterion("serial_number =", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberNotEqualTo(Integer value) {
            addCriterion("serial_number <>", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberGreaterThan(Integer value) {
            addCriterion("serial_number >", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberGreaterThanOrEqualTo(Integer value) {
            addCriterion("serial_number >=", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberLessThan(Integer value) {
            addCriterion("serial_number <", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberLessThanOrEqualTo(Integer value) {
            addCriterion("serial_number <=", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberIn(List<Integer> values) {
            addCriterion("serial_number in", values, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberNotIn(List<Integer> values) {
            addCriterion("serial_number not in", values, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberBetween(Integer value1, Integer value2) {
            addCriterion("serial_number between", value1, value2, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberNotBetween(Integer value1, Integer value2) {
            addCriterion("serial_number not between", value1, value2, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeIsNull() {
            addCriterion("consumer_type is null");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeIsNotNull() {
            addCriterion("consumer_type is not null");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeEqualTo(Integer value) {
            addCriterion("consumer_type =", value, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeNotEqualTo(Integer value) {
            addCriterion("consumer_type <>", value, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeGreaterThan(Integer value) {
            addCriterion("consumer_type >", value, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("consumer_type >=", value, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeLessThan(Integer value) {
            addCriterion("consumer_type <", value, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeLessThanOrEqualTo(Integer value) {
            addCriterion("consumer_type <=", value, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeIn(List<Integer> values) {
            addCriterion("consumer_type in", values, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeNotIn(List<Integer> values) {
            addCriterion("consumer_type not in", values, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeBetween(Integer value1, Integer value2) {
            addCriterion("consumer_type between", value1, value2, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("consumer_type not between", value1, value2, "consumerType");
            return (Criteria) this;
        }

        public Criteria andOcrIsNull() {
            addCriterion("ocr is null");
            return (Criteria) this;
        }

        public Criteria andOcrIsNotNull() {
            addCriterion("ocr is not null");
            return (Criteria) this;
        }

        public Criteria andOcrEqualTo(String value) {
            addCriterion("ocr =", value, "ocr");
            return (Criteria) this;
        }

        public Criteria andOcrNotEqualTo(String value) {
            addCriterion("ocr <>", value, "ocr");
            return (Criteria) this;
        }

        public Criteria andOcrGreaterThan(String value) {
            addCriterion("ocr >", value, "ocr");
            return (Criteria) this;
        }

        public Criteria andOcrGreaterThanOrEqualTo(String value) {
            addCriterion("ocr >=", value, "ocr");
            return (Criteria) this;
        }

        public Criteria andOcrLessThan(String value) {
            addCriterion("ocr <", value, "ocr");
            return (Criteria) this;
        }

        public Criteria andOcrLessThanOrEqualTo(String value) {
            addCriterion("ocr <=", value, "ocr");
            return (Criteria) this;
        }

        public Criteria andOcrLike(String value) {
            addCriterion("ocr like", value, "ocr");
            return (Criteria) this;
        }

        public Criteria andOcrNotLike(String value) {
            addCriterion("ocr not like", value, "ocr");
            return (Criteria) this;
        }

        public Criteria andOcrIn(List<String> values) {
            addCriterion("ocr in", values, "ocr");
            return (Criteria) this;
        }

        public Criteria andOcrNotIn(List<String> values) {
            addCriterion("ocr not in", values, "ocr");
            return (Criteria) this;
        }

        public Criteria andOcrBetween(String value1, String value2) {
            addCriterion("ocr between", value1, value2, "ocr");
            return (Criteria) this;
        }

        public Criteria andOcrNotBetween(String value1, String value2) {
            addCriterion("ocr not between", value1, value2, "ocr");
            return (Criteria) this;
        }

        public Criteria andSpPriceIsNull() {
            addCriterion("sp_price is null");
            return (Criteria) this;
        }

        public Criteria andSpPriceIsNotNull() {
            addCriterion("sp_price is not null");
            return (Criteria) this;
        }

        public Criteria andSpPriceEqualTo(Integer value) {
            addCriterion("sp_price =", value, "spPrice");
            return (Criteria) this;
        }

        public Criteria andSpPriceNotEqualTo(Integer value) {
            addCriterion("sp_price <>", value, "spPrice");
            return (Criteria) this;
        }

        public Criteria andSpPriceGreaterThan(Integer value) {
            addCriterion("sp_price >", value, "spPrice");
            return (Criteria) this;
        }

        public Criteria andSpPriceGreaterThanOrEqualTo(Integer value) {
            addCriterion("sp_price >=", value, "spPrice");
            return (Criteria) this;
        }

        public Criteria andSpPriceLessThan(Integer value) {
            addCriterion("sp_price <", value, "spPrice");
            return (Criteria) this;
        }

        public Criteria andSpPriceLessThanOrEqualTo(Integer value) {
            addCriterion("sp_price <=", value, "spPrice");
            return (Criteria) this;
        }

        public Criteria andSpPriceIn(List<Integer> values) {
            addCriterion("sp_price in", values, "spPrice");
            return (Criteria) this;
        }

        public Criteria andSpPriceNotIn(List<Integer> values) {
            addCriterion("sp_price not in", values, "spPrice");
            return (Criteria) this;
        }

        public Criteria andSpPriceBetween(Integer value1, Integer value2) {
            addCriterion("sp_price between", value1, value2, "spPrice");
            return (Criteria) this;
        }

        public Criteria andSpPriceNotBetween(Integer value1, Integer value2) {
            addCriterion("sp_price not between", value1, value2, "spPrice");
            return (Criteria) this;
        }

        public Criteria andInputTypeLikeInsensitive(String value) {
            addCriterion("upper(input_type) like", value.toUpperCase(), "inputType");
            return (Criteria) this;
        }

        public Criteria andOutputTypeLikeInsensitive(String value) {
            addCriterion("upper(output_type) like", value.toUpperCase(), "outputType");
            return (Criteria) this;
        }

        public Criteria andOcrLikeInsensitive(String value) {
            addCriterion("upper(ocr) like", value.toUpperCase(), "ocr");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}