package cn.kdan.pdf.backend.core.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class MembersExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public MembersExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andNameIsNull() {
            addCriterion("`name` is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull() {
            addCriterion("`name` is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value) {
            addCriterion("`name` =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value) {
            addCriterion("`name` <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value) {
            addCriterion("`name` >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("`name` >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value) {
            addCriterion("`name` <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("`name` <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value) {
            addCriterion("`name` like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value) {
            addCriterion("`name` not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values) {
            addCriterion("`name` in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values) {
            addCriterion("`name` not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("`name` between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("`name` not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andPhoneIsNull() {
            addCriterion("phone is null");
            return (Criteria) this;
        }

        public Criteria andPhoneIsNotNull() {
            addCriterion("phone is not null");
            return (Criteria) this;
        }

        public Criteria andPhoneEqualTo(String value) {
            addCriterion("phone =", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotEqualTo(String value) {
            addCriterion("phone <>", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneGreaterThan(String value) {
            addCriterion("phone >", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("phone >=", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneLessThan(String value) {
            addCriterion("phone <", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneLessThanOrEqualTo(String value) {
            addCriterion("phone <=", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneLike(String value) {
            addCriterion("phone like", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotLike(String value) {
            addCriterion("phone not like", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneIn(List<String> values) {
            addCriterion("phone in", values, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotIn(List<String> values) {
            addCriterion("phone not in", values, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneBetween(String value1, String value2) {
            addCriterion("phone between", value1, value2, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotBetween(String value1, String value2) {
            addCriterion("phone not between", value1, value2, "phone");
            return (Criteria) this;
        }

        public Criteria andEmailIsNull() {
            addCriterion("email is null");
            return (Criteria) this;
        }

        public Criteria andEmailIsNotNull() {
            addCriterion("email is not null");
            return (Criteria) this;
        }

        public Criteria andEmailEqualTo(String value) {
            addCriterion("email =", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotEqualTo(String value) {
            addCriterion("email <>", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailGreaterThan(String value) {
            addCriterion("email >", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailGreaterThanOrEqualTo(String value) {
            addCriterion("email >=", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLessThan(String value) {
            addCriterion("email <", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLessThanOrEqualTo(String value) {
            addCriterion("email <=", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLike(String value) {
            addCriterion("email like", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotLike(String value) {
            addCriterion("email not like", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailIn(List<String> values) {
            addCriterion("email in", values, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotIn(List<String> values) {
            addCriterion("email not in", values, "email");
            return (Criteria) this;
        }

        public Criteria andEmailBetween(String value1, String value2) {
            addCriterion("email between", value1, value2, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotBetween(String value1, String value2) {
            addCriterion("email not between", value1, value2, "email");
            return (Criteria) this;
        }

        public Criteria andGenderIsNull() {
            addCriterion("gender is null");
            return (Criteria) this;
        }

        public Criteria andGenderIsNotNull() {
            addCriterion("gender is not null");
            return (Criteria) this;
        }

        public Criteria andGenderEqualTo(Integer value) {
            addCriterion("gender =", value, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderNotEqualTo(Integer value) {
            addCriterion("gender <>", value, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderGreaterThan(Integer value) {
            addCriterion("gender >", value, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderGreaterThanOrEqualTo(Integer value) {
            addCriterion("gender >=", value, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderLessThan(Integer value) {
            addCriterion("gender <", value, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderLessThanOrEqualTo(Integer value) {
            addCriterion("gender <=", value, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderIn(List<Integer> values) {
            addCriterion("gender in", values, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderNotIn(List<Integer> values) {
            addCriterion("gender not in", values, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderBetween(Integer value1, Integer value2) {
            addCriterion("gender between", value1, value2, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderNotBetween(Integer value1, Integer value2) {
            addCriterion("gender not between", value1, value2, "gender");
            return (Criteria) this;
        }

        public Criteria andRegionIsNull() {
            addCriterion("region is null");
            return (Criteria) this;
        }

        public Criteria andRegionIsNotNull() {
            addCriterion("region is not null");
            return (Criteria) this;
        }

        public Criteria andRegionEqualTo(String value) {
            addCriterion("region =", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionNotEqualTo(String value) {
            addCriterion("region <>", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionGreaterThan(String value) {
            addCriterion("region >", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionGreaterThanOrEqualTo(String value) {
            addCriterion("region >=", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionLessThan(String value) {
            addCriterion("region <", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionLessThanOrEqualTo(String value) {
            addCriterion("region <=", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionLike(String value) {
            addCriterion("region like", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionNotLike(String value) {
            addCriterion("region not like", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionIn(List<String> values) {
            addCriterion("region in", values, "region");
            return (Criteria) this;
        }

        public Criteria andRegionNotIn(List<String> values) {
            addCriterion("region not in", values, "region");
            return (Criteria) this;
        }

        public Criteria andRegionBetween(String value1, String value2) {
            addCriterion("region between", value1, value2, "region");
            return (Criteria) this;
        }

        public Criteria andRegionNotBetween(String value1, String value2) {
            addCriterion("region not between", value1, value2, "region");
            return (Criteria) this;
        }

        public Criteria andSignatureIsNull() {
            addCriterion("signature is null");
            return (Criteria) this;
        }

        public Criteria andSignatureIsNotNull() {
            addCriterion("signature is not null");
            return (Criteria) this;
        }

        public Criteria andSignatureEqualTo(String value) {
            addCriterion("signature =", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureNotEqualTo(String value) {
            addCriterion("signature <>", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureGreaterThan(String value) {
            addCriterion("signature >", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureGreaterThanOrEqualTo(String value) {
            addCriterion("signature >=", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureLessThan(String value) {
            addCriterion("signature <", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureLessThanOrEqualTo(String value) {
            addCriterion("signature <=", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureLike(String value) {
            addCriterion("signature like", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureNotLike(String value) {
            addCriterion("signature not like", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureIn(List<String> values) {
            addCriterion("signature in", values, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureNotIn(List<String> values) {
            addCriterion("signature not in", values, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureBetween(String value1, String value2) {
            addCriterion("signature between", value1, value2, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureNotBetween(String value1, String value2) {
            addCriterion("signature not between", value1, value2, "signature");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNull() {
            addCriterion("updated_at is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNotNull() {
            addCriterion("updated_at is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtEqualTo(Date value) {
            addCriterion("updated_at =", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotEqualTo(Date value) {
            addCriterion("updated_at <>", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThan(Date value) {
            addCriterion("updated_at >", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("updated_at >=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThan(Date value) {
            addCriterion("updated_at <", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThanOrEqualTo(Date value) {
            addCriterion("updated_at <=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIn(List<Date> values) {
            addCriterion("updated_at in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotIn(List<Date> values) {
            addCriterion("updated_at not in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtBetween(Date value1, Date value2) {
            addCriterion("updated_at between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotBetween(Date value1, Date value2) {
            addCriterion("updated_at not between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andPasswordDigestIsNull() {
            addCriterion("password_digest is null");
            return (Criteria) this;
        }

        public Criteria andPasswordDigestIsNotNull() {
            addCriterion("password_digest is not null");
            return (Criteria) this;
        }

        public Criteria andPasswordDigestEqualTo(String value) {
            addCriterion("password_digest =", value, "passwordDigest");
            return (Criteria) this;
        }

        public Criteria andPasswordDigestNotEqualTo(String value) {
            addCriterion("password_digest <>", value, "passwordDigest");
            return (Criteria) this;
        }

        public Criteria andPasswordDigestGreaterThan(String value) {
            addCriterion("password_digest >", value, "passwordDigest");
            return (Criteria) this;
        }

        public Criteria andPasswordDigestGreaterThanOrEqualTo(String value) {
            addCriterion("password_digest >=", value, "passwordDigest");
            return (Criteria) this;
        }

        public Criteria andPasswordDigestLessThan(String value) {
            addCriterion("password_digest <", value, "passwordDigest");
            return (Criteria) this;
        }

        public Criteria andPasswordDigestLessThanOrEqualTo(String value) {
            addCriterion("password_digest <=", value, "passwordDigest");
            return (Criteria) this;
        }

        public Criteria andPasswordDigestLike(String value) {
            addCriterion("password_digest like", value, "passwordDigest");
            return (Criteria) this;
        }

        public Criteria andPasswordDigestNotLike(String value) {
            addCriterion("password_digest not like", value, "passwordDigest");
            return (Criteria) this;
        }

        public Criteria andPasswordDigestIn(List<String> values) {
            addCriterion("password_digest in", values, "passwordDigest");
            return (Criteria) this;
        }

        public Criteria andPasswordDigestNotIn(List<String> values) {
            addCriterion("password_digest not in", values, "passwordDigest");
            return (Criteria) this;
        }

        public Criteria andPasswordDigestBetween(String value1, String value2) {
            addCriterion("password_digest between", value1, value2, "passwordDigest");
            return (Criteria) this;
        }

        public Criteria andPasswordDigestNotBetween(String value1, String value2) {
            addCriterion("password_digest not between", value1, value2, "passwordDigest");
            return (Criteria) this;
        }

        public Criteria andTimeZoneIsNull() {
            addCriterion("time_zone is null");
            return (Criteria) this;
        }

        public Criteria andTimeZoneIsNotNull() {
            addCriterion("time_zone is not null");
            return (Criteria) this;
        }

        public Criteria andTimeZoneEqualTo(String value) {
            addCriterion("time_zone =", value, "timeZone");
            return (Criteria) this;
        }

        public Criteria andTimeZoneNotEqualTo(String value) {
            addCriterion("time_zone <>", value, "timeZone");
            return (Criteria) this;
        }

        public Criteria andTimeZoneGreaterThan(String value) {
            addCriterion("time_zone >", value, "timeZone");
            return (Criteria) this;
        }

        public Criteria andTimeZoneGreaterThanOrEqualTo(String value) {
            addCriterion("time_zone >=", value, "timeZone");
            return (Criteria) this;
        }

        public Criteria andTimeZoneLessThan(String value) {
            addCriterion("time_zone <", value, "timeZone");
            return (Criteria) this;
        }

        public Criteria andTimeZoneLessThanOrEqualTo(String value) {
            addCriterion("time_zone <=", value, "timeZone");
            return (Criteria) this;
        }

        public Criteria andTimeZoneLike(String value) {
            addCriterion("time_zone like", value, "timeZone");
            return (Criteria) this;
        }

        public Criteria andTimeZoneNotLike(String value) {
            addCriterion("time_zone not like", value, "timeZone");
            return (Criteria) this;
        }

        public Criteria andTimeZoneIn(List<String> values) {
            addCriterion("time_zone in", values, "timeZone");
            return (Criteria) this;
        }

        public Criteria andTimeZoneNotIn(List<String> values) {
            addCriterion("time_zone not in", values, "timeZone");
            return (Criteria) this;
        }

        public Criteria andTimeZoneBetween(String value1, String value2) {
            addCriterion("time_zone between", value1, value2, "timeZone");
            return (Criteria) this;
        }

        public Criteria andTimeZoneNotBetween(String value1, String value2) {
            addCriterion("time_zone not between", value1, value2, "timeZone");
            return (Criteria) this;
        }

        public Criteria andViewedTimesIsNull() {
            addCriterion("viewed_times is null");
            return (Criteria) this;
        }

        public Criteria andViewedTimesIsNotNull() {
            addCriterion("viewed_times is not null");
            return (Criteria) this;
        }

        public Criteria andViewedTimesEqualTo(Integer value) {
            addCriterion("viewed_times =", value, "viewedTimes");
            return (Criteria) this;
        }

        public Criteria andViewedTimesNotEqualTo(Integer value) {
            addCriterion("viewed_times <>", value, "viewedTimes");
            return (Criteria) this;
        }

        public Criteria andViewedTimesGreaterThan(Integer value) {
            addCriterion("viewed_times >", value, "viewedTimes");
            return (Criteria) this;
        }

        public Criteria andViewedTimesGreaterThanOrEqualTo(Integer value) {
            addCriterion("viewed_times >=", value, "viewedTimes");
            return (Criteria) this;
        }

        public Criteria andViewedTimesLessThan(Integer value) {
            addCriterion("viewed_times <", value, "viewedTimes");
            return (Criteria) this;
        }

        public Criteria andViewedTimesLessThanOrEqualTo(Integer value) {
            addCriterion("viewed_times <=", value, "viewedTimes");
            return (Criteria) this;
        }

        public Criteria andViewedTimesIn(List<Integer> values) {
            addCriterion("viewed_times in", values, "viewedTimes");
            return (Criteria) this;
        }

        public Criteria andViewedTimesNotIn(List<Integer> values) {
            addCriterion("viewed_times not in", values, "viewedTimes");
            return (Criteria) this;
        }

        public Criteria andViewedTimesBetween(Integer value1, Integer value2) {
            addCriterion("viewed_times between", value1, value2, "viewedTimes");
            return (Criteria) this;
        }

        public Criteria andViewedTimesNotBetween(Integer value1, Integer value2) {
            addCriterion("viewed_times not between", value1, value2, "viewedTimes");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andActivationTokenIsNull() {
            addCriterion("activation_token is null");
            return (Criteria) this;
        }

        public Criteria andActivationTokenIsNotNull() {
            addCriterion("activation_token is not null");
            return (Criteria) this;
        }

        public Criteria andActivationTokenEqualTo(String value) {
            addCriterion("activation_token =", value, "activationToken");
            return (Criteria) this;
        }

        public Criteria andActivationTokenNotEqualTo(String value) {
            addCriterion("activation_token <>", value, "activationToken");
            return (Criteria) this;
        }

        public Criteria andActivationTokenGreaterThan(String value) {
            addCriterion("activation_token >", value, "activationToken");
            return (Criteria) this;
        }

        public Criteria andActivationTokenGreaterThanOrEqualTo(String value) {
            addCriterion("activation_token >=", value, "activationToken");
            return (Criteria) this;
        }

        public Criteria andActivationTokenLessThan(String value) {
            addCriterion("activation_token <", value, "activationToken");
            return (Criteria) this;
        }

        public Criteria andActivationTokenLessThanOrEqualTo(String value) {
            addCriterion("activation_token <=", value, "activationToken");
            return (Criteria) this;
        }

        public Criteria andActivationTokenLike(String value) {
            addCriterion("activation_token like", value, "activationToken");
            return (Criteria) this;
        }

        public Criteria andActivationTokenNotLike(String value) {
            addCriterion("activation_token not like", value, "activationToken");
            return (Criteria) this;
        }

        public Criteria andActivationTokenIn(List<String> values) {
            addCriterion("activation_token in", values, "activationToken");
            return (Criteria) this;
        }

        public Criteria andActivationTokenNotIn(List<String> values) {
            addCriterion("activation_token not in", values, "activationToken");
            return (Criteria) this;
        }

        public Criteria andActivationTokenBetween(String value1, String value2) {
            addCriterion("activation_token between", value1, value2, "activationToken");
            return (Criteria) this;
        }

        public Criteria andActivationTokenNotBetween(String value1, String value2) {
            addCriterion("activation_token not between", value1, value2, "activationToken");
            return (Criteria) this;
        }

        public Criteria andActivatedAtIsNull() {
            addCriterion("activated_at is null");
            return (Criteria) this;
        }

        public Criteria andActivatedAtIsNotNull() {
            addCriterion("activated_at is not null");
            return (Criteria) this;
        }

        public Criteria andActivatedAtEqualTo(Date value) {
            addCriterion("activated_at =", value, "activatedAt");
            return (Criteria) this;
        }

        public Criteria andActivatedAtNotEqualTo(Date value) {
            addCriterion("activated_at <>", value, "activatedAt");
            return (Criteria) this;
        }

        public Criteria andActivatedAtGreaterThan(Date value) {
            addCriterion("activated_at >", value, "activatedAt");
            return (Criteria) this;
        }

        public Criteria andActivatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("activated_at >=", value, "activatedAt");
            return (Criteria) this;
        }

        public Criteria andActivatedAtLessThan(Date value) {
            addCriterion("activated_at <", value, "activatedAt");
            return (Criteria) this;
        }

        public Criteria andActivatedAtLessThanOrEqualTo(Date value) {
            addCriterion("activated_at <=", value, "activatedAt");
            return (Criteria) this;
        }

        public Criteria andActivatedAtIn(List<Date> values) {
            addCriterion("activated_at in", values, "activatedAt");
            return (Criteria) this;
        }

        public Criteria andActivatedAtNotIn(List<Date> values) {
            addCriterion("activated_at not in", values, "activatedAt");
            return (Criteria) this;
        }

        public Criteria andActivatedAtBetween(Date value1, Date value2) {
            addCriterion("activated_at between", value1, value2, "activatedAt");
            return (Criteria) this;
        }

        public Criteria andActivatedAtNotBetween(Date value1, Date value2) {
            addCriterion("activated_at not between", value1, value2, "activatedAt");
            return (Criteria) this;
        }

        public Criteria andResetTokenIsNull() {
            addCriterion("reset_token is null");
            return (Criteria) this;
        }

        public Criteria andResetTokenIsNotNull() {
            addCriterion("reset_token is not null");
            return (Criteria) this;
        }

        public Criteria andResetTokenEqualTo(String value) {
            addCriterion("reset_token =", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenNotEqualTo(String value) {
            addCriterion("reset_token <>", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenGreaterThan(String value) {
            addCriterion("reset_token >", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenGreaterThanOrEqualTo(String value) {
            addCriterion("reset_token >=", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenLessThan(String value) {
            addCriterion("reset_token <", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenLessThanOrEqualTo(String value) {
            addCriterion("reset_token <=", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenLike(String value) {
            addCriterion("reset_token like", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenNotLike(String value) {
            addCriterion("reset_token not like", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenIn(List<String> values) {
            addCriterion("reset_token in", values, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenNotIn(List<String> values) {
            addCriterion("reset_token not in", values, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenBetween(String value1, String value2) {
            addCriterion("reset_token between", value1, value2, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenNotBetween(String value1, String value2) {
            addCriterion("reset_token not between", value1, value2, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenGeneratedAtIsNull() {
            addCriterion("reset_token_generated_at is null");
            return (Criteria) this;
        }

        public Criteria andResetTokenGeneratedAtIsNotNull() {
            addCriterion("reset_token_generated_at is not null");
            return (Criteria) this;
        }

        public Criteria andResetTokenGeneratedAtEqualTo(Date value) {
            addCriterion("reset_token_generated_at =", value, "resetTokenGeneratedAt");
            return (Criteria) this;
        }

        public Criteria andResetTokenGeneratedAtNotEqualTo(Date value) {
            addCriterion("reset_token_generated_at <>", value, "resetTokenGeneratedAt");
            return (Criteria) this;
        }

        public Criteria andResetTokenGeneratedAtGreaterThan(Date value) {
            addCriterion("reset_token_generated_at >", value, "resetTokenGeneratedAt");
            return (Criteria) this;
        }

        public Criteria andResetTokenGeneratedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("reset_token_generated_at >=", value, "resetTokenGeneratedAt");
            return (Criteria) this;
        }

        public Criteria andResetTokenGeneratedAtLessThan(Date value) {
            addCriterion("reset_token_generated_at <", value, "resetTokenGeneratedAt");
            return (Criteria) this;
        }

        public Criteria andResetTokenGeneratedAtLessThanOrEqualTo(Date value) {
            addCriterion("reset_token_generated_at <=", value, "resetTokenGeneratedAt");
            return (Criteria) this;
        }

        public Criteria andResetTokenGeneratedAtIn(List<Date> values) {
            addCriterion("reset_token_generated_at in", values, "resetTokenGeneratedAt");
            return (Criteria) this;
        }

        public Criteria andResetTokenGeneratedAtNotIn(List<Date> values) {
            addCriterion("reset_token_generated_at not in", values, "resetTokenGeneratedAt");
            return (Criteria) this;
        }

        public Criteria andResetTokenGeneratedAtBetween(Date value1, Date value2) {
            addCriterion("reset_token_generated_at between", value1, value2, "resetTokenGeneratedAt");
            return (Criteria) this;
        }

        public Criteria andResetTokenGeneratedAtNotBetween(Date value1, Date value2) {
            addCriterion("reset_token_generated_at not between", value1, value2, "resetTokenGeneratedAt");
            return (Criteria) this;
        }

        public Criteria andPhoneZoneIsNull() {
            addCriterion("phone_zone is null");
            return (Criteria) this;
        }

        public Criteria andPhoneZoneIsNotNull() {
            addCriterion("phone_zone is not null");
            return (Criteria) this;
        }

        public Criteria andPhoneZoneEqualTo(String value) {
            addCriterion("phone_zone =", value, "phoneZone");
            return (Criteria) this;
        }

        public Criteria andPhoneZoneNotEqualTo(String value) {
            addCriterion("phone_zone <>", value, "phoneZone");
            return (Criteria) this;
        }

        public Criteria andPhoneZoneGreaterThan(String value) {
            addCriterion("phone_zone >", value, "phoneZone");
            return (Criteria) this;
        }

        public Criteria andPhoneZoneGreaterThanOrEqualTo(String value) {
            addCriterion("phone_zone >=", value, "phoneZone");
            return (Criteria) this;
        }

        public Criteria andPhoneZoneLessThan(String value) {
            addCriterion("phone_zone <", value, "phoneZone");
            return (Criteria) this;
        }

        public Criteria andPhoneZoneLessThanOrEqualTo(String value) {
            addCriterion("phone_zone <=", value, "phoneZone");
            return (Criteria) this;
        }

        public Criteria andPhoneZoneLike(String value) {
            addCriterion("phone_zone like", value, "phoneZone");
            return (Criteria) this;
        }

        public Criteria andPhoneZoneNotLike(String value) {
            addCriterion("phone_zone not like", value, "phoneZone");
            return (Criteria) this;
        }

        public Criteria andPhoneZoneIn(List<String> values) {
            addCriterion("phone_zone in", values, "phoneZone");
            return (Criteria) this;
        }

        public Criteria andPhoneZoneNotIn(List<String> values) {
            addCriterion("phone_zone not in", values, "phoneZone");
            return (Criteria) this;
        }

        public Criteria andPhoneZoneBetween(String value1, String value2) {
            addCriterion("phone_zone between", value1, value2, "phoneZone");
            return (Criteria) this;
        }

        public Criteria andPhoneZoneNotBetween(String value1, String value2) {
            addCriterion("phone_zone not between", value1, value2, "phoneZone");
            return (Criteria) this;
        }

        public Criteria andAccountIsNull() {
            addCriterion("account is null");
            return (Criteria) this;
        }

        public Criteria andAccountIsNotNull() {
            addCriterion("account is not null");
            return (Criteria) this;
        }

        public Criteria andAccountEqualTo(String value) {
            addCriterion("account =", value, "account");
            return (Criteria) this;
        }

        public Criteria andAccountNotEqualTo(String value) {
            addCriterion("account <>", value, "account");
            return (Criteria) this;
        }

        public Criteria andAccountGreaterThan(String value) {
            addCriterion("account >", value, "account");
            return (Criteria) this;
        }

        public Criteria andAccountGreaterThanOrEqualTo(String value) {
            addCriterion("account >=", value, "account");
            return (Criteria) this;
        }

        public Criteria andAccountLessThan(String value) {
            addCriterion("account <", value, "account");
            return (Criteria) this;
        }

        public Criteria andAccountLessThanOrEqualTo(String value) {
            addCriterion("account <=", value, "account");
            return (Criteria) this;
        }

        public Criteria andAccountLike(String value) {
            addCriterion("account like", value, "account");
            return (Criteria) this;
        }

        public Criteria andAccountNotLike(String value) {
            addCriterion("account not like", value, "account");
            return (Criteria) this;
        }

        public Criteria andAccountIn(List<String> values) {
            addCriterion("account in", values, "account");
            return (Criteria) this;
        }

        public Criteria andAccountNotIn(List<String> values) {
            addCriterion("account not in", values, "account");
            return (Criteria) this;
        }

        public Criteria andAccountBetween(String value1, String value2) {
            addCriterion("account between", value1, value2, "account");
            return (Criteria) this;
        }

        public Criteria andAccountNotBetween(String value1, String value2) {
            addCriterion("account not between", value1, value2, "account");
            return (Criteria) this;
        }

        public Criteria andLocationIsNull() {
            addCriterion("`location` is null");
            return (Criteria) this;
        }

        public Criteria andLocationIsNotNull() {
            addCriterion("`location` is not null");
            return (Criteria) this;
        }

        public Criteria andLocationEqualTo(String value) {
            addCriterion("`location` =", value, "location");
            return (Criteria) this;
        }

        public Criteria andLocationNotEqualTo(String value) {
            addCriterion("`location` <>", value, "location");
            return (Criteria) this;
        }

        public Criteria andLocationGreaterThan(String value) {
            addCriterion("`location` >", value, "location");
            return (Criteria) this;
        }

        public Criteria andLocationGreaterThanOrEqualTo(String value) {
            addCriterion("`location` >=", value, "location");
            return (Criteria) this;
        }

        public Criteria andLocationLessThan(String value) {
            addCriterion("`location` <", value, "location");
            return (Criteria) this;
        }

        public Criteria andLocationLessThanOrEqualTo(String value) {
            addCriterion("`location` <=", value, "location");
            return (Criteria) this;
        }

        public Criteria andLocationLike(String value) {
            addCriterion("`location` like", value, "location");
            return (Criteria) this;
        }

        public Criteria andLocationNotLike(String value) {
            addCriterion("`location` not like", value, "location");
            return (Criteria) this;
        }

        public Criteria andLocationIn(List<String> values) {
            addCriterion("`location` in", values, "location");
            return (Criteria) this;
        }

        public Criteria andLocationNotIn(List<String> values) {
            addCriterion("`location` not in", values, "location");
            return (Criteria) this;
        }

        public Criteria andLocationBetween(String value1, String value2) {
            addCriterion("`location` between", value1, value2, "location");
            return (Criteria) this;
        }

        public Criteria andLocationNotBetween(String value1, String value2) {
            addCriterion("`location` not between", value1, value2, "location");
            return (Criteria) this;
        }

        public Criteria andPublicPhoneIsNull() {
            addCriterion("public_phone is null");
            return (Criteria) this;
        }

        public Criteria andPublicPhoneIsNotNull() {
            addCriterion("public_phone is not null");
            return (Criteria) this;
        }

        public Criteria andPublicPhoneEqualTo(String value) {
            addCriterion("public_phone =", value, "publicPhone");
            return (Criteria) this;
        }

        public Criteria andPublicPhoneNotEqualTo(String value) {
            addCriterion("public_phone <>", value, "publicPhone");
            return (Criteria) this;
        }

        public Criteria andPublicPhoneGreaterThan(String value) {
            addCriterion("public_phone >", value, "publicPhone");
            return (Criteria) this;
        }

        public Criteria andPublicPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("public_phone >=", value, "publicPhone");
            return (Criteria) this;
        }

        public Criteria andPublicPhoneLessThan(String value) {
            addCriterion("public_phone <", value, "publicPhone");
            return (Criteria) this;
        }

        public Criteria andPublicPhoneLessThanOrEqualTo(String value) {
            addCriterion("public_phone <=", value, "publicPhone");
            return (Criteria) this;
        }

        public Criteria andPublicPhoneLike(String value) {
            addCriterion("public_phone like", value, "publicPhone");
            return (Criteria) this;
        }

        public Criteria andPublicPhoneNotLike(String value) {
            addCriterion("public_phone not like", value, "publicPhone");
            return (Criteria) this;
        }

        public Criteria andPublicPhoneIn(List<String> values) {
            addCriterion("public_phone in", values, "publicPhone");
            return (Criteria) this;
        }

        public Criteria andPublicPhoneNotIn(List<String> values) {
            addCriterion("public_phone not in", values, "publicPhone");
            return (Criteria) this;
        }

        public Criteria andPublicPhoneBetween(String value1, String value2) {
            addCriterion("public_phone between", value1, value2, "publicPhone");
            return (Criteria) this;
        }

        public Criteria andPublicPhoneNotBetween(String value1, String value2) {
            addCriterion("public_phone not between", value1, value2, "publicPhone");
            return (Criteria) this;
        }

        public Criteria andPublicEmailIsNull() {
            addCriterion("public_email is null");
            return (Criteria) this;
        }

        public Criteria andPublicEmailIsNotNull() {
            addCriterion("public_email is not null");
            return (Criteria) this;
        }

        public Criteria andPublicEmailEqualTo(String value) {
            addCriterion("public_email =", value, "publicEmail");
            return (Criteria) this;
        }

        public Criteria andPublicEmailNotEqualTo(String value) {
            addCriterion("public_email <>", value, "publicEmail");
            return (Criteria) this;
        }

        public Criteria andPublicEmailGreaterThan(String value) {
            addCriterion("public_email >", value, "publicEmail");
            return (Criteria) this;
        }

        public Criteria andPublicEmailGreaterThanOrEqualTo(String value) {
            addCriterion("public_email >=", value, "publicEmail");
            return (Criteria) this;
        }

        public Criteria andPublicEmailLessThan(String value) {
            addCriterion("public_email <", value, "publicEmail");
            return (Criteria) this;
        }

        public Criteria andPublicEmailLessThanOrEqualTo(String value) {
            addCriterion("public_email <=", value, "publicEmail");
            return (Criteria) this;
        }

        public Criteria andPublicEmailLike(String value) {
            addCriterion("public_email like", value, "publicEmail");
            return (Criteria) this;
        }

        public Criteria andPublicEmailNotLike(String value) {
            addCriterion("public_email not like", value, "publicEmail");
            return (Criteria) this;
        }

        public Criteria andPublicEmailIn(List<String> values) {
            addCriterion("public_email in", values, "publicEmail");
            return (Criteria) this;
        }

        public Criteria andPublicEmailNotIn(List<String> values) {
            addCriterion("public_email not in", values, "publicEmail");
            return (Criteria) this;
        }

        public Criteria andPublicEmailBetween(String value1, String value2) {
            addCriterion("public_email between", value1, value2, "publicEmail");
            return (Criteria) this;
        }

        public Criteria andPublicEmailNotBetween(String value1, String value2) {
            addCriterion("public_email not between", value1, value2, "publicEmail");
            return (Criteria) this;
        }

        public Criteria andSettingsIsNull() {
            addCriterion("settings is null");
            return (Criteria) this;
        }

        public Criteria andSettingsIsNotNull() {
            addCriterion("settings is not null");
            return (Criteria) this;
        }

        public Criteria andSettingsEqualTo(String value) {
            addCriterion("settings =", value, "settings");
            return (Criteria) this;
        }

        public Criteria andSettingsNotEqualTo(String value) {
            addCriterion("settings <>", value, "settings");
            return (Criteria) this;
        }

        public Criteria andSettingsGreaterThan(String value) {
            addCriterion("settings >", value, "settings");
            return (Criteria) this;
        }

        public Criteria andSettingsGreaterThanOrEqualTo(String value) {
            addCriterion("settings >=", value, "settings");
            return (Criteria) this;
        }

        public Criteria andSettingsLessThan(String value) {
            addCriterion("settings <", value, "settings");
            return (Criteria) this;
        }

        public Criteria andSettingsLessThanOrEqualTo(String value) {
            addCriterion("settings <=", value, "settings");
            return (Criteria) this;
        }

        public Criteria andSettingsLike(String value) {
            addCriterion("settings like", value, "settings");
            return (Criteria) this;
        }

        public Criteria andSettingsNotLike(String value) {
            addCriterion("settings not like", value, "settings");
            return (Criteria) this;
        }

        public Criteria andSettingsIn(List<String> values) {
            addCriterion("settings in", values, "settings");
            return (Criteria) this;
        }

        public Criteria andSettingsNotIn(List<String> values) {
            addCriterion("settings not in", values, "settings");
            return (Criteria) this;
        }

        public Criteria andSettingsBetween(String value1, String value2) {
            addCriterion("settings between", value1, value2, "settings");
            return (Criteria) this;
        }

        public Criteria andSettingsNotBetween(String value1, String value2) {
            addCriterion("settings not between", value1, value2, "settings");
            return (Criteria) this;
        }

        public Criteria andPointsIsNull() {
            addCriterion("points is null");
            return (Criteria) this;
        }

        public Criteria andPointsIsNotNull() {
            addCriterion("points is not null");
            return (Criteria) this;
        }

        public Criteria andPointsEqualTo(Integer value) {
            addCriterion("points =", value, "points");
            return (Criteria) this;
        }

        public Criteria andPointsNotEqualTo(Integer value) {
            addCriterion("points <>", value, "points");
            return (Criteria) this;
        }

        public Criteria andPointsGreaterThan(Integer value) {
            addCriterion("points >", value, "points");
            return (Criteria) this;
        }

        public Criteria andPointsGreaterThanOrEqualTo(Integer value) {
            addCriterion("points >=", value, "points");
            return (Criteria) this;
        }

        public Criteria andPointsLessThan(Integer value) {
            addCriterion("points <", value, "points");
            return (Criteria) this;
        }

        public Criteria andPointsLessThanOrEqualTo(Integer value) {
            addCriterion("points <=", value, "points");
            return (Criteria) this;
        }

        public Criteria andPointsIn(List<Integer> values) {
            addCriterion("points in", values, "points");
            return (Criteria) this;
        }

        public Criteria andPointsNotIn(List<Integer> values) {
            addCriterion("points not in", values, "points");
            return (Criteria) this;
        }

        public Criteria andPointsBetween(Integer value1, Integer value2) {
            addCriterion("points between", value1, value2, "points");
            return (Criteria) this;
        }

        public Criteria andPointsNotBetween(Integer value1, Integer value2) {
            addCriterion("points not between", value1, value2, "points");
            return (Criteria) this;
        }

        public Criteria andLastSignAtIsNull() {
            addCriterion("last_sign_at is null");
            return (Criteria) this;
        }

        public Criteria andLastSignAtIsNotNull() {
            addCriterion("last_sign_at is not null");
            return (Criteria) this;
        }

        public Criteria andLastSignAtEqualTo(Date value) {
            addCriterion("last_sign_at =", value, "lastSignAt");
            return (Criteria) this;
        }

        public Criteria andLastSignAtNotEqualTo(Date value) {
            addCriterion("last_sign_at <>", value, "lastSignAt");
            return (Criteria) this;
        }

        public Criteria andLastSignAtGreaterThan(Date value) {
            addCriterion("last_sign_at >", value, "lastSignAt");
            return (Criteria) this;
        }

        public Criteria andLastSignAtGreaterThanOrEqualTo(Date value) {
            addCriterion("last_sign_at >=", value, "lastSignAt");
            return (Criteria) this;
        }

        public Criteria andLastSignAtLessThan(Date value) {
            addCriterion("last_sign_at <", value, "lastSignAt");
            return (Criteria) this;
        }

        public Criteria andLastSignAtLessThanOrEqualTo(Date value) {
            addCriterion("last_sign_at <=", value, "lastSignAt");
            return (Criteria) this;
        }

        public Criteria andLastSignAtIn(List<Date> values) {
            addCriterion("last_sign_at in", values, "lastSignAt");
            return (Criteria) this;
        }

        public Criteria andLastSignAtNotIn(List<Date> values) {
            addCriterion("last_sign_at not in", values, "lastSignAt");
            return (Criteria) this;
        }

        public Criteria andLastSignAtBetween(Date value1, Date value2) {
            addCriterion("last_sign_at between", value1, value2, "lastSignAt");
            return (Criteria) this;
        }

        public Criteria andLastSignAtNotBetween(Date value1, Date value2) {
            addCriterion("last_sign_at not between", value1, value2, "lastSignAt");
            return (Criteria) this;
        }

        public Criteria andTotalPointsIsNull() {
            addCriterion("total_points is null");
            return (Criteria) this;
        }

        public Criteria andTotalPointsIsNotNull() {
            addCriterion("total_points is not null");
            return (Criteria) this;
        }

        public Criteria andTotalPointsEqualTo(Integer value) {
            addCriterion("total_points =", value, "totalPoints");
            return (Criteria) this;
        }

        public Criteria andTotalPointsNotEqualTo(Integer value) {
            addCriterion("total_points <>", value, "totalPoints");
            return (Criteria) this;
        }

        public Criteria andTotalPointsGreaterThan(Integer value) {
            addCriterion("total_points >", value, "totalPoints");
            return (Criteria) this;
        }

        public Criteria andTotalPointsGreaterThanOrEqualTo(Integer value) {
            addCriterion("total_points >=", value, "totalPoints");
            return (Criteria) this;
        }

        public Criteria andTotalPointsLessThan(Integer value) {
            addCriterion("total_points <", value, "totalPoints");
            return (Criteria) this;
        }

        public Criteria andTotalPointsLessThanOrEqualTo(Integer value) {
            addCriterion("total_points <=", value, "totalPoints");
            return (Criteria) this;
        }

        public Criteria andTotalPointsIn(List<Integer> values) {
            addCriterion("total_points in", values, "totalPoints");
            return (Criteria) this;
        }

        public Criteria andTotalPointsNotIn(List<Integer> values) {
            addCriterion("total_points not in", values, "totalPoints");
            return (Criteria) this;
        }

        public Criteria andTotalPointsBetween(Integer value1, Integer value2) {
            addCriterion("total_points between", value1, value2, "totalPoints");
            return (Criteria) this;
        }

        public Criteria andTotalPointsNotBetween(Integer value1, Integer value2) {
            addCriterion("total_points not between", value1, value2, "totalPoints");
            return (Criteria) this;
        }

        public Criteria andTotalSpaceIsNull() {
            addCriterion("total_space is null");
            return (Criteria) this;
        }

        public Criteria andTotalSpaceIsNotNull() {
            addCriterion("total_space is not null");
            return (Criteria) this;
        }

        public Criteria andTotalSpaceEqualTo(Integer value) {
            addCriterion("total_space =", value, "totalSpace");
            return (Criteria) this;
        }

        public Criteria andTotalSpaceNotEqualTo(Integer value) {
            addCriterion("total_space <>", value, "totalSpace");
            return (Criteria) this;
        }

        public Criteria andTotalSpaceGreaterThan(Integer value) {
            addCriterion("total_space >", value, "totalSpace");
            return (Criteria) this;
        }

        public Criteria andTotalSpaceGreaterThanOrEqualTo(Integer value) {
            addCriterion("total_space >=", value, "totalSpace");
            return (Criteria) this;
        }

        public Criteria andTotalSpaceLessThan(Integer value) {
            addCriterion("total_space <", value, "totalSpace");
            return (Criteria) this;
        }

        public Criteria andTotalSpaceLessThanOrEqualTo(Integer value) {
            addCriterion("total_space <=", value, "totalSpace");
            return (Criteria) this;
        }

        public Criteria andTotalSpaceIn(List<Integer> values) {
            addCriterion("total_space in", values, "totalSpace");
            return (Criteria) this;
        }

        public Criteria andTotalSpaceNotIn(List<Integer> values) {
            addCriterion("total_space not in", values, "totalSpace");
            return (Criteria) this;
        }

        public Criteria andTotalSpaceBetween(Integer value1, Integer value2) {
            addCriterion("total_space between", value1, value2, "totalSpace");
            return (Criteria) this;
        }

        public Criteria andTotalSpaceNotBetween(Integer value1, Integer value2) {
            addCriterion("total_space not between", value1, value2, "totalSpace");
            return (Criteria) this;
        }

        public Criteria andUsedSpaceIsNull() {
            addCriterion("used_space is null");
            return (Criteria) this;
        }

        public Criteria andUsedSpaceIsNotNull() {
            addCriterion("used_space is not null");
            return (Criteria) this;
        }

        public Criteria andUsedSpaceEqualTo(BigDecimal value) {
            addCriterion("used_space =", value, "usedSpace");
            return (Criteria) this;
        }

        public Criteria andUsedSpaceNotEqualTo(BigDecimal value) {
            addCriterion("used_space <>", value, "usedSpace");
            return (Criteria) this;
        }

        public Criteria andUsedSpaceGreaterThan(BigDecimal value) {
            addCriterion("used_space >", value, "usedSpace");
            return (Criteria) this;
        }

        public Criteria andUsedSpaceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("used_space >=", value, "usedSpace");
            return (Criteria) this;
        }

        public Criteria andUsedSpaceLessThan(BigDecimal value) {
            addCriterion("used_space <", value, "usedSpace");
            return (Criteria) this;
        }

        public Criteria andUsedSpaceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("used_space <=", value, "usedSpace");
            return (Criteria) this;
        }

        public Criteria andUsedSpaceIn(List<BigDecimal> values) {
            addCriterion("used_space in", values, "usedSpace");
            return (Criteria) this;
        }

        public Criteria andUsedSpaceNotIn(List<BigDecimal> values) {
            addCriterion("used_space not in", values, "usedSpace");
            return (Criteria) this;
        }

        public Criteria andUsedSpaceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("used_space between", value1, value2, "usedSpace");
            return (Criteria) this;
        }

        public Criteria andUsedSpaceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("used_space not between", value1, value2, "usedSpace");
            return (Criteria) this;
        }

        public Criteria andLeftSpaceIsNull() {
            addCriterion("left_space is null");
            return (Criteria) this;
        }

        public Criteria andLeftSpaceIsNotNull() {
            addCriterion("left_space is not null");
            return (Criteria) this;
        }

        public Criteria andLeftSpaceEqualTo(BigDecimal value) {
            addCriterion("left_space =", value, "leftSpace");
            return (Criteria) this;
        }

        public Criteria andLeftSpaceNotEqualTo(BigDecimal value) {
            addCriterion("left_space <>", value, "leftSpace");
            return (Criteria) this;
        }

        public Criteria andLeftSpaceGreaterThan(BigDecimal value) {
            addCriterion("left_space >", value, "leftSpace");
            return (Criteria) this;
        }

        public Criteria andLeftSpaceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("left_space >=", value, "leftSpace");
            return (Criteria) this;
        }

        public Criteria andLeftSpaceLessThan(BigDecimal value) {
            addCriterion("left_space <", value, "leftSpace");
            return (Criteria) this;
        }

        public Criteria andLeftSpaceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("left_space <=", value, "leftSpace");
            return (Criteria) this;
        }

        public Criteria andLeftSpaceIn(List<BigDecimal> values) {
            addCriterion("left_space in", values, "leftSpace");
            return (Criteria) this;
        }

        public Criteria andLeftSpaceNotIn(List<BigDecimal> values) {
            addCriterion("left_space not in", values, "leftSpace");
            return (Criteria) this;
        }

        public Criteria andLeftSpaceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("left_space between", value1, value2, "leftSpace");
            return (Criteria) this;
        }

        public Criteria andLeftSpaceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("left_space not between", value1, value2, "leftSpace");
            return (Criteria) this;
        }

        public Criteria andAppsCodeIsNull() {
            addCriterion("apps_code is null");
            return (Criteria) this;
        }

        public Criteria andAppsCodeIsNotNull() {
            addCriterion("apps_code is not null");
            return (Criteria) this;
        }

        public Criteria andAppsCodeEqualTo(Integer value) {
            addCriterion("apps_code =", value, "appsCode");
            return (Criteria) this;
        }

        public Criteria andAppsCodeNotEqualTo(Integer value) {
            addCriterion("apps_code <>", value, "appsCode");
            return (Criteria) this;
        }

        public Criteria andAppsCodeGreaterThan(Integer value) {
            addCriterion("apps_code >", value, "appsCode");
            return (Criteria) this;
        }

        public Criteria andAppsCodeGreaterThanOrEqualTo(Integer value) {
            addCriterion("apps_code >=", value, "appsCode");
            return (Criteria) this;
        }

        public Criteria andAppsCodeLessThan(Integer value) {
            addCriterion("apps_code <", value, "appsCode");
            return (Criteria) this;
        }

        public Criteria andAppsCodeLessThanOrEqualTo(Integer value) {
            addCriterion("apps_code <=", value, "appsCode");
            return (Criteria) this;
        }

        public Criteria andAppsCodeIn(List<Integer> values) {
            addCriterion("apps_code in", values, "appsCode");
            return (Criteria) this;
        }

        public Criteria andAppsCodeNotIn(List<Integer> values) {
            addCriterion("apps_code not in", values, "appsCode");
            return (Criteria) this;
        }

        public Criteria andAppsCodeBetween(Integer value1, Integer value2) {
            addCriterion("apps_code between", value1, value2, "appsCode");
            return (Criteria) this;
        }

        public Criteria andAppsCodeNotBetween(Integer value1, Integer value2) {
            addCriterion("apps_code not between", value1, value2, "appsCode");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeIsNull() {
            addCriterion("subscriber_type is null");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeIsNotNull() {
            addCriterion("subscriber_type is not null");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeEqualTo(Integer value) {
            addCriterion("subscriber_type =", value, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeNotEqualTo(Integer value) {
            addCriterion("subscriber_type <>", value, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeGreaterThan(Integer value) {
            addCriterion("subscriber_type >", value, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("subscriber_type >=", value, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeLessThan(Integer value) {
            addCriterion("subscriber_type <", value, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeLessThanOrEqualTo(Integer value) {
            addCriterion("subscriber_type <=", value, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeIn(List<Integer> values) {
            addCriterion("subscriber_type in", values, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeNotIn(List<Integer> values) {
            addCriterion("subscriber_type not in", values, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeBetween(Integer value1, Integer value2) {
            addCriterion("subscriber_type between", value1, value2, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("subscriber_type not between", value1, value2, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andReferralCodeIsNull() {
            addCriterion("referral_code is null");
            return (Criteria) this;
        }

        public Criteria andReferralCodeIsNotNull() {
            addCriterion("referral_code is not null");
            return (Criteria) this;
        }

        public Criteria andReferralCodeEqualTo(String value) {
            addCriterion("referral_code =", value, "referralCode");
            return (Criteria) this;
        }

        public Criteria andReferralCodeNotEqualTo(String value) {
            addCriterion("referral_code <>", value, "referralCode");
            return (Criteria) this;
        }

        public Criteria andReferralCodeGreaterThan(String value) {
            addCriterion("referral_code >", value, "referralCode");
            return (Criteria) this;
        }

        public Criteria andReferralCodeGreaterThanOrEqualTo(String value) {
            addCriterion("referral_code >=", value, "referralCode");
            return (Criteria) this;
        }

        public Criteria andReferralCodeLessThan(String value) {
            addCriterion("referral_code <", value, "referralCode");
            return (Criteria) this;
        }

        public Criteria andReferralCodeLessThanOrEqualTo(String value) {
            addCriterion("referral_code <=", value, "referralCode");
            return (Criteria) this;
        }

        public Criteria andReferralCodeLike(String value) {
            addCriterion("referral_code like", value, "referralCode");
            return (Criteria) this;
        }

        public Criteria andReferralCodeNotLike(String value) {
            addCriterion("referral_code not like", value, "referralCode");
            return (Criteria) this;
        }

        public Criteria andReferralCodeIn(List<String> values) {
            addCriterion("referral_code in", values, "referralCode");
            return (Criteria) this;
        }

        public Criteria andReferralCodeNotIn(List<String> values) {
            addCriterion("referral_code not in", values, "referralCode");
            return (Criteria) this;
        }

        public Criteria andReferralCodeBetween(String value1, String value2) {
            addCriterion("referral_code between", value1, value2, "referralCode");
            return (Criteria) this;
        }

        public Criteria andReferralCodeNotBetween(String value1, String value2) {
            addCriterion("referral_code not between", value1, value2, "referralCode");
            return (Criteria) this;
        }

        public Criteria andReferralCountIsNull() {
            addCriterion("referral_count is null");
            return (Criteria) this;
        }

        public Criteria andReferralCountIsNotNull() {
            addCriterion("referral_count is not null");
            return (Criteria) this;
        }

        public Criteria andReferralCountEqualTo(Integer value) {
            addCriterion("referral_count =", value, "referralCount");
            return (Criteria) this;
        }

        public Criteria andReferralCountNotEqualTo(Integer value) {
            addCriterion("referral_count <>", value, "referralCount");
            return (Criteria) this;
        }

        public Criteria andReferralCountGreaterThan(Integer value) {
            addCriterion("referral_count >", value, "referralCount");
            return (Criteria) this;
        }

        public Criteria andReferralCountGreaterThanOrEqualTo(Integer value) {
            addCriterion("referral_count >=", value, "referralCount");
            return (Criteria) this;
        }

        public Criteria andReferralCountLessThan(Integer value) {
            addCriterion("referral_count <", value, "referralCount");
            return (Criteria) this;
        }

        public Criteria andReferralCountLessThanOrEqualTo(Integer value) {
            addCriterion("referral_count <=", value, "referralCount");
            return (Criteria) this;
        }

        public Criteria andReferralCountIn(List<Integer> values) {
            addCriterion("referral_count in", values, "referralCount");
            return (Criteria) this;
        }

        public Criteria andReferralCountNotIn(List<Integer> values) {
            addCriterion("referral_count not in", values, "referralCount");
            return (Criteria) this;
        }

        public Criteria andReferralCountBetween(Integer value1, Integer value2) {
            addCriterion("referral_count between", value1, value2, "referralCount");
            return (Criteria) this;
        }

        public Criteria andReferralCountNotBetween(Integer value1, Integer value2) {
            addCriterion("referral_count not between", value1, value2, "referralCount");
            return (Criteria) this;
        }

        public Criteria andIdLikeInsensitive(String value) {
            addCriterion("upper(id) like", value.toUpperCase(), "id");
            return (Criteria) this;
        }

        public Criteria andNameLikeInsensitive(String value) {
            addCriterion("upper(`name`) like", value.toUpperCase(), "name");
            return (Criteria) this;
        }

        public Criteria andPhoneLikeInsensitive(String value) {
            addCriterion("upper(phone) like", value.toUpperCase(), "phone");
            return (Criteria) this;
        }

        public Criteria andEmailLikeInsensitive(String value) {
            addCriterion("upper(email) like", value.toUpperCase(), "email");
            return (Criteria) this;
        }

        public Criteria andRegionLikeInsensitive(String value) {
            addCriterion("upper(region) like", value.toUpperCase(), "region");
            return (Criteria) this;
        }

        public Criteria andSignatureLikeInsensitive(String value) {
            addCriterion("upper(signature) like", value.toUpperCase(), "signature");
            return (Criteria) this;
        }

        public Criteria andPasswordDigestLikeInsensitive(String value) {
            addCriterion("upper(password_digest) like", value.toUpperCase(), "passwordDigest");
            return (Criteria) this;
        }

        public Criteria andTimeZoneLikeInsensitive(String value) {
            addCriterion("upper(time_zone) like", value.toUpperCase(), "timeZone");
            return (Criteria) this;
        }

        public Criteria andActivationTokenLikeInsensitive(String value) {
            addCriterion("upper(activation_token) like", value.toUpperCase(), "activationToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenLikeInsensitive(String value) {
            addCriterion("upper(reset_token) like", value.toUpperCase(), "resetToken");
            return (Criteria) this;
        }

        public Criteria andPhoneZoneLikeInsensitive(String value) {
            addCriterion("upper(phone_zone) like", value.toUpperCase(), "phoneZone");
            return (Criteria) this;
        }

        public Criteria andAccountLikeInsensitive(String value) {
            addCriterion("upper(account) like", value.toUpperCase(), "account");
            return (Criteria) this;
        }

        public Criteria andLocationLikeInsensitive(String value) {
            addCriterion("upper(`location`) like", value.toUpperCase(), "location");
            return (Criteria) this;
        }

        public Criteria andPublicPhoneLikeInsensitive(String value) {
            addCriterion("upper(public_phone) like", value.toUpperCase(), "publicPhone");
            return (Criteria) this;
        }

        public Criteria andPublicEmailLikeInsensitive(String value) {
            addCriterion("upper(public_email) like", value.toUpperCase(), "publicEmail");
            return (Criteria) this;
        }

        public Criteria andSettingsLikeInsensitive(String value) {
            addCriterion("upper(settings) like", value.toUpperCase(), "settings");
            return (Criteria) this;
        }

        public Criteria andReferralCodeLikeInsensitive(String value) {
            addCriterion("upper(referral_code) like", value.toUpperCase(), "referralCode");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}