package cn.kdan.pdf.backend.core.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class MissionFiles implements Serializable {
    private String id;

    private String missionId;

    private String memberId;

    private String clientId;

    private Integer convertTypeId;

    private String processId;

    private Integer fileType;

    private Integer orderId;

    private Integer status;

    private Integer price;

    private BigDecimal size;

    private String path;

    private String fileName;

    private String callbackUrl;

    private Date createdAt;

    private Date updatedAt;

    private String originalFilename;

    private Date deletedAt;

    private Date convertAt;

    private Date convertEndAt;

    private Integer worker;

    private Integer sourceType;

    private String failReason;

    private Date uploadedAt;

    private String traceResult;

    private String outputBucket;

    private String outFilename;

    private String ocrCode;

    private String saasTaskId;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public MissionFiles withId(String id) {
        this.setId(id);
        return this;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMissionId() {
        return missionId;
    }

    public MissionFiles withMissionId(String missionId) {
        this.setMissionId(missionId);
        return this;
    }

    public void setMissionId(String missionId) {
        this.missionId = missionId;
    }

    public String getMemberId() {
        return memberId;
    }

    public MissionFiles withMemberId(String memberId) {
        this.setMemberId(memberId);
        return this;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getClientId() {
        return clientId;
    }

    public MissionFiles withClientId(String clientId) {
        this.setClientId(clientId);
        return this;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public Integer getConvertTypeId() {
        return convertTypeId;
    }

    public MissionFiles withConvertTypeId(Integer convertTypeId) {
        this.setConvertTypeId(convertTypeId);
        return this;
    }

    public void setConvertTypeId(Integer convertTypeId) {
        this.convertTypeId = convertTypeId;
    }

    public String getProcessId() {
        return processId;
    }

    public MissionFiles withProcessId(String processId) {
        this.setProcessId(processId);
        return this;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }

    public Integer getFileType() {
        return fileType;
    }

    public MissionFiles withFileType(Integer fileType) {
        this.setFileType(fileType);
        return this;
    }

    public void setFileType(Integer fileType) {
        this.fileType = fileType;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public MissionFiles withOrderId(Integer orderId) {
        this.setOrderId(orderId);
        return this;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Integer getStatus() {
        return status;
    }

    public MissionFiles withStatus(Integer status) {
        this.setStatus(status);
        return this;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getPrice() {
        return price;
    }

    public MissionFiles withPrice(Integer price) {
        this.setPrice(price);
        return this;
    }

    public void setPrice(Integer price) {
        this.price = price;
    }

    public BigDecimal getSize() {
        return size;
    }

    public MissionFiles withSize(BigDecimal size) {
        this.setSize(size);
        return this;
    }

    public void setSize(BigDecimal size) {
        this.size = size;
    }

    public String getPath() {
        return path;
    }

    public MissionFiles withPath(String path) {
        this.setPath(path);
        return this;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getFileName() {
        return fileName;
    }

    public MissionFiles withFileName(String fileName) {
        this.setFileName(fileName);
        return this;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getCallbackUrl() {
        return callbackUrl;
    }

    public MissionFiles withCallbackUrl(String callbackUrl) {
        this.setCallbackUrl(callbackUrl);
        return this;
    }

    public void setCallbackUrl(String callbackUrl) {
        this.callbackUrl = callbackUrl;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public MissionFiles withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public MissionFiles withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getOriginalFilename() {
        return originalFilename;
    }

    public MissionFiles withOriginalFilename(String originalFilename) {
        this.setOriginalFilename(originalFilename);
        return this;
    }

    public void setOriginalFilename(String originalFilename) {
        this.originalFilename = originalFilename;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public MissionFiles withDeletedAt(Date deletedAt) {
        this.setDeletedAt(deletedAt);
        return this;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Date getConvertAt() {
        return convertAt;
    }

    public MissionFiles withConvertAt(Date convertAt) {
        this.setConvertAt(convertAt);
        return this;
    }

    public void setConvertAt(Date convertAt) {
        this.convertAt = convertAt;
    }

    public Date getConvertEndAt() {
        return convertEndAt;
    }

    public MissionFiles withConvertEndAt(Date convertEndAt) {
        this.setConvertEndAt(convertEndAt);
        return this;
    }

    public void setConvertEndAt(Date convertEndAt) {
        this.convertEndAt = convertEndAt;
    }

    public Integer getWorker() {
        return worker;
    }

    public MissionFiles withWorker(Integer worker) {
        this.setWorker(worker);
        return this;
    }

    public void setWorker(Integer worker) {
        this.worker = worker;
    }

    public Integer getSourceType() {
        return sourceType;
    }

    public MissionFiles withSourceType(Integer sourceType) {
        this.setSourceType(sourceType);
        return this;
    }

    public void setSourceType(Integer sourceType) {
        this.sourceType = sourceType;
    }

    public String getFailReason() {
        return failReason;
    }

    public MissionFiles withFailReason(String failReason) {
        this.setFailReason(failReason);
        return this;
    }

    public void setFailReason(String failReason) {
        this.failReason = failReason;
    }

    public Date getUploadedAt() {
        return uploadedAt;
    }

    public MissionFiles withUploadedAt(Date uploadedAt) {
        this.setUploadedAt(uploadedAt);
        return this;
    }

    public void setUploadedAt(Date uploadedAt) {
        this.uploadedAt = uploadedAt;
    }

    public String getTraceResult() {
        return traceResult;
    }

    public MissionFiles withTraceResult(String traceResult) {
        this.setTraceResult(traceResult);
        return this;
    }

    public void setTraceResult(String traceResult) {
        this.traceResult = traceResult;
    }

    public String getOutputBucket() {
        return outputBucket;
    }

    public MissionFiles withOutputBucket(String outputBucket) {
        this.setOutputBucket(outputBucket);
        return this;
    }

    public void setOutputBucket(String outputBucket) {
        this.outputBucket = outputBucket;
    }

    public String getOutFilename() {
        return outFilename;
    }

    public MissionFiles withOutFilename(String outFilename) {
        this.setOutFilename(outFilename);
        return this;
    }

    public void setOutFilename(String outFilename) {
        this.outFilename = outFilename;
    }

    public String getOcrCode() {
        return ocrCode;
    }

    public MissionFiles withOcrCode(String ocrCode) {
        this.setOcrCode(ocrCode);
        return this;
    }

    public void setOcrCode(String ocrCode) {
        this.ocrCode = ocrCode;
    }

    public String getSaasTaskId() {
        return saasTaskId;
    }

    public MissionFiles withSaasTaskId(String saasTaskId) {
        this.setSaasTaskId(saasTaskId);
        return this;
    }

    public void setSaasTaskId(String saasTaskId) {
        this.saasTaskId = saasTaskId;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        MissionFiles other = (MissionFiles) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMissionId() == null ? other.getMissionId() == null : this.getMissionId().equals(other.getMissionId()))
            && (this.getMemberId() == null ? other.getMemberId() == null : this.getMemberId().equals(other.getMemberId()))
            && (this.getClientId() == null ? other.getClientId() == null : this.getClientId().equals(other.getClientId()))
            && (this.getConvertTypeId() == null ? other.getConvertTypeId() == null : this.getConvertTypeId().equals(other.getConvertTypeId()))
            && (this.getProcessId() == null ? other.getProcessId() == null : this.getProcessId().equals(other.getProcessId()))
            && (this.getFileType() == null ? other.getFileType() == null : this.getFileType().equals(other.getFileType()))
            && (this.getOrderId() == null ? other.getOrderId() == null : this.getOrderId().equals(other.getOrderId()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getPrice() == null ? other.getPrice() == null : this.getPrice().equals(other.getPrice()))
            && (this.getSize() == null ? other.getSize() == null : this.getSize().equals(other.getSize()))
            && (this.getPath() == null ? other.getPath() == null : this.getPath().equals(other.getPath()))
            && (this.getFileName() == null ? other.getFileName() == null : this.getFileName().equals(other.getFileName()))
            && (this.getCallbackUrl() == null ? other.getCallbackUrl() == null : this.getCallbackUrl().equals(other.getCallbackUrl()))
            && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
            && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
            && (this.getOriginalFilename() == null ? other.getOriginalFilename() == null : this.getOriginalFilename().equals(other.getOriginalFilename()))
            && (this.getDeletedAt() == null ? other.getDeletedAt() == null : this.getDeletedAt().equals(other.getDeletedAt()))
            && (this.getConvertAt() == null ? other.getConvertAt() == null : this.getConvertAt().equals(other.getConvertAt()))
            && (this.getConvertEndAt() == null ? other.getConvertEndAt() == null : this.getConvertEndAt().equals(other.getConvertEndAt()))
            && (this.getWorker() == null ? other.getWorker() == null : this.getWorker().equals(other.getWorker()))
            && (this.getSourceType() == null ? other.getSourceType() == null : this.getSourceType().equals(other.getSourceType()))
            && (this.getFailReason() == null ? other.getFailReason() == null : this.getFailReason().equals(other.getFailReason()))
            && (this.getUploadedAt() == null ? other.getUploadedAt() == null : this.getUploadedAt().equals(other.getUploadedAt()))
            && (this.getTraceResult() == null ? other.getTraceResult() == null : this.getTraceResult().equals(other.getTraceResult()))
            && (this.getOutputBucket() == null ? other.getOutputBucket() == null : this.getOutputBucket().equals(other.getOutputBucket()))
            && (this.getOutFilename() == null ? other.getOutFilename() == null : this.getOutFilename().equals(other.getOutFilename()))
            && (this.getOcrCode() == null ? other.getOcrCode() == null : this.getOcrCode().equals(other.getOcrCode()))
            && (this.getSaasTaskId() == null ? other.getSaasTaskId() == null : this.getSaasTaskId().equals(other.getSaasTaskId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMissionId() == null) ? 0 : getMissionId().hashCode());
        result = prime * result + ((getMemberId() == null) ? 0 : getMemberId().hashCode());
        result = prime * result + ((getClientId() == null) ? 0 : getClientId().hashCode());
        result = prime * result + ((getConvertTypeId() == null) ? 0 : getConvertTypeId().hashCode());
        result = prime * result + ((getProcessId() == null) ? 0 : getProcessId().hashCode());
        result = prime * result + ((getFileType() == null) ? 0 : getFileType().hashCode());
        result = prime * result + ((getOrderId() == null) ? 0 : getOrderId().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getPrice() == null) ? 0 : getPrice().hashCode());
        result = prime * result + ((getSize() == null) ? 0 : getSize().hashCode());
        result = prime * result + ((getPath() == null) ? 0 : getPath().hashCode());
        result = prime * result + ((getFileName() == null) ? 0 : getFileName().hashCode());
        result = prime * result + ((getCallbackUrl() == null) ? 0 : getCallbackUrl().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getOriginalFilename() == null) ? 0 : getOriginalFilename().hashCode());
        result = prime * result + ((getDeletedAt() == null) ? 0 : getDeletedAt().hashCode());
        result = prime * result + ((getConvertAt() == null) ? 0 : getConvertAt().hashCode());
        result = prime * result + ((getConvertEndAt() == null) ? 0 : getConvertEndAt().hashCode());
        result = prime * result + ((getWorker() == null) ? 0 : getWorker().hashCode());
        result = prime * result + ((getSourceType() == null) ? 0 : getSourceType().hashCode());
        result = prime * result + ((getFailReason() == null) ? 0 : getFailReason().hashCode());
        result = prime * result + ((getUploadedAt() == null) ? 0 : getUploadedAt().hashCode());
        result = prime * result + ((getTraceResult() == null) ? 0 : getTraceResult().hashCode());
        result = prime * result + ((getOutputBucket() == null) ? 0 : getOutputBucket().hashCode());
        result = prime * result + ((getOutFilename() == null) ? 0 : getOutFilename().hashCode());
        result = prime * result + ((getOcrCode() == null) ? 0 : getOcrCode().hashCode());
        result = prime * result + ((getSaasTaskId() == null) ? 0 : getSaasTaskId().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", missionId=").append(missionId);
        sb.append(", memberId=").append(memberId);
        sb.append(", clientId=").append(clientId);
        sb.append(", convertTypeId=").append(convertTypeId);
        sb.append(", processId=").append(processId);
        sb.append(", fileType=").append(fileType);
        sb.append(", orderId=").append(orderId);
        sb.append(", status=").append(status);
        sb.append(", price=").append(price);
        sb.append(", size=").append(size);
        sb.append(", path=").append(path);
        sb.append(", fileName=").append(fileName);
        sb.append(", callbackUrl=").append(callbackUrl);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", originalFilename=").append(originalFilename);
        sb.append(", deletedAt=").append(deletedAt);
        sb.append(", convertAt=").append(convertAt);
        sb.append(", convertEndAt=").append(convertEndAt);
        sb.append(", worker=").append(worker);
        sb.append(", sourceType=").append(sourceType);
        sb.append(", failReason=").append(failReason);
        sb.append(", uploadedAt=").append(uploadedAt);
        sb.append(", traceResult=").append(traceResult);
        sb.append(", outputBucket=").append(outputBucket);
        sb.append(", outFilename=").append(outFilename);
        sb.append(", ocrCode=").append(ocrCode);
        sb.append(", saasTaskId=").append(saasTaskId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}