package cn.kdan.pdf.backend.core.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class MissionFilesExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public MissionFilesExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andMissionIdIsNull() {
            addCriterion("mission_id is null");
            return (Criteria) this;
        }

        public Criteria andMissionIdIsNotNull() {
            addCriterion("mission_id is not null");
            return (Criteria) this;
        }

        public Criteria andMissionIdEqualTo(String value) {
            addCriterion("mission_id =", value, "missionId");
            return (Criteria) this;
        }

        public Criteria andMissionIdNotEqualTo(String value) {
            addCriterion("mission_id <>", value, "missionId");
            return (Criteria) this;
        }

        public Criteria andMissionIdGreaterThan(String value) {
            addCriterion("mission_id >", value, "missionId");
            return (Criteria) this;
        }

        public Criteria andMissionIdGreaterThanOrEqualTo(String value) {
            addCriterion("mission_id >=", value, "missionId");
            return (Criteria) this;
        }

        public Criteria andMissionIdLessThan(String value) {
            addCriterion("mission_id <", value, "missionId");
            return (Criteria) this;
        }

        public Criteria andMissionIdLessThanOrEqualTo(String value) {
            addCriterion("mission_id <=", value, "missionId");
            return (Criteria) this;
        }

        public Criteria andMissionIdLike(String value) {
            addCriterion("mission_id like", value, "missionId");
            return (Criteria) this;
        }

        public Criteria andMissionIdNotLike(String value) {
            addCriterion("mission_id not like", value, "missionId");
            return (Criteria) this;
        }

        public Criteria andMissionIdIn(List<String> values) {
            addCriterion("mission_id in", values, "missionId");
            return (Criteria) this;
        }

        public Criteria andMissionIdNotIn(List<String> values) {
            addCriterion("mission_id not in", values, "missionId");
            return (Criteria) this;
        }

        public Criteria andMissionIdBetween(String value1, String value2) {
            addCriterion("mission_id between", value1, value2, "missionId");
            return (Criteria) this;
        }

        public Criteria andMissionIdNotBetween(String value1, String value2) {
            addCriterion("mission_id not between", value1, value2, "missionId");
            return (Criteria) this;
        }

        public Criteria andMemberIdIsNull() {
            addCriterion("member_id is null");
            return (Criteria) this;
        }

        public Criteria andMemberIdIsNotNull() {
            addCriterion("member_id is not null");
            return (Criteria) this;
        }

        public Criteria andMemberIdEqualTo(String value) {
            addCriterion("member_id =", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdNotEqualTo(String value) {
            addCriterion("member_id <>", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdGreaterThan(String value) {
            addCriterion("member_id >", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdGreaterThanOrEqualTo(String value) {
            addCriterion("member_id >=", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdLessThan(String value) {
            addCriterion("member_id <", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdLessThanOrEqualTo(String value) {
            addCriterion("member_id <=", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdLike(String value) {
            addCriterion("member_id like", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdNotLike(String value) {
            addCriterion("member_id not like", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdIn(List<String> values) {
            addCriterion("member_id in", values, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdNotIn(List<String> values) {
            addCriterion("member_id not in", values, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdBetween(String value1, String value2) {
            addCriterion("member_id between", value1, value2, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdNotBetween(String value1, String value2) {
            addCriterion("member_id not between", value1, value2, "memberId");
            return (Criteria) this;
        }

        public Criteria andClientIdIsNull() {
            addCriterion("client_id is null");
            return (Criteria) this;
        }

        public Criteria andClientIdIsNotNull() {
            addCriterion("client_id is not null");
            return (Criteria) this;
        }

        public Criteria andClientIdEqualTo(String value) {
            addCriterion("client_id =", value, "clientId");
            return (Criteria) this;
        }

        public Criteria andClientIdNotEqualTo(String value) {
            addCriterion("client_id <>", value, "clientId");
            return (Criteria) this;
        }

        public Criteria andClientIdGreaterThan(String value) {
            addCriterion("client_id >", value, "clientId");
            return (Criteria) this;
        }

        public Criteria andClientIdGreaterThanOrEqualTo(String value) {
            addCriterion("client_id >=", value, "clientId");
            return (Criteria) this;
        }

        public Criteria andClientIdLessThan(String value) {
            addCriterion("client_id <", value, "clientId");
            return (Criteria) this;
        }

        public Criteria andClientIdLessThanOrEqualTo(String value) {
            addCriterion("client_id <=", value, "clientId");
            return (Criteria) this;
        }

        public Criteria andClientIdLike(String value) {
            addCriterion("client_id like", value, "clientId");
            return (Criteria) this;
        }

        public Criteria andClientIdNotLike(String value) {
            addCriterion("client_id not like", value, "clientId");
            return (Criteria) this;
        }

        public Criteria andClientIdIn(List<String> values) {
            addCriterion("client_id in", values, "clientId");
            return (Criteria) this;
        }

        public Criteria andClientIdNotIn(List<String> values) {
            addCriterion("client_id not in", values, "clientId");
            return (Criteria) this;
        }

        public Criteria andClientIdBetween(String value1, String value2) {
            addCriterion("client_id between", value1, value2, "clientId");
            return (Criteria) this;
        }

        public Criteria andClientIdNotBetween(String value1, String value2) {
            addCriterion("client_id not between", value1, value2, "clientId");
            return (Criteria) this;
        }

        public Criteria andConvertTypeIdIsNull() {
            addCriterion("convert_type_id is null");
            return (Criteria) this;
        }

        public Criteria andConvertTypeIdIsNotNull() {
            addCriterion("convert_type_id is not null");
            return (Criteria) this;
        }

        public Criteria andConvertTypeIdEqualTo(Integer value) {
            addCriterion("convert_type_id =", value, "convertTypeId");
            return (Criteria) this;
        }

        public Criteria andConvertTypeIdNotEqualTo(Integer value) {
            addCriterion("convert_type_id <>", value, "convertTypeId");
            return (Criteria) this;
        }

        public Criteria andConvertTypeIdGreaterThan(Integer value) {
            addCriterion("convert_type_id >", value, "convertTypeId");
            return (Criteria) this;
        }

        public Criteria andConvertTypeIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("convert_type_id >=", value, "convertTypeId");
            return (Criteria) this;
        }

        public Criteria andConvertTypeIdLessThan(Integer value) {
            addCriterion("convert_type_id <", value, "convertTypeId");
            return (Criteria) this;
        }

        public Criteria andConvertTypeIdLessThanOrEqualTo(Integer value) {
            addCriterion("convert_type_id <=", value, "convertTypeId");
            return (Criteria) this;
        }

        public Criteria andConvertTypeIdIn(List<Integer> values) {
            addCriterion("convert_type_id in", values, "convertTypeId");
            return (Criteria) this;
        }

        public Criteria andConvertTypeIdNotIn(List<Integer> values) {
            addCriterion("convert_type_id not in", values, "convertTypeId");
            return (Criteria) this;
        }

        public Criteria andConvertTypeIdBetween(Integer value1, Integer value2) {
            addCriterion("convert_type_id between", value1, value2, "convertTypeId");
            return (Criteria) this;
        }

        public Criteria andConvertTypeIdNotBetween(Integer value1, Integer value2) {
            addCriterion("convert_type_id not between", value1, value2, "convertTypeId");
            return (Criteria) this;
        }

        public Criteria andProcessIdIsNull() {
            addCriterion("process_id is null");
            return (Criteria) this;
        }

        public Criteria andProcessIdIsNotNull() {
            addCriterion("process_id is not null");
            return (Criteria) this;
        }

        public Criteria andProcessIdEqualTo(String value) {
            addCriterion("process_id =", value, "processId");
            return (Criteria) this;
        }

        public Criteria andProcessIdNotEqualTo(String value) {
            addCriterion("process_id <>", value, "processId");
            return (Criteria) this;
        }

        public Criteria andProcessIdGreaterThan(String value) {
            addCriterion("process_id >", value, "processId");
            return (Criteria) this;
        }

        public Criteria andProcessIdGreaterThanOrEqualTo(String value) {
            addCriterion("process_id >=", value, "processId");
            return (Criteria) this;
        }

        public Criteria andProcessIdLessThan(String value) {
            addCriterion("process_id <", value, "processId");
            return (Criteria) this;
        }

        public Criteria andProcessIdLessThanOrEqualTo(String value) {
            addCriterion("process_id <=", value, "processId");
            return (Criteria) this;
        }

        public Criteria andProcessIdLike(String value) {
            addCriterion("process_id like", value, "processId");
            return (Criteria) this;
        }

        public Criteria andProcessIdNotLike(String value) {
            addCriterion("process_id not like", value, "processId");
            return (Criteria) this;
        }

        public Criteria andProcessIdIn(List<String> values) {
            addCriterion("process_id in", values, "processId");
            return (Criteria) this;
        }

        public Criteria andProcessIdNotIn(List<String> values) {
            addCriterion("process_id not in", values, "processId");
            return (Criteria) this;
        }

        public Criteria andProcessIdBetween(String value1, String value2) {
            addCriterion("process_id between", value1, value2, "processId");
            return (Criteria) this;
        }

        public Criteria andProcessIdNotBetween(String value1, String value2) {
            addCriterion("process_id not between", value1, value2, "processId");
            return (Criteria) this;
        }

        public Criteria andFileTypeIsNull() {
            addCriterion("file_type is null");
            return (Criteria) this;
        }

        public Criteria andFileTypeIsNotNull() {
            addCriterion("file_type is not null");
            return (Criteria) this;
        }

        public Criteria andFileTypeEqualTo(Integer value) {
            addCriterion("file_type =", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeNotEqualTo(Integer value) {
            addCriterion("file_type <>", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeGreaterThan(Integer value) {
            addCriterion("file_type >", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("file_type >=", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeLessThan(Integer value) {
            addCriterion("file_type <", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeLessThanOrEqualTo(Integer value) {
            addCriterion("file_type <=", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeIn(List<Integer> values) {
            addCriterion("file_type in", values, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeNotIn(List<Integer> values) {
            addCriterion("file_type not in", values, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeBetween(Integer value1, Integer value2) {
            addCriterion("file_type between", value1, value2, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("file_type not between", value1, value2, "fileType");
            return (Criteria) this;
        }

        public Criteria andOrderIdIsNull() {
            addCriterion("order_id is null");
            return (Criteria) this;
        }

        public Criteria andOrderIdIsNotNull() {
            addCriterion("order_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrderIdEqualTo(Integer value) {
            addCriterion("order_id =", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotEqualTo(Integer value) {
            addCriterion("order_id <>", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdGreaterThan(Integer value) {
            addCriterion("order_id >", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("order_id >=", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLessThan(Integer value) {
            addCriterion("order_id <", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLessThanOrEqualTo(Integer value) {
            addCriterion("order_id <=", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdIn(List<Integer> values) {
            addCriterion("order_id in", values, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotIn(List<Integer> values) {
            addCriterion("order_id not in", values, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdBetween(Integer value1, Integer value2) {
            addCriterion("order_id between", value1, value2, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotBetween(Integer value1, Integer value2) {
            addCriterion("order_id not between", value1, value2, "orderId");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andPriceIsNull() {
            addCriterion("price is null");
            return (Criteria) this;
        }

        public Criteria andPriceIsNotNull() {
            addCriterion("price is not null");
            return (Criteria) this;
        }

        public Criteria andPriceEqualTo(Integer value) {
            addCriterion("price =", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceNotEqualTo(Integer value) {
            addCriterion("price <>", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceGreaterThan(Integer value) {
            addCriterion("price >", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceGreaterThanOrEqualTo(Integer value) {
            addCriterion("price >=", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceLessThan(Integer value) {
            addCriterion("price <", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceLessThanOrEqualTo(Integer value) {
            addCriterion("price <=", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceIn(List<Integer> values) {
            addCriterion("price in", values, "price");
            return (Criteria) this;
        }

        public Criteria andPriceNotIn(List<Integer> values) {
            addCriterion("price not in", values, "price");
            return (Criteria) this;
        }

        public Criteria andPriceBetween(Integer value1, Integer value2) {
            addCriterion("price between", value1, value2, "price");
            return (Criteria) this;
        }

        public Criteria andPriceNotBetween(Integer value1, Integer value2) {
            addCriterion("price not between", value1, value2, "price");
            return (Criteria) this;
        }

        public Criteria andSizeIsNull() {
            addCriterion("`size` is null");
            return (Criteria) this;
        }

        public Criteria andSizeIsNotNull() {
            addCriterion("`size` is not null");
            return (Criteria) this;
        }

        public Criteria andSizeEqualTo(BigDecimal value) {
            addCriterion("`size` =", value, "size");
            return (Criteria) this;
        }

        public Criteria andSizeNotEqualTo(BigDecimal value) {
            addCriterion("`size` <>", value, "size");
            return (Criteria) this;
        }

        public Criteria andSizeGreaterThan(BigDecimal value) {
            addCriterion("`size` >", value, "size");
            return (Criteria) this;
        }

        public Criteria andSizeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("`size` >=", value, "size");
            return (Criteria) this;
        }

        public Criteria andSizeLessThan(BigDecimal value) {
            addCriterion("`size` <", value, "size");
            return (Criteria) this;
        }

        public Criteria andSizeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("`size` <=", value, "size");
            return (Criteria) this;
        }

        public Criteria andSizeIn(List<BigDecimal> values) {
            addCriterion("`size` in", values, "size");
            return (Criteria) this;
        }

        public Criteria andSizeNotIn(List<BigDecimal> values) {
            addCriterion("`size` not in", values, "size");
            return (Criteria) this;
        }

        public Criteria andSizeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("`size` between", value1, value2, "size");
            return (Criteria) this;
        }

        public Criteria andSizeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("`size` not between", value1, value2, "size");
            return (Criteria) this;
        }

        public Criteria andPathIsNull() {
            addCriterion("`path` is null");
            return (Criteria) this;
        }

        public Criteria andPathIsNotNull() {
            addCriterion("`path` is not null");
            return (Criteria) this;
        }

        public Criteria andPathEqualTo(String value) {
            addCriterion("`path` =", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathNotEqualTo(String value) {
            addCriterion("`path` <>", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathGreaterThan(String value) {
            addCriterion("`path` >", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathGreaterThanOrEqualTo(String value) {
            addCriterion("`path` >=", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathLessThan(String value) {
            addCriterion("`path` <", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathLessThanOrEqualTo(String value) {
            addCriterion("`path` <=", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathLike(String value) {
            addCriterion("`path` like", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathNotLike(String value) {
            addCriterion("`path` not like", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathIn(List<String> values) {
            addCriterion("`path` in", values, "path");
            return (Criteria) this;
        }

        public Criteria andPathNotIn(List<String> values) {
            addCriterion("`path` not in", values, "path");
            return (Criteria) this;
        }

        public Criteria andPathBetween(String value1, String value2) {
            addCriterion("`path` between", value1, value2, "path");
            return (Criteria) this;
        }

        public Criteria andPathNotBetween(String value1, String value2) {
            addCriterion("`path` not between", value1, value2, "path");
            return (Criteria) this;
        }

        public Criteria andFileNameIsNull() {
            addCriterion("file_name is null");
            return (Criteria) this;
        }

        public Criteria andFileNameIsNotNull() {
            addCriterion("file_name is not null");
            return (Criteria) this;
        }

        public Criteria andFileNameEqualTo(String value) {
            addCriterion("file_name =", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotEqualTo(String value) {
            addCriterion("file_name <>", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameGreaterThan(String value) {
            addCriterion("file_name >", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameGreaterThanOrEqualTo(String value) {
            addCriterion("file_name >=", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameLessThan(String value) {
            addCriterion("file_name <", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameLessThanOrEqualTo(String value) {
            addCriterion("file_name <=", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameLike(String value) {
            addCriterion("file_name like", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotLike(String value) {
            addCriterion("file_name not like", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameIn(List<String> values) {
            addCriterion("file_name in", values, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotIn(List<String> values) {
            addCriterion("file_name not in", values, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameBetween(String value1, String value2) {
            addCriterion("file_name between", value1, value2, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotBetween(String value1, String value2) {
            addCriterion("file_name not between", value1, value2, "fileName");
            return (Criteria) this;
        }

        public Criteria andCallbackUrlIsNull() {
            addCriterion("callback_url is null");
            return (Criteria) this;
        }

        public Criteria andCallbackUrlIsNotNull() {
            addCriterion("callback_url is not null");
            return (Criteria) this;
        }

        public Criteria andCallbackUrlEqualTo(String value) {
            addCriterion("callback_url =", value, "callbackUrl");
            return (Criteria) this;
        }

        public Criteria andCallbackUrlNotEqualTo(String value) {
            addCriterion("callback_url <>", value, "callbackUrl");
            return (Criteria) this;
        }

        public Criteria andCallbackUrlGreaterThan(String value) {
            addCriterion("callback_url >", value, "callbackUrl");
            return (Criteria) this;
        }

        public Criteria andCallbackUrlGreaterThanOrEqualTo(String value) {
            addCriterion("callback_url >=", value, "callbackUrl");
            return (Criteria) this;
        }

        public Criteria andCallbackUrlLessThan(String value) {
            addCriterion("callback_url <", value, "callbackUrl");
            return (Criteria) this;
        }

        public Criteria andCallbackUrlLessThanOrEqualTo(String value) {
            addCriterion("callback_url <=", value, "callbackUrl");
            return (Criteria) this;
        }

        public Criteria andCallbackUrlLike(String value) {
            addCriterion("callback_url like", value, "callbackUrl");
            return (Criteria) this;
        }

        public Criteria andCallbackUrlNotLike(String value) {
            addCriterion("callback_url not like", value, "callbackUrl");
            return (Criteria) this;
        }

        public Criteria andCallbackUrlIn(List<String> values) {
            addCriterion("callback_url in", values, "callbackUrl");
            return (Criteria) this;
        }

        public Criteria andCallbackUrlNotIn(List<String> values) {
            addCriterion("callback_url not in", values, "callbackUrl");
            return (Criteria) this;
        }

        public Criteria andCallbackUrlBetween(String value1, String value2) {
            addCriterion("callback_url between", value1, value2, "callbackUrl");
            return (Criteria) this;
        }

        public Criteria andCallbackUrlNotBetween(String value1, String value2) {
            addCriterion("callback_url not between", value1, value2, "callbackUrl");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNull() {
            addCriterion("updated_at is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNotNull() {
            addCriterion("updated_at is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtEqualTo(Date value) {
            addCriterion("updated_at =", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotEqualTo(Date value) {
            addCriterion("updated_at <>", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThan(Date value) {
            addCriterion("updated_at >", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("updated_at >=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThan(Date value) {
            addCriterion("updated_at <", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThanOrEqualTo(Date value) {
            addCriterion("updated_at <=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIn(List<Date> values) {
            addCriterion("updated_at in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotIn(List<Date> values) {
            addCriterion("updated_at not in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtBetween(Date value1, Date value2) {
            addCriterion("updated_at between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotBetween(Date value1, Date value2) {
            addCriterion("updated_at not between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andOriginalFilenameIsNull() {
            addCriterion("original_filename is null");
            return (Criteria) this;
        }

        public Criteria andOriginalFilenameIsNotNull() {
            addCriterion("original_filename is not null");
            return (Criteria) this;
        }

        public Criteria andOriginalFilenameEqualTo(String value) {
            addCriterion("original_filename =", value, "originalFilename");
            return (Criteria) this;
        }

        public Criteria andOriginalFilenameNotEqualTo(String value) {
            addCriterion("original_filename <>", value, "originalFilename");
            return (Criteria) this;
        }

        public Criteria andOriginalFilenameGreaterThan(String value) {
            addCriterion("original_filename >", value, "originalFilename");
            return (Criteria) this;
        }

        public Criteria andOriginalFilenameGreaterThanOrEqualTo(String value) {
            addCriterion("original_filename >=", value, "originalFilename");
            return (Criteria) this;
        }

        public Criteria andOriginalFilenameLessThan(String value) {
            addCriterion("original_filename <", value, "originalFilename");
            return (Criteria) this;
        }

        public Criteria andOriginalFilenameLessThanOrEqualTo(String value) {
            addCriterion("original_filename <=", value, "originalFilename");
            return (Criteria) this;
        }

        public Criteria andOriginalFilenameLike(String value) {
            addCriterion("original_filename like", value, "originalFilename");
            return (Criteria) this;
        }

        public Criteria andOriginalFilenameNotLike(String value) {
            addCriterion("original_filename not like", value, "originalFilename");
            return (Criteria) this;
        }

        public Criteria andOriginalFilenameIn(List<String> values) {
            addCriterion("original_filename in", values, "originalFilename");
            return (Criteria) this;
        }

        public Criteria andOriginalFilenameNotIn(List<String> values) {
            addCriterion("original_filename not in", values, "originalFilename");
            return (Criteria) this;
        }

        public Criteria andOriginalFilenameBetween(String value1, String value2) {
            addCriterion("original_filename between", value1, value2, "originalFilename");
            return (Criteria) this;
        }

        public Criteria andOriginalFilenameNotBetween(String value1, String value2) {
            addCriterion("original_filename not between", value1, value2, "originalFilename");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNull() {
            addCriterion("deleted_at is null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNotNull() {
            addCriterion("deleted_at is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtEqualTo(Date value) {
            addCriterion("deleted_at =", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotEqualTo(Date value) {
            addCriterion("deleted_at <>", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThan(Date value) {
            addCriterion("deleted_at >", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("deleted_at >=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThan(Date value) {
            addCriterion("deleted_at <", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThanOrEqualTo(Date value) {
            addCriterion("deleted_at <=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIn(List<Date> values) {
            addCriterion("deleted_at in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotIn(List<Date> values) {
            addCriterion("deleted_at not in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtBetween(Date value1, Date value2) {
            addCriterion("deleted_at between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotBetween(Date value1, Date value2) {
            addCriterion("deleted_at not between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andConvertAtIsNull() {
            addCriterion("convert_at is null");
            return (Criteria) this;
        }

        public Criteria andConvertAtIsNotNull() {
            addCriterion("convert_at is not null");
            return (Criteria) this;
        }

        public Criteria andConvertAtEqualTo(Date value) {
            addCriterion("convert_at =", value, "convertAt");
            return (Criteria) this;
        }

        public Criteria andConvertAtNotEqualTo(Date value) {
            addCriterion("convert_at <>", value, "convertAt");
            return (Criteria) this;
        }

        public Criteria andConvertAtGreaterThan(Date value) {
            addCriterion("convert_at >", value, "convertAt");
            return (Criteria) this;
        }

        public Criteria andConvertAtGreaterThanOrEqualTo(Date value) {
            addCriterion("convert_at >=", value, "convertAt");
            return (Criteria) this;
        }

        public Criteria andConvertAtLessThan(Date value) {
            addCriterion("convert_at <", value, "convertAt");
            return (Criteria) this;
        }

        public Criteria andConvertAtLessThanOrEqualTo(Date value) {
            addCriterion("convert_at <=", value, "convertAt");
            return (Criteria) this;
        }

        public Criteria andConvertAtIn(List<Date> values) {
            addCriterion("convert_at in", values, "convertAt");
            return (Criteria) this;
        }

        public Criteria andConvertAtNotIn(List<Date> values) {
            addCriterion("convert_at not in", values, "convertAt");
            return (Criteria) this;
        }

        public Criteria andConvertAtBetween(Date value1, Date value2) {
            addCriterion("convert_at between", value1, value2, "convertAt");
            return (Criteria) this;
        }

        public Criteria andConvertAtNotBetween(Date value1, Date value2) {
            addCriterion("convert_at not between", value1, value2, "convertAt");
            return (Criteria) this;
        }

        public Criteria andConvertEndAtIsNull() {
            addCriterion("convert_end_at is null");
            return (Criteria) this;
        }

        public Criteria andConvertEndAtIsNotNull() {
            addCriterion("convert_end_at is not null");
            return (Criteria) this;
        }

        public Criteria andConvertEndAtEqualTo(Date value) {
            addCriterion("convert_end_at =", value, "convertEndAt");
            return (Criteria) this;
        }

        public Criteria andConvertEndAtNotEqualTo(Date value) {
            addCriterion("convert_end_at <>", value, "convertEndAt");
            return (Criteria) this;
        }

        public Criteria andConvertEndAtGreaterThan(Date value) {
            addCriterion("convert_end_at >", value, "convertEndAt");
            return (Criteria) this;
        }

        public Criteria andConvertEndAtGreaterThanOrEqualTo(Date value) {
            addCriterion("convert_end_at >=", value, "convertEndAt");
            return (Criteria) this;
        }

        public Criteria andConvertEndAtLessThan(Date value) {
            addCriterion("convert_end_at <", value, "convertEndAt");
            return (Criteria) this;
        }

        public Criteria andConvertEndAtLessThanOrEqualTo(Date value) {
            addCriterion("convert_end_at <=", value, "convertEndAt");
            return (Criteria) this;
        }

        public Criteria andConvertEndAtIn(List<Date> values) {
            addCriterion("convert_end_at in", values, "convertEndAt");
            return (Criteria) this;
        }

        public Criteria andConvertEndAtNotIn(List<Date> values) {
            addCriterion("convert_end_at not in", values, "convertEndAt");
            return (Criteria) this;
        }

        public Criteria andConvertEndAtBetween(Date value1, Date value2) {
            addCriterion("convert_end_at between", value1, value2, "convertEndAt");
            return (Criteria) this;
        }

        public Criteria andConvertEndAtNotBetween(Date value1, Date value2) {
            addCriterion("convert_end_at not between", value1, value2, "convertEndAt");
            return (Criteria) this;
        }

        public Criteria andWorkerIsNull() {
            addCriterion("worker is null");
            return (Criteria) this;
        }

        public Criteria andWorkerIsNotNull() {
            addCriterion("worker is not null");
            return (Criteria) this;
        }

        public Criteria andWorkerEqualTo(Integer value) {
            addCriterion("worker =", value, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerNotEqualTo(Integer value) {
            addCriterion("worker <>", value, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerGreaterThan(Integer value) {
            addCriterion("worker >", value, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerGreaterThanOrEqualTo(Integer value) {
            addCriterion("worker >=", value, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerLessThan(Integer value) {
            addCriterion("worker <", value, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerLessThanOrEqualTo(Integer value) {
            addCriterion("worker <=", value, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerIn(List<Integer> values) {
            addCriterion("worker in", values, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerNotIn(List<Integer> values) {
            addCriterion("worker not in", values, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerBetween(Integer value1, Integer value2) {
            addCriterion("worker between", value1, value2, "worker");
            return (Criteria) this;
        }

        public Criteria andWorkerNotBetween(Integer value1, Integer value2) {
            addCriterion("worker not between", value1, value2, "worker");
            return (Criteria) this;
        }

        public Criteria andSourceTypeIsNull() {
            addCriterion("source_type is null");
            return (Criteria) this;
        }

        public Criteria andSourceTypeIsNotNull() {
            addCriterion("source_type is not null");
            return (Criteria) this;
        }

        public Criteria andSourceTypeEqualTo(Integer value) {
            addCriterion("source_type =", value, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeNotEqualTo(Integer value) {
            addCriterion("source_type <>", value, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeGreaterThan(Integer value) {
            addCriterion("source_type >", value, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("source_type >=", value, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeLessThan(Integer value) {
            addCriterion("source_type <", value, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeLessThanOrEqualTo(Integer value) {
            addCriterion("source_type <=", value, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeIn(List<Integer> values) {
            addCriterion("source_type in", values, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeNotIn(List<Integer> values) {
            addCriterion("source_type not in", values, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeBetween(Integer value1, Integer value2) {
            addCriterion("source_type between", value1, value2, "sourceType");
            return (Criteria) this;
        }

        public Criteria andSourceTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("source_type not between", value1, value2, "sourceType");
            return (Criteria) this;
        }

        public Criteria andFailReasonIsNull() {
            addCriterion("fail_reason is null");
            return (Criteria) this;
        }

        public Criteria andFailReasonIsNotNull() {
            addCriterion("fail_reason is not null");
            return (Criteria) this;
        }

        public Criteria andFailReasonEqualTo(String value) {
            addCriterion("fail_reason =", value, "failReason");
            return (Criteria) this;
        }

        public Criteria andFailReasonNotEqualTo(String value) {
            addCriterion("fail_reason <>", value, "failReason");
            return (Criteria) this;
        }

        public Criteria andFailReasonGreaterThan(String value) {
            addCriterion("fail_reason >", value, "failReason");
            return (Criteria) this;
        }

        public Criteria andFailReasonGreaterThanOrEqualTo(String value) {
            addCriterion("fail_reason >=", value, "failReason");
            return (Criteria) this;
        }

        public Criteria andFailReasonLessThan(String value) {
            addCriterion("fail_reason <", value, "failReason");
            return (Criteria) this;
        }

        public Criteria andFailReasonLessThanOrEqualTo(String value) {
            addCriterion("fail_reason <=", value, "failReason");
            return (Criteria) this;
        }

        public Criteria andFailReasonLike(String value) {
            addCriterion("fail_reason like", value, "failReason");
            return (Criteria) this;
        }

        public Criteria andFailReasonNotLike(String value) {
            addCriterion("fail_reason not like", value, "failReason");
            return (Criteria) this;
        }

        public Criteria andFailReasonIn(List<String> values) {
            addCriterion("fail_reason in", values, "failReason");
            return (Criteria) this;
        }

        public Criteria andFailReasonNotIn(List<String> values) {
            addCriterion("fail_reason not in", values, "failReason");
            return (Criteria) this;
        }

        public Criteria andFailReasonBetween(String value1, String value2) {
            addCriterion("fail_reason between", value1, value2, "failReason");
            return (Criteria) this;
        }

        public Criteria andFailReasonNotBetween(String value1, String value2) {
            addCriterion("fail_reason not between", value1, value2, "failReason");
            return (Criteria) this;
        }

        public Criteria andUploadedAtIsNull() {
            addCriterion("uploaded_at is null");
            return (Criteria) this;
        }

        public Criteria andUploadedAtIsNotNull() {
            addCriterion("uploaded_at is not null");
            return (Criteria) this;
        }

        public Criteria andUploadedAtEqualTo(Date value) {
            addCriterion("uploaded_at =", value, "uploadedAt");
            return (Criteria) this;
        }

        public Criteria andUploadedAtNotEqualTo(Date value) {
            addCriterion("uploaded_at <>", value, "uploadedAt");
            return (Criteria) this;
        }

        public Criteria andUploadedAtGreaterThan(Date value) {
            addCriterion("uploaded_at >", value, "uploadedAt");
            return (Criteria) this;
        }

        public Criteria andUploadedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("uploaded_at >=", value, "uploadedAt");
            return (Criteria) this;
        }

        public Criteria andUploadedAtLessThan(Date value) {
            addCriterion("uploaded_at <", value, "uploadedAt");
            return (Criteria) this;
        }

        public Criteria andUploadedAtLessThanOrEqualTo(Date value) {
            addCriterion("uploaded_at <=", value, "uploadedAt");
            return (Criteria) this;
        }

        public Criteria andUploadedAtIn(List<Date> values) {
            addCriterion("uploaded_at in", values, "uploadedAt");
            return (Criteria) this;
        }

        public Criteria andUploadedAtNotIn(List<Date> values) {
            addCriterion("uploaded_at not in", values, "uploadedAt");
            return (Criteria) this;
        }

        public Criteria andUploadedAtBetween(Date value1, Date value2) {
            addCriterion("uploaded_at between", value1, value2, "uploadedAt");
            return (Criteria) this;
        }

        public Criteria andUploadedAtNotBetween(Date value1, Date value2) {
            addCriterion("uploaded_at not between", value1, value2, "uploadedAt");
            return (Criteria) this;
        }

        public Criteria andTraceResultIsNull() {
            addCriterion("trace_result is null");
            return (Criteria) this;
        }

        public Criteria andTraceResultIsNotNull() {
            addCriterion("trace_result is not null");
            return (Criteria) this;
        }

        public Criteria andTraceResultEqualTo(String value) {
            addCriterion("trace_result =", value, "traceResult");
            return (Criteria) this;
        }

        public Criteria andTraceResultNotEqualTo(String value) {
            addCriterion("trace_result <>", value, "traceResult");
            return (Criteria) this;
        }

        public Criteria andTraceResultGreaterThan(String value) {
            addCriterion("trace_result >", value, "traceResult");
            return (Criteria) this;
        }

        public Criteria andTraceResultGreaterThanOrEqualTo(String value) {
            addCriterion("trace_result >=", value, "traceResult");
            return (Criteria) this;
        }

        public Criteria andTraceResultLessThan(String value) {
            addCriterion("trace_result <", value, "traceResult");
            return (Criteria) this;
        }

        public Criteria andTraceResultLessThanOrEqualTo(String value) {
            addCriterion("trace_result <=", value, "traceResult");
            return (Criteria) this;
        }

        public Criteria andTraceResultLike(String value) {
            addCriterion("trace_result like", value, "traceResult");
            return (Criteria) this;
        }

        public Criteria andTraceResultNotLike(String value) {
            addCriterion("trace_result not like", value, "traceResult");
            return (Criteria) this;
        }

        public Criteria andTraceResultIn(List<String> values) {
            addCriterion("trace_result in", values, "traceResult");
            return (Criteria) this;
        }

        public Criteria andTraceResultNotIn(List<String> values) {
            addCriterion("trace_result not in", values, "traceResult");
            return (Criteria) this;
        }

        public Criteria andTraceResultBetween(String value1, String value2) {
            addCriterion("trace_result between", value1, value2, "traceResult");
            return (Criteria) this;
        }

        public Criteria andTraceResultNotBetween(String value1, String value2) {
            addCriterion("trace_result not between", value1, value2, "traceResult");
            return (Criteria) this;
        }

        public Criteria andOutputBucketIsNull() {
            addCriterion("output_bucket is null");
            return (Criteria) this;
        }

        public Criteria andOutputBucketIsNotNull() {
            addCriterion("output_bucket is not null");
            return (Criteria) this;
        }

        public Criteria andOutputBucketEqualTo(String value) {
            addCriterion("output_bucket =", value, "outputBucket");
            return (Criteria) this;
        }

        public Criteria andOutputBucketNotEqualTo(String value) {
            addCriterion("output_bucket <>", value, "outputBucket");
            return (Criteria) this;
        }

        public Criteria andOutputBucketGreaterThan(String value) {
            addCriterion("output_bucket >", value, "outputBucket");
            return (Criteria) this;
        }

        public Criteria andOutputBucketGreaterThanOrEqualTo(String value) {
            addCriterion("output_bucket >=", value, "outputBucket");
            return (Criteria) this;
        }

        public Criteria andOutputBucketLessThan(String value) {
            addCriterion("output_bucket <", value, "outputBucket");
            return (Criteria) this;
        }

        public Criteria andOutputBucketLessThanOrEqualTo(String value) {
            addCriterion("output_bucket <=", value, "outputBucket");
            return (Criteria) this;
        }

        public Criteria andOutputBucketLike(String value) {
            addCriterion("output_bucket like", value, "outputBucket");
            return (Criteria) this;
        }

        public Criteria andOutputBucketNotLike(String value) {
            addCriterion("output_bucket not like", value, "outputBucket");
            return (Criteria) this;
        }

        public Criteria andOutputBucketIn(List<String> values) {
            addCriterion("output_bucket in", values, "outputBucket");
            return (Criteria) this;
        }

        public Criteria andOutputBucketNotIn(List<String> values) {
            addCriterion("output_bucket not in", values, "outputBucket");
            return (Criteria) this;
        }

        public Criteria andOutputBucketBetween(String value1, String value2) {
            addCriterion("output_bucket between", value1, value2, "outputBucket");
            return (Criteria) this;
        }

        public Criteria andOutputBucketNotBetween(String value1, String value2) {
            addCriterion("output_bucket not between", value1, value2, "outputBucket");
            return (Criteria) this;
        }

        public Criteria andOutFilenameIsNull() {
            addCriterion("out_filename is null");
            return (Criteria) this;
        }

        public Criteria andOutFilenameIsNotNull() {
            addCriterion("out_filename is not null");
            return (Criteria) this;
        }

        public Criteria andOutFilenameEqualTo(String value) {
            addCriterion("out_filename =", value, "outFilename");
            return (Criteria) this;
        }

        public Criteria andOutFilenameNotEqualTo(String value) {
            addCriterion("out_filename <>", value, "outFilename");
            return (Criteria) this;
        }

        public Criteria andOutFilenameGreaterThan(String value) {
            addCriterion("out_filename >", value, "outFilename");
            return (Criteria) this;
        }

        public Criteria andOutFilenameGreaterThanOrEqualTo(String value) {
            addCriterion("out_filename >=", value, "outFilename");
            return (Criteria) this;
        }

        public Criteria andOutFilenameLessThan(String value) {
            addCriterion("out_filename <", value, "outFilename");
            return (Criteria) this;
        }

        public Criteria andOutFilenameLessThanOrEqualTo(String value) {
            addCriterion("out_filename <=", value, "outFilename");
            return (Criteria) this;
        }

        public Criteria andOutFilenameLike(String value) {
            addCriterion("out_filename like", value, "outFilename");
            return (Criteria) this;
        }

        public Criteria andOutFilenameNotLike(String value) {
            addCriterion("out_filename not like", value, "outFilename");
            return (Criteria) this;
        }

        public Criteria andOutFilenameIn(List<String> values) {
            addCriterion("out_filename in", values, "outFilename");
            return (Criteria) this;
        }

        public Criteria andOutFilenameNotIn(List<String> values) {
            addCriterion("out_filename not in", values, "outFilename");
            return (Criteria) this;
        }

        public Criteria andOutFilenameBetween(String value1, String value2) {
            addCriterion("out_filename between", value1, value2, "outFilename");
            return (Criteria) this;
        }

        public Criteria andOutFilenameNotBetween(String value1, String value2) {
            addCriterion("out_filename not between", value1, value2, "outFilename");
            return (Criteria) this;
        }

        public Criteria andOcrCodeIsNull() {
            addCriterion("ocr_code is null");
            return (Criteria) this;
        }

        public Criteria andOcrCodeIsNotNull() {
            addCriterion("ocr_code is not null");
            return (Criteria) this;
        }

        public Criteria andOcrCodeEqualTo(String value) {
            addCriterion("ocr_code =", value, "ocrCode");
            return (Criteria) this;
        }

        public Criteria andOcrCodeNotEqualTo(String value) {
            addCriterion("ocr_code <>", value, "ocrCode");
            return (Criteria) this;
        }

        public Criteria andOcrCodeGreaterThan(String value) {
            addCriterion("ocr_code >", value, "ocrCode");
            return (Criteria) this;
        }

        public Criteria andOcrCodeGreaterThanOrEqualTo(String value) {
            addCriterion("ocr_code >=", value, "ocrCode");
            return (Criteria) this;
        }

        public Criteria andOcrCodeLessThan(String value) {
            addCriterion("ocr_code <", value, "ocrCode");
            return (Criteria) this;
        }

        public Criteria andOcrCodeLessThanOrEqualTo(String value) {
            addCriterion("ocr_code <=", value, "ocrCode");
            return (Criteria) this;
        }

        public Criteria andOcrCodeLike(String value) {
            addCriterion("ocr_code like", value, "ocrCode");
            return (Criteria) this;
        }

        public Criteria andOcrCodeNotLike(String value) {
            addCriterion("ocr_code not like", value, "ocrCode");
            return (Criteria) this;
        }

        public Criteria andOcrCodeIn(List<String> values) {
            addCriterion("ocr_code in", values, "ocrCode");
            return (Criteria) this;
        }

        public Criteria andOcrCodeNotIn(List<String> values) {
            addCriterion("ocr_code not in", values, "ocrCode");
            return (Criteria) this;
        }

        public Criteria andOcrCodeBetween(String value1, String value2) {
            addCriterion("ocr_code between", value1, value2, "ocrCode");
            return (Criteria) this;
        }

        public Criteria andOcrCodeNotBetween(String value1, String value2) {
            addCriterion("ocr_code not between", value1, value2, "ocrCode");
            return (Criteria) this;
        }

        public Criteria andSaasTaskIdIsNull() {
            addCriterion("saas_task_id is null");
            return (Criteria) this;
        }

        public Criteria andSaasTaskIdIsNotNull() {
            addCriterion("saas_task_id is not null");
            return (Criteria) this;
        }

        public Criteria andSaasTaskIdEqualTo(String value) {
            addCriterion("saas_task_id =", value, "saasTaskId");
            return (Criteria) this;
        }

        public Criteria andSaasTaskIdNotEqualTo(String value) {
            addCriterion("saas_task_id <>", value, "saasTaskId");
            return (Criteria) this;
        }

        public Criteria andSaasTaskIdGreaterThan(String value) {
            addCriterion("saas_task_id >", value, "saasTaskId");
            return (Criteria) this;
        }

        public Criteria andSaasTaskIdGreaterThanOrEqualTo(String value) {
            addCriterion("saas_task_id >=", value, "saasTaskId");
            return (Criteria) this;
        }

        public Criteria andSaasTaskIdLessThan(String value) {
            addCriterion("saas_task_id <", value, "saasTaskId");
            return (Criteria) this;
        }

        public Criteria andSaasTaskIdLessThanOrEqualTo(String value) {
            addCriterion("saas_task_id <=", value, "saasTaskId");
            return (Criteria) this;
        }

        public Criteria andSaasTaskIdLike(String value) {
            addCriterion("saas_task_id like", value, "saasTaskId");
            return (Criteria) this;
        }

        public Criteria andSaasTaskIdNotLike(String value) {
            addCriterion("saas_task_id not like", value, "saasTaskId");
            return (Criteria) this;
        }

        public Criteria andSaasTaskIdIn(List<String> values) {
            addCriterion("saas_task_id in", values, "saasTaskId");
            return (Criteria) this;
        }

        public Criteria andSaasTaskIdNotIn(List<String> values) {
            addCriterion("saas_task_id not in", values, "saasTaskId");
            return (Criteria) this;
        }

        public Criteria andSaasTaskIdBetween(String value1, String value2) {
            addCriterion("saas_task_id between", value1, value2, "saasTaskId");
            return (Criteria) this;
        }

        public Criteria andSaasTaskIdNotBetween(String value1, String value2) {
            addCriterion("saas_task_id not between", value1, value2, "saasTaskId");
            return (Criteria) this;
        }

        public Criteria andIdLikeInsensitive(String value) {
            addCriterion("upper(id) like", value.toUpperCase(), "id");
            return (Criteria) this;
        }

        public Criteria andMissionIdLikeInsensitive(String value) {
            addCriterion("upper(mission_id) like", value.toUpperCase(), "missionId");
            return (Criteria) this;
        }

        public Criteria andMemberIdLikeInsensitive(String value) {
            addCriterion("upper(member_id) like", value.toUpperCase(), "memberId");
            return (Criteria) this;
        }

        public Criteria andClientIdLikeInsensitive(String value) {
            addCriterion("upper(client_id) like", value.toUpperCase(), "clientId");
            return (Criteria) this;
        }

        public Criteria andProcessIdLikeInsensitive(String value) {
            addCriterion("upper(process_id) like", value.toUpperCase(), "processId");
            return (Criteria) this;
        }

        public Criteria andPathLikeInsensitive(String value) {
            addCriterion("upper(`path`) like", value.toUpperCase(), "path");
            return (Criteria) this;
        }

        public Criteria andFileNameLikeInsensitive(String value) {
            addCriterion("upper(file_name) like", value.toUpperCase(), "fileName");
            return (Criteria) this;
        }

        public Criteria andCallbackUrlLikeInsensitive(String value) {
            addCriterion("upper(callback_url) like", value.toUpperCase(), "callbackUrl");
            return (Criteria) this;
        }

        public Criteria andOriginalFilenameLikeInsensitive(String value) {
            addCriterion("upper(original_filename) like", value.toUpperCase(), "originalFilename");
            return (Criteria) this;
        }

        public Criteria andFailReasonLikeInsensitive(String value) {
            addCriterion("upper(fail_reason) like", value.toUpperCase(), "failReason");
            return (Criteria) this;
        }

        public Criteria andTraceResultLikeInsensitive(String value) {
            addCriterion("upper(trace_result) like", value.toUpperCase(), "traceResult");
            return (Criteria) this;
        }

        public Criteria andOutputBucketLikeInsensitive(String value) {
            addCriterion("upper(output_bucket) like", value.toUpperCase(), "outputBucket");
            return (Criteria) this;
        }

        public Criteria andOutFilenameLikeInsensitive(String value) {
            addCriterion("upper(out_filename) like", value.toUpperCase(), "outFilename");
            return (Criteria) this;
        }

        public Criteria andOcrCodeLikeInsensitive(String value) {
            addCriterion("upper(ocr_code) like", value.toUpperCase(), "ocrCode");
            return (Criteria) this;
        }

        public Criteria andSaasTaskIdLikeInsensitive(String value) {
            addCriterion("upper(saas_task_id) like", value.toUpperCase(), "saasTaskId");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}