package cn.kdan.pdf.backend.core.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class SetPricingsExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public SetPricingsExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andModeIsNull() {
            addCriterion("`mode` is null");
            return (Criteria) this;
        }

        public Criteria andModeIsNotNull() {
            addCriterion("`mode` is not null");
            return (Criteria) this;
        }

        public Criteria andModeEqualTo(Integer value) {
            addCriterion("`mode` =", value, "mode");
            return (Criteria) this;
        }

        public Criteria andModeNotEqualTo(Integer value) {
            addCriterion("`mode` <>", value, "mode");
            return (Criteria) this;
        }

        public Criteria andModeGreaterThan(Integer value) {
            addCriterion("`mode` >", value, "mode");
            return (Criteria) this;
        }

        public Criteria andModeGreaterThanOrEqualTo(Integer value) {
            addCriterion("`mode` >=", value, "mode");
            return (Criteria) this;
        }

        public Criteria andModeLessThan(Integer value) {
            addCriterion("`mode` <", value, "mode");
            return (Criteria) this;
        }

        public Criteria andModeLessThanOrEqualTo(Integer value) {
            addCriterion("`mode` <=", value, "mode");
            return (Criteria) this;
        }

        public Criteria andModeIn(List<Integer> values) {
            addCriterion("`mode` in", values, "mode");
            return (Criteria) this;
        }

        public Criteria andModeNotIn(List<Integer> values) {
            addCriterion("`mode` not in", values, "mode");
            return (Criteria) this;
        }

        public Criteria andModeBetween(Integer value1, Integer value2) {
            addCriterion("`mode` between", value1, value2, "mode");
            return (Criteria) this;
        }

        public Criteria andModeNotBetween(Integer value1, Integer value2) {
            addCriterion("`mode` not between", value1, value2, "mode");
            return (Criteria) this;
        }

        public Criteria andSpaceAmountIsNull() {
            addCriterion("space_amount is null");
            return (Criteria) this;
        }

        public Criteria andSpaceAmountIsNotNull() {
            addCriterion("space_amount is not null");
            return (Criteria) this;
        }

        public Criteria andSpaceAmountEqualTo(Integer value) {
            addCriterion("space_amount =", value, "spaceAmount");
            return (Criteria) this;
        }

        public Criteria andSpaceAmountNotEqualTo(Integer value) {
            addCriterion("space_amount <>", value, "spaceAmount");
            return (Criteria) this;
        }

        public Criteria andSpaceAmountGreaterThan(Integer value) {
            addCriterion("space_amount >", value, "spaceAmount");
            return (Criteria) this;
        }

        public Criteria andSpaceAmountGreaterThanOrEqualTo(Integer value) {
            addCriterion("space_amount >=", value, "spaceAmount");
            return (Criteria) this;
        }

        public Criteria andSpaceAmountLessThan(Integer value) {
            addCriterion("space_amount <", value, "spaceAmount");
            return (Criteria) this;
        }

        public Criteria andSpaceAmountLessThanOrEqualTo(Integer value) {
            addCriterion("space_amount <=", value, "spaceAmount");
            return (Criteria) this;
        }

        public Criteria andSpaceAmountIn(List<Integer> values) {
            addCriterion("space_amount in", values, "spaceAmount");
            return (Criteria) this;
        }

        public Criteria andSpaceAmountNotIn(List<Integer> values) {
            addCriterion("space_amount not in", values, "spaceAmount");
            return (Criteria) this;
        }

        public Criteria andSpaceAmountBetween(Integer value1, Integer value2) {
            addCriterion("space_amount between", value1, value2, "spaceAmount");
            return (Criteria) this;
        }

        public Criteria andSpaceAmountNotBetween(Integer value1, Integer value2) {
            addCriterion("space_amount not between", value1, value2, "spaceAmount");
            return (Criteria) this;
        }

        public Criteria andPointsAmountIsNull() {
            addCriterion("points_amount is null");
            return (Criteria) this;
        }

        public Criteria andPointsAmountIsNotNull() {
            addCriterion("points_amount is not null");
            return (Criteria) this;
        }

        public Criteria andPointsAmountEqualTo(Integer value) {
            addCriterion("points_amount =", value, "pointsAmount");
            return (Criteria) this;
        }

        public Criteria andPointsAmountNotEqualTo(Integer value) {
            addCriterion("points_amount <>", value, "pointsAmount");
            return (Criteria) this;
        }

        public Criteria andPointsAmountGreaterThan(Integer value) {
            addCriterion("points_amount >", value, "pointsAmount");
            return (Criteria) this;
        }

        public Criteria andPointsAmountGreaterThanOrEqualTo(Integer value) {
            addCriterion("points_amount >=", value, "pointsAmount");
            return (Criteria) this;
        }

        public Criteria andPointsAmountLessThan(Integer value) {
            addCriterion("points_amount <", value, "pointsAmount");
            return (Criteria) this;
        }

        public Criteria andPointsAmountLessThanOrEqualTo(Integer value) {
            addCriterion("points_amount <=", value, "pointsAmount");
            return (Criteria) this;
        }

        public Criteria andPointsAmountIn(List<Integer> values) {
            addCriterion("points_amount in", values, "pointsAmount");
            return (Criteria) this;
        }

        public Criteria andPointsAmountNotIn(List<Integer> values) {
            addCriterion("points_amount not in", values, "pointsAmount");
            return (Criteria) this;
        }

        public Criteria andPointsAmountBetween(Integer value1, Integer value2) {
            addCriterion("points_amount between", value1, value2, "pointsAmount");
            return (Criteria) this;
        }

        public Criteria andPointsAmountNotBetween(Integer value1, Integer value2) {
            addCriterion("points_amount not between", value1, value2, "pointsAmount");
            return (Criteria) this;
        }

        public Criteria andMaxTrafficIsNull() {
            addCriterion("max_traffic is null");
            return (Criteria) this;
        }

        public Criteria andMaxTrafficIsNotNull() {
            addCriterion("max_traffic is not null");
            return (Criteria) this;
        }

        public Criteria andMaxTrafficEqualTo(Integer value) {
            addCriterion("max_traffic =", value, "maxTraffic");
            return (Criteria) this;
        }

        public Criteria andMaxTrafficNotEqualTo(Integer value) {
            addCriterion("max_traffic <>", value, "maxTraffic");
            return (Criteria) this;
        }

        public Criteria andMaxTrafficGreaterThan(Integer value) {
            addCriterion("max_traffic >", value, "maxTraffic");
            return (Criteria) this;
        }

        public Criteria andMaxTrafficGreaterThanOrEqualTo(Integer value) {
            addCriterion("max_traffic >=", value, "maxTraffic");
            return (Criteria) this;
        }

        public Criteria andMaxTrafficLessThan(Integer value) {
            addCriterion("max_traffic <", value, "maxTraffic");
            return (Criteria) this;
        }

        public Criteria andMaxTrafficLessThanOrEqualTo(Integer value) {
            addCriterion("max_traffic <=", value, "maxTraffic");
            return (Criteria) this;
        }

        public Criteria andMaxTrafficIn(List<Integer> values) {
            addCriterion("max_traffic in", values, "maxTraffic");
            return (Criteria) this;
        }

        public Criteria andMaxTrafficNotIn(List<Integer> values) {
            addCriterion("max_traffic not in", values, "maxTraffic");
            return (Criteria) this;
        }

        public Criteria andMaxTrafficBetween(Integer value1, Integer value2) {
            addCriterion("max_traffic between", value1, value2, "maxTraffic");
            return (Criteria) this;
        }

        public Criteria andMaxTrafficNotBetween(Integer value1, Integer value2) {
            addCriterion("max_traffic not between", value1, value2, "maxTraffic");
            return (Criteria) this;
        }

        public Criteria andMaxFilesizeIsNull() {
            addCriterion("max_filesize is null");
            return (Criteria) this;
        }

        public Criteria andMaxFilesizeIsNotNull() {
            addCriterion("max_filesize is not null");
            return (Criteria) this;
        }

        public Criteria andMaxFilesizeEqualTo(Integer value) {
            addCriterion("max_filesize =", value, "maxFilesize");
            return (Criteria) this;
        }

        public Criteria andMaxFilesizeNotEqualTo(Integer value) {
            addCriterion("max_filesize <>", value, "maxFilesize");
            return (Criteria) this;
        }

        public Criteria andMaxFilesizeGreaterThan(Integer value) {
            addCriterion("max_filesize >", value, "maxFilesize");
            return (Criteria) this;
        }

        public Criteria andMaxFilesizeGreaterThanOrEqualTo(Integer value) {
            addCriterion("max_filesize >=", value, "maxFilesize");
            return (Criteria) this;
        }

        public Criteria andMaxFilesizeLessThan(Integer value) {
            addCriterion("max_filesize <", value, "maxFilesize");
            return (Criteria) this;
        }

        public Criteria andMaxFilesizeLessThanOrEqualTo(Integer value) {
            addCriterion("max_filesize <=", value, "maxFilesize");
            return (Criteria) this;
        }

        public Criteria andMaxFilesizeIn(List<Integer> values) {
            addCriterion("max_filesize in", values, "maxFilesize");
            return (Criteria) this;
        }

        public Criteria andMaxFilesizeNotIn(List<Integer> values) {
            addCriterion("max_filesize not in", values, "maxFilesize");
            return (Criteria) this;
        }

        public Criteria andMaxFilesizeBetween(Integer value1, Integer value2) {
            addCriterion("max_filesize between", value1, value2, "maxFilesize");
            return (Criteria) this;
        }

        public Criteria andMaxFilesizeNotBetween(Integer value1, Integer value2) {
            addCriterion("max_filesize not between", value1, value2, "maxFilesize");
            return (Criteria) this;
        }

        public Criteria andPeriodIsNull() {
            addCriterion("period is null");
            return (Criteria) this;
        }

        public Criteria andPeriodIsNotNull() {
            addCriterion("period is not null");
            return (Criteria) this;
        }

        public Criteria andPeriodEqualTo(String value) {
            addCriterion("period =", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodNotEqualTo(String value) {
            addCriterion("period <>", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodGreaterThan(String value) {
            addCriterion("period >", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodGreaterThanOrEqualTo(String value) {
            addCriterion("period >=", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodLessThan(String value) {
            addCriterion("period <", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodLessThanOrEqualTo(String value) {
            addCriterion("period <=", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodLike(String value) {
            addCriterion("period like", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodNotLike(String value) {
            addCriterion("period not like", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodIn(List<String> values) {
            addCriterion("period in", values, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodNotIn(List<String> values) {
            addCriterion("period not in", values, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodBetween(String value1, String value2) {
            addCriterion("period between", value1, value2, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodNotBetween(String value1, String value2) {
            addCriterion("period not between", value1, value2, "period");
            return (Criteria) this;
        }

        public Criteria andMarketPriceIsNull() {
            addCriterion("market_price is null");
            return (Criteria) this;
        }

        public Criteria andMarketPriceIsNotNull() {
            addCriterion("market_price is not null");
            return (Criteria) this;
        }

        public Criteria andMarketPriceEqualTo(Float value) {
            addCriterion("market_price =", value, "marketPrice");
            return (Criteria) this;
        }

        public Criteria andMarketPriceNotEqualTo(Float value) {
            addCriterion("market_price <>", value, "marketPrice");
            return (Criteria) this;
        }

        public Criteria andMarketPriceGreaterThan(Float value) {
            addCriterion("market_price >", value, "marketPrice");
            return (Criteria) this;
        }

        public Criteria andMarketPriceGreaterThanOrEqualTo(Float value) {
            addCriterion("market_price >=", value, "marketPrice");
            return (Criteria) this;
        }

        public Criteria andMarketPriceLessThan(Float value) {
            addCriterion("market_price <", value, "marketPrice");
            return (Criteria) this;
        }

        public Criteria andMarketPriceLessThanOrEqualTo(Float value) {
            addCriterion("market_price <=", value, "marketPrice");
            return (Criteria) this;
        }

        public Criteria andMarketPriceIn(List<Float> values) {
            addCriterion("market_price in", values, "marketPrice");
            return (Criteria) this;
        }

        public Criteria andMarketPriceNotIn(List<Float> values) {
            addCriterion("market_price not in", values, "marketPrice");
            return (Criteria) this;
        }

        public Criteria andMarketPriceBetween(Float value1, Float value2) {
            addCriterion("market_price between", value1, value2, "marketPrice");
            return (Criteria) this;
        }

        public Criteria andMarketPriceNotBetween(Float value1, Float value2) {
            addCriterion("market_price not between", value1, value2, "marketPrice");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNull() {
            addCriterion("updated_at is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNotNull() {
            addCriterion("updated_at is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtEqualTo(Date value) {
            addCriterion("updated_at =", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotEqualTo(Date value) {
            addCriterion("updated_at <>", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThan(Date value) {
            addCriterion("updated_at >", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("updated_at >=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThan(Date value) {
            addCriterion("updated_at <", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThanOrEqualTo(Date value) {
            addCriterion("updated_at <=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIn(List<Date> values) {
            addCriterion("updated_at in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotIn(List<Date> values) {
            addCriterion("updated_at not in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtBetween(Date value1, Date value2) {
            addCriterion("updated_at between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotBetween(Date value1, Date value2) {
            addCriterion("updated_at not between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andProductCodeIsNull() {
            addCriterion("product_code is null");
            return (Criteria) this;
        }

        public Criteria andProductCodeIsNotNull() {
            addCriterion("product_code is not null");
            return (Criteria) this;
        }

        public Criteria andProductCodeEqualTo(String value) {
            addCriterion("product_code =", value, "productCode");
            return (Criteria) this;
        }

        public Criteria andProductCodeNotEqualTo(String value) {
            addCriterion("product_code <>", value, "productCode");
            return (Criteria) this;
        }

        public Criteria andProductCodeGreaterThan(String value) {
            addCriterion("product_code >", value, "productCode");
            return (Criteria) this;
        }

        public Criteria andProductCodeGreaterThanOrEqualTo(String value) {
            addCriterion("product_code >=", value, "productCode");
            return (Criteria) this;
        }

        public Criteria andProductCodeLessThan(String value) {
            addCriterion("product_code <", value, "productCode");
            return (Criteria) this;
        }

        public Criteria andProductCodeLessThanOrEqualTo(String value) {
            addCriterion("product_code <=", value, "productCode");
            return (Criteria) this;
        }

        public Criteria andProductCodeLike(String value) {
            addCriterion("product_code like", value, "productCode");
            return (Criteria) this;
        }

        public Criteria andProductCodeNotLike(String value) {
            addCriterion("product_code not like", value, "productCode");
            return (Criteria) this;
        }

        public Criteria andProductCodeIn(List<String> values) {
            addCriterion("product_code in", values, "productCode");
            return (Criteria) this;
        }

        public Criteria andProductCodeNotIn(List<String> values) {
            addCriterion("product_code not in", values, "productCode");
            return (Criteria) this;
        }

        public Criteria andProductCodeBetween(String value1, String value2) {
            addCriterion("product_code between", value1, value2, "productCode");
            return (Criteria) this;
        }

        public Criteria andProductCodeNotBetween(String value1, String value2) {
            addCriterion("product_code not between", value1, value2, "productCode");
            return (Criteria) this;
        }

        public Criteria andAppDiscountsIsNull() {
            addCriterion("app_discounts is null");
            return (Criteria) this;
        }

        public Criteria andAppDiscountsIsNotNull() {
            addCriterion("app_discounts is not null");
            return (Criteria) this;
        }

        public Criteria andAppDiscountsEqualTo(Float value) {
            addCriterion("app_discounts =", value, "appDiscounts");
            return (Criteria) this;
        }

        public Criteria andAppDiscountsNotEqualTo(Float value) {
            addCriterion("app_discounts <>", value, "appDiscounts");
            return (Criteria) this;
        }

        public Criteria andAppDiscountsGreaterThan(Float value) {
            addCriterion("app_discounts >", value, "appDiscounts");
            return (Criteria) this;
        }

        public Criteria andAppDiscountsGreaterThanOrEqualTo(Float value) {
            addCriterion("app_discounts >=", value, "appDiscounts");
            return (Criteria) this;
        }

        public Criteria andAppDiscountsLessThan(Float value) {
            addCriterion("app_discounts <", value, "appDiscounts");
            return (Criteria) this;
        }

        public Criteria andAppDiscountsLessThanOrEqualTo(Float value) {
            addCriterion("app_discounts <=", value, "appDiscounts");
            return (Criteria) this;
        }

        public Criteria andAppDiscountsIn(List<Float> values) {
            addCriterion("app_discounts in", values, "appDiscounts");
            return (Criteria) this;
        }

        public Criteria andAppDiscountsNotIn(List<Float> values) {
            addCriterion("app_discounts not in", values, "appDiscounts");
            return (Criteria) this;
        }

        public Criteria andAppDiscountsBetween(Float value1, Float value2) {
            addCriterion("app_discounts between", value1, value2, "appDiscounts");
            return (Criteria) this;
        }

        public Criteria andAppDiscountsNotBetween(Float value1, Float value2) {
            addCriterion("app_discounts not between", value1, value2, "appDiscounts");
            return (Criteria) this;
        }

        public Criteria andWebDiscountsIsNull() {
            addCriterion("web_discounts is null");
            return (Criteria) this;
        }

        public Criteria andWebDiscountsIsNotNull() {
            addCriterion("web_discounts is not null");
            return (Criteria) this;
        }

        public Criteria andWebDiscountsEqualTo(Float value) {
            addCriterion("web_discounts =", value, "webDiscounts");
            return (Criteria) this;
        }

        public Criteria andWebDiscountsNotEqualTo(Float value) {
            addCriterion("web_discounts <>", value, "webDiscounts");
            return (Criteria) this;
        }

        public Criteria andWebDiscountsGreaterThan(Float value) {
            addCriterion("web_discounts >", value, "webDiscounts");
            return (Criteria) this;
        }

        public Criteria andWebDiscountsGreaterThanOrEqualTo(Float value) {
            addCriterion("web_discounts >=", value, "webDiscounts");
            return (Criteria) this;
        }

        public Criteria andWebDiscountsLessThan(Float value) {
            addCriterion("web_discounts <", value, "webDiscounts");
            return (Criteria) this;
        }

        public Criteria andWebDiscountsLessThanOrEqualTo(Float value) {
            addCriterion("web_discounts <=", value, "webDiscounts");
            return (Criteria) this;
        }

        public Criteria andWebDiscountsIn(List<Float> values) {
            addCriterion("web_discounts in", values, "webDiscounts");
            return (Criteria) this;
        }

        public Criteria andWebDiscountsNotIn(List<Float> values) {
            addCriterion("web_discounts not in", values, "webDiscounts");
            return (Criteria) this;
        }

        public Criteria andWebDiscountsBetween(Float value1, Float value2) {
            addCriterion("web_discounts between", value1, value2, "webDiscounts");
            return (Criteria) this;
        }

        public Criteria andWebDiscountsNotBetween(Float value1, Float value2) {
            addCriterion("web_discounts not between", value1, value2, "webDiscounts");
            return (Criteria) this;
        }

        public Criteria andTitleIsNull() {
            addCriterion("title is null");
            return (Criteria) this;
        }

        public Criteria andTitleIsNotNull() {
            addCriterion("title is not null");
            return (Criteria) this;
        }

        public Criteria andTitleEqualTo(String value) {
            addCriterion("title =", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotEqualTo(String value) {
            addCriterion("title <>", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleGreaterThan(String value) {
            addCriterion("title >", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleGreaterThanOrEqualTo(String value) {
            addCriterion("title >=", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleLessThan(String value) {
            addCriterion("title <", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleLessThanOrEqualTo(String value) {
            addCriterion("title <=", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleLike(String value) {
            addCriterion("title like", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotLike(String value) {
            addCriterion("title not like", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleIn(List<String> values) {
            addCriterion("title in", values, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotIn(List<String> values) {
            addCriterion("title not in", values, "title");
            return (Criteria) this;
        }

        public Criteria andTitleBetween(String value1, String value2) {
            addCriterion("title between", value1, value2, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotBetween(String value1, String value2) {
            addCriterion("title not between", value1, value2, "title");
            return (Criteria) this;
        }

        public Criteria andSaleTypeIsNull() {
            addCriterion("sale_type is null");
            return (Criteria) this;
        }

        public Criteria andSaleTypeIsNotNull() {
            addCriterion("sale_type is not null");
            return (Criteria) this;
        }

        public Criteria andSaleTypeEqualTo(Integer value) {
            addCriterion("sale_type =", value, "saleType");
            return (Criteria) this;
        }

        public Criteria andSaleTypeNotEqualTo(Integer value) {
            addCriterion("sale_type <>", value, "saleType");
            return (Criteria) this;
        }

        public Criteria andSaleTypeGreaterThan(Integer value) {
            addCriterion("sale_type >", value, "saleType");
            return (Criteria) this;
        }

        public Criteria andSaleTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("sale_type >=", value, "saleType");
            return (Criteria) this;
        }

        public Criteria andSaleTypeLessThan(Integer value) {
            addCriterion("sale_type <", value, "saleType");
            return (Criteria) this;
        }

        public Criteria andSaleTypeLessThanOrEqualTo(Integer value) {
            addCriterion("sale_type <=", value, "saleType");
            return (Criteria) this;
        }

        public Criteria andSaleTypeIn(List<Integer> values) {
            addCriterion("sale_type in", values, "saleType");
            return (Criteria) this;
        }

        public Criteria andSaleTypeNotIn(List<Integer> values) {
            addCriterion("sale_type not in", values, "saleType");
            return (Criteria) this;
        }

        public Criteria andSaleTypeBetween(Integer value1, Integer value2) {
            addCriterion("sale_type between", value1, value2, "saleType");
            return (Criteria) this;
        }

        public Criteria andSaleTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("sale_type not between", value1, value2, "saleType");
            return (Criteria) this;
        }

        public Criteria andPricingDiscountIdIsNull() {
            addCriterion("pricing_discount_id is null");
            return (Criteria) this;
        }

        public Criteria andPricingDiscountIdIsNotNull() {
            addCriterion("pricing_discount_id is not null");
            return (Criteria) this;
        }

        public Criteria andPricingDiscountIdEqualTo(String value) {
            addCriterion("pricing_discount_id =", value, "pricingDiscountId");
            return (Criteria) this;
        }

        public Criteria andPricingDiscountIdNotEqualTo(String value) {
            addCriterion("pricing_discount_id <>", value, "pricingDiscountId");
            return (Criteria) this;
        }

        public Criteria andPricingDiscountIdGreaterThan(String value) {
            addCriterion("pricing_discount_id >", value, "pricingDiscountId");
            return (Criteria) this;
        }

        public Criteria andPricingDiscountIdGreaterThanOrEqualTo(String value) {
            addCriterion("pricing_discount_id >=", value, "pricingDiscountId");
            return (Criteria) this;
        }

        public Criteria andPricingDiscountIdLessThan(String value) {
            addCriterion("pricing_discount_id <", value, "pricingDiscountId");
            return (Criteria) this;
        }

        public Criteria andPricingDiscountIdLessThanOrEqualTo(String value) {
            addCriterion("pricing_discount_id <=", value, "pricingDiscountId");
            return (Criteria) this;
        }

        public Criteria andPricingDiscountIdLike(String value) {
            addCriterion("pricing_discount_id like", value, "pricingDiscountId");
            return (Criteria) this;
        }

        public Criteria andPricingDiscountIdNotLike(String value) {
            addCriterion("pricing_discount_id not like", value, "pricingDiscountId");
            return (Criteria) this;
        }

        public Criteria andPricingDiscountIdIn(List<String> values) {
            addCriterion("pricing_discount_id in", values, "pricingDiscountId");
            return (Criteria) this;
        }

        public Criteria andPricingDiscountIdNotIn(List<String> values) {
            addCriterion("pricing_discount_id not in", values, "pricingDiscountId");
            return (Criteria) this;
        }

        public Criteria andPricingDiscountIdBetween(String value1, String value2) {
            addCriterion("pricing_discount_id between", value1, value2, "pricingDiscountId");
            return (Criteria) this;
        }

        public Criteria andPricingDiscountIdNotBetween(String value1, String value2) {
            addCriterion("pricing_discount_id not between", value1, value2, "pricingDiscountId");
            return (Criteria) this;
        }

        public Criteria andPeriodLikeInsensitive(String value) {
            addCriterion("upper(period) like", value.toUpperCase(), "period");
            return (Criteria) this;
        }

        public Criteria andProductCodeLikeInsensitive(String value) {
            addCriterion("upper(product_code) like", value.toUpperCase(), "productCode");
            return (Criteria) this;
        }

        public Criteria andTitleLikeInsensitive(String value) {
            addCriterion("upper(title) like", value.toUpperCase(), "title");
            return (Criteria) this;
        }

        public Criteria andPricingDiscountIdLikeInsensitive(String value) {
            addCriterion("upper(pricing_discount_id) like", value.toUpperCase(), "pricingDiscountId");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}