package cn.kdan.pdf.backend.core.model;

import java.io.Serializable;

public class SetPricingsWithBLOBs extends SetPricings implements Serializable {
    private String description;

    private String description2;

    private static final long serialVersionUID = 1L;

    public String getDescription() {
        return description;
    }

    public SetPricingsWithBLOBs withDescription(String description) {
        this.setDescription(description);
        return this;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDescription2() {
        return description2;
    }

    public SetPricingsWithBLOBs withDescription2(String description2) {
        this.setDescription2(description2);
        return this;
    }

    public void setDescription2(String description2) {
        this.description2 = description2;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        SetPricingsWithBLOBs other = (SetPricingsWithBLOBs) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getMode() == null ? other.getMode() == null : this.getMode().equals(other.getMode()))
                && (this.getSpaceAmount() == null ? other.getSpaceAmount() == null : this.getSpaceAmount().equals(other.getSpaceAmount()))
                && (this.getPointsAmount() == null ? other.getPointsAmount() == null : this.getPointsAmount().equals(other.getPointsAmount()))
                && (this.getMaxTraffic() == null ? other.getMaxTraffic() == null : this.getMaxTraffic().equals(other.getMaxTraffic()))
                && (this.getMaxFilesize() == null ? other.getMaxFilesize() == null : this.getMaxFilesize().equals(other.getMaxFilesize()))
                && (this.getPeriod() == null ? other.getPeriod() == null : this.getPeriod().equals(other.getPeriod()))
                && (this.getMarketPrice() == null ? other.getMarketPrice() == null : this.getMarketPrice().equals(other.getMarketPrice()))
                && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
                && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
                && (this.getProductCode() == null ? other.getProductCode() == null : this.getProductCode().equals(other.getProductCode()))
                && (this.getAppDiscounts() == null ? other.getAppDiscounts() == null : this.getAppDiscounts().equals(other.getAppDiscounts()))
                && (this.getWebDiscounts() == null ? other.getWebDiscounts() == null : this.getWebDiscounts().equals(other.getWebDiscounts()))
                && (this.getTitle() == null ? other.getTitle() == null : this.getTitle().equals(other.getTitle()))
                && (this.getSaleType() == null ? other.getSaleType() == null : this.getSaleType().equals(other.getSaleType()))
                && (this.getPricingDiscountId() == null ? other.getPricingDiscountId() == null : this.getPricingDiscountId().equals(other.getPricingDiscountId()))
                && (this.getDescription() == null ? other.getDescription() == null : this.getDescription().equals(other.getDescription()))
                && (this.getDescription2() == null ? other.getDescription2() == null : this.getDescription2().equals(other.getDescription2()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMode() == null) ? 0 : getMode().hashCode());
        result = prime * result + ((getSpaceAmount() == null) ? 0 : getSpaceAmount().hashCode());
        result = prime * result + ((getPointsAmount() == null) ? 0 : getPointsAmount().hashCode());
        result = prime * result + ((getMaxTraffic() == null) ? 0 : getMaxTraffic().hashCode());
        result = prime * result + ((getMaxFilesize() == null) ? 0 : getMaxFilesize().hashCode());
        result = prime * result + ((getPeriod() == null) ? 0 : getPeriod().hashCode());
        result = prime * result + ((getMarketPrice() == null) ? 0 : getMarketPrice().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getProductCode() == null) ? 0 : getProductCode().hashCode());
        result = prime * result + ((getAppDiscounts() == null) ? 0 : getAppDiscounts().hashCode());
        result = prime * result + ((getWebDiscounts() == null) ? 0 : getWebDiscounts().hashCode());
        result = prime * result + ((getTitle() == null) ? 0 : getTitle().hashCode());
        result = prime * result + ((getSaleType() == null) ? 0 : getSaleType().hashCode());
        result = prime * result + ((getPricingDiscountId() == null) ? 0 : getPricingDiscountId().hashCode());
        result = prime * result + ((getDescription() == null) ? 0 : getDescription().hashCode());
        result = prime * result + ((getDescription2() == null) ? 0 : getDescription2().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", description=").append(description);
        sb.append(", description2=").append(description2);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}