package cn.kdan.pdf.backend.core.service;

import cn.kdan.pdf.backend.core.model.Locations;

/**
 * @author : SongFuQiang
 * @date : 2022/12/12 9:56
 */
public interface LocationService {

    /**
     * 插入一条位置数据
     * @param locations locations
     * @return
     */
    int insert(Locations locations);

    /**
     * 根据用户id查询位置数据
     * @param memberId 用户id
     * @return
     */
    Locations selectByMemberId(String memberId);

    /**
     * 更新位置信息
     * @param location location
     */
    void update(Locations location);
}
