package cn.kdan.pdf.backend.core.service;


import cn.kdan.pdf.backend.core.utils.wxpay.WXPayOrderQueryResult;

import java.util.Map;

/**
 * @author tangxiangan
 */
public interface WXPayService {


    /**
     * 微信支付下单
     *
     * @param subject 主题
     * @param orderNo 订单号
     * @param price   价格
     * @return 微信返回
     */
    Map<String,String> unifiedOrder(String subject, String orderNo, Float price, String client);

    /**
     * 查询订单支付结果
     *
     * @param tradeNo 订单号
     * @return WxPayOrderQueryResult
     */
    WXPayOrderQueryResult orderQuery(String tradeNo);
}
