package cn.kdan.pdf.backend.core.service.impl;

import cn.kdan.pdf.backend.core.mapper.PricingDiscountsMapper;
import cn.kdan.pdf.backend.core.model.PricingDiscounts;
import cn.kdan.pdf.backend.core.service.PricingDiscountService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * @author tangxiangan
 */
@Slf4j
@Service
public class PricingDiscountServiceImpl implements PricingDiscountService {

    @Autowired
    private PricingDiscountsMapper pricingDiscountsMapper;

    @Override
    public PricingDiscounts getById(String pricingDiscountId) {
        return pricingDiscountsMapper.selectByPrimaryKey(pricingDiscountId);
    }

}
