package cn.kdan.pdf.backend.core.utils.wxpay;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author tangxiangan
 */
public class WXPayOrderQueryResult {
    @JsonProperty("nonce_str")
    private String nonceStr;

    @JsonProperty("device_info")
    private String deviceInfo;

    @JsonProperty("trade_state")
    private String tradeState;

    @JsonProperty("out_trade_no")
    private String outTradeNo;

    @JsonProperty("appid")
    private String appid;

    @JsonProperty("total_fee")
    private String totalFee;

    @JsonProperty("trade_state_desc")
    private String tradeStateDesc;

    @JsonProperty("sign")
    private String sign;

    @JsonProperty("return_msg")
    private String returnMsg;

    @JsonProperty("result_code")
    private String resultCode;

    @JsonProperty("mch_id")
    private String mchId;

    @JsonProperty("return_code")
    private String returnCode;

    public void setNonceStr(String nonceStr) {
        this.nonceStr = nonceStr;
    }

    public String getNonceStr() {
        return nonceStr;
    }

    public void setDeviceInfo(String deviceInfo) {
        this.deviceInfo = deviceInfo;
    }

    public String getDeviceInfo() {
        return deviceInfo;
    }

    public void setTradeState(String tradeState) {
        this.tradeState = tradeState;
    }

    public String getTradeState() {
        return tradeState;
    }

    public void setOutTradeNo(String outTradeNo) {
        this.outTradeNo = outTradeNo;
    }

    public String getOutTradeNo() {
        return outTradeNo;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getAppid() {
        return appid;
    }

    public void setTotalFee(String totalFee) {
        this.totalFee = totalFee;
    }

    public String getTotalFee() {
        return totalFee;
    }

    public void setTradeStateDesc(String tradeStateDesc) {
        this.tradeStateDesc = tradeStateDesc;
    }

    public String getTradeStateDesc() {
        return tradeStateDesc;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getSign() {
        return sign;
    }

    public void setReturnMsg(String returnMsg) {
        this.returnMsg = returnMsg;
    }

    public String getReturnMsg() {
        return returnMsg;
    }

    public void setResultCode(String resultCode) {
        this.resultCode = resultCode;
    }

    public String getResultCode() {
        return resultCode;
    }

    public void setMchId(String mchId) {
        this.mchId = mchId;
    }

    public String getMchId() {
        return mchId;
    }

    public void setReturnCode(String returnCode) {
        this.returnCode = returnCode;
    }

    public String getReturnCode() {
        return returnCode;
    }

    @Override
    public String toString() {
        return
                "Response{" +
                        "nonce_str = '" + nonceStr + '\'' +
                        ",device_info = '" + deviceInfo + '\'' +
                        ",trade_state = '" + tradeState + '\'' +
                        ",out_trade_no = '" + outTradeNo + '\'' +
                        ",appid = '" + appid + '\'' +
                        ",total_fee = '" + totalFee + '\'' +
                        ",trade_state_desc = '" + tradeStateDesc + '\'' +
                        ",sign = '" + sign + '\'' +
                        ",return_msg = '" + returnMsg + '\'' +
                        ",result_code = '" + resultCode + '\'' +
                        ",mch_id = '" + mchId + '\'' +
                        ",return_code = '" + returnCode + '\'' +
                        "}";
    }

}
